2010-01-17 13:14  fredb

	* simgear/simgear_config.h-msvc90: Change version in comment

2010-01-17 13:05  fredb

	* projects/VC90/SimGear.vcproj, simgear/simgear_config.h-msvc90:
	  Update simgear config.h version

2010-01-17 13:00  fredb

	* projects/VC90/SimGear.vcproj: Update MSVC 9 project

2010-01-17 12:59  fredb

	* simgear/: props/AtomicChangeListener.cxx,
	  scene/material/EffectBuilder.hxx, scene/tgdb/TreeBin.cxx,
	  scene/util/CopyOp.cxx: Win32 fixes

2010-01-13 15:29  ehofman

	* simgear/sound/soundmgr_openal.cxx: test for an AL or ALC error
	  before calling an ALUT function.

2010-01-05 12:23  ehofman

	* configure.ac:

	  Tatsuhiro Nishioka: These patches fixes minor bug in addition to
	  providing --with-openal-framework and --with-cocoa-framework.
	  Now you can use your own version of OpenAL.framework for
	  selecting various audio output device.  Plus, you can build FG/SG
	  on Snow Leopard with cocoa configuration.

2010-01-04 20:51  torsten

	* simgear/scene/tgdb/apt_signs.cxx: Csaba Halasz: Fix airport signs
	  by reverting to rev 1.22 of apt_sign.cxx. Tweaked a little to
	  handle missing materials better.

2010-01-04 15:53  ehofman

	* simgear/sound/soundmgr_openal.cxx: MacOS returns an unsopported
	  AL error when a file is not found, work around this.

2010-01-02 17:40  torsten

	* simgear/math/: SGGeoc.hxx, SGGeod.hxx: add "operator == ()" to
	  SGGeod and SGGeoc

2009-12-31 17:48  jmt

	* simgear/math/: SGGeodesy.cxx, SGGeodesy.hxx: Allow geocentric
	  distance computations to return radians.

2009-12-31 11:14  ehofman

	* simgear/structure/subsystem_mgr.cxx: Also unbind subsystem groups
	  in reverse order and destruct them in reverse order to be
	  consistent.

2009-12-29 15:28  ehofman

	* simgear/structure/subsystem_mgr.cxx: unbind in reverse order to
	  try to prevent order dependency problems.

2009-12-29 10:47  ehofman

	* simgear/sound/soundmgr_openal.cxx: Rearrange alut error checking
	  a bit

2009-12-28 21:57  jmt

	* simgear/xml/xmltok.c: XML encodings: support 'ASCII' as an alias
	  for 'US-ASCII'

2009-12-26 11:07  ehofman

	* simgear/sound/: soundmgr_openal.cxx, soundmgr_openal.hxx: keep a
	  pointer to the OpenAL vendor and renderer for reference

2009-12-14 20:47  ehofman

	* simgear/version.h.in: revert previous patch, it confuses
	  FlightGear's test for detecting the proper version of SimGear

2009-12-14 20:43  ehofman

	* simgear/sound/soundmgr_openal.cxx: proper typecasting

2009-12-14 10:14  ehofman

	* simgear/version.h.in: make version a string

2009-12-14 07:06  timoore

	* simgear/scene/material/EffectCullVisitor.cxx: don't render an
	  EffectGeode if there is no valid technique

	  Normal geometry has a default effect; geometry with no default
	  effect is unlikely to look correct with no state set applied.
	  This fixes the problem of clouds being displayed as multi-colored
	  rectangles when shader effects are turned off.

	  Author: Tim Moore <timoore@redhat.com> Committer: Tim Moore
	  <timoore33@gmail.com>

2009-12-09 14:56  ehofman

	* simgear/sound/soundmgr_openal.cxx: fix a typo.

2009-12-09 11:09  ehofman

	* simgear/sound/: sample_openal.cxx, sample_openal.hxx,
	  soundmgr_openal.cxx: Don't assign the buffer data to the sample
	  in case it is a file. Test for result when calling load()

2009-12-09 10:38  ehofman

	* simgear/sound/soundmgr_openal.cxx: Fix crash in
	  SGSoundMgr::stop(): do not try to erase buffer items one at a
	  time

2009-12-08 06:37  timoore

	* simgear/scene/model/: ModelRegistry.cxx, ModelRegistry.hxx: take
	  locks out of ModelRegistry

	  They should be unnecessary and were causing deadlock with Effects
	  that load images.

	  Author: Tim Moore <timoore@redhat.com>

2009-12-06 10:56  ehofman

	* simgear/sound/soundmgr_openal.cxx: add alcSuspendContext and
	  alcProcessContext again to prevent sound artifacts on hardware
	  accelerated soundcards.

2009-12-02 10:32  ehofman

	* simgear/sound/sample_group.cxx: check if suspend, resume and
	  volume changed much from the previous value before setting them.

2009-12-02 09:32  ehofman

	* simgear/sound/: sample_group.cxx, soundmgr_openal.cxx: Fix
	  runtime switching of sound devices.

2009-11-30 15:22  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  soundmgr_openal.cxx: Updates to allow runtime chaning of the
	  sound device

2009-11-29 17:51  timoore

	* configure.ac: Revert boost requirement to 1.37

	  I don't want to get into testing for tr1::unordered_map, and the
	  boost compatibility doesn't exist in 1.34.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-28 14:31  ehofman

	* simgear/sound/: soundmgr_openal.cxx, soundmgr_openal.hxx: Add a
	  function to retreive all available playback devices.

2009-11-28 13:59  ehofman

	* simgear/sound/sample_group.cxx: initialize volume to a proper
	  value

2009-11-28 11:48  ehofman

	* simgear/sound/soundmgr_openal.cxx: Small bugfix

2009-11-28 11:37  ehofman

	* simgear/sound/: soundmgr_openal.cxx, soundmgr_openal.hxx: Make it
	  possible to specify a different device name

2009-11-26 18:24  timoore

	* simgear/scene/sky/: CloudShaderGeometry.cxx,
	  CloudShaderGeometry.hxx, newcloud.cxx: fix a memory leak in
	  newcloud.cxx

	  Author: Tim Moore <timoore@redhat.com>

2009-11-26 18:24  timoore

	* simgear/scene/sky/: cloudfield.cxx, cloudfield.hxx, newcloud.cxx,
	  newcloud.hxx: Use an effect for 3d clouds

	  Author: Tim Moore <timoore@redhat.com>

2009-11-26 18:23  timoore

	* simgear/scene/material/Effect.cxx: Support for shader program
	  attributes in effects

	  Also, use a hash table for the effect shader program cache.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-26 18:23  timoore

	* simgear/scene/material/: EffectBuilder.cxx, EffectBuilder.hxx,
	  TextureBuilder.cxx, makeEffect.cxx: Better error reporting for
	  effects

	  Throw an exception when an undefine attribute value is found in
	  an effect.

	  Also, fix a typo in TexEnvCombine operand attributes.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-26 18:23  timoore

	* simgear/props/props_io.cxx: add a property debugging function

	  Author: Tim Moore <timoore@redhat.com>

2009-11-26 14:05  ehofman

	* simgear/sound/soundmgr_openal.cxx: a slightly more readable
	  version of the test

2009-11-26 13:19  ehofman

	* simgear/sound/soundmgr_openal.cxx: Also test for older versions
	  of OpenAL-Sample

2009-11-24 14:33  timoore

	* simgear/scene/material/Effect.cxx: add depth attribute to Effect

	  Author: Tim Moore <timoore@redhat.com>

2009-11-23 12:54  ehofman

	* simgear/sound/soundmgr_openal.cxx: Don't forget to apply the
	  doppler adjustment factor to the listener velocity also

2009-11-23 11:32  ehofman

	* simgear/sound/: sample_group.cxx, soundmgr_openal.cxx,
	  soundmgr_openal.hxx: test for implementations with 'bad' doppler
	  effects and adjust for it.

2009-11-23 11:31  ehofman

	* simgear/sound/: openal_test2.cxx, openal_test3.cxx: fix test
	  programs

2009-11-23 10:35  ehofman

	* simgear/sound/: sample_group.cxx, soundmgr_openal.cxx,
	  soundmgr_openal.hxx: proper listener velocity calculation, this
	  has no effect yet but is required when other models start
	  emitting sounds.

2009-11-22 23:23  timoore

	* acinclude.m4, configure.ac, simgear/scene/material/Effect.hxx:
	  Drop required Boost version from 1.37 to 1.34

	  Use boost/tr1 to bring in std::tr1::unordered_map instead of the
	  Boost version.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-22 01:00  timoore

	* simgear/scene/: material/Effect.cxx, material/Effect.hxx,
	  material/makeEffect.cxx, tgdb/TreeBin.cxx: Move tree shaders to
	  an effect

	  Also, improve effect hash keys.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-22 00:59  timoore

	* simgear/scene/material/Effect.cxx: Effect file support for
	  GL_VERTEX_PROGRAM_TWO_SIDE and POINT_SIZE

	  Author: Tim Moore <timoore@redhat.com>

2009-11-22 00:59  timoore

	* simgear/scene/material/Technique.cxx: shader language predicate

	  Author: Tim Moore <timoore@redhat.com>

2009-11-19 16:29  ehofman

	* simgear/sound/: soundmgr_openal.cxx, sample_group.cxx: the wrong
	  name also mislead me: rotate velocity to the proper quat

2009-11-18 14:49  ehofman

	* simgear/sound/sample_openal.cxx: make the relative positions
	  fixed against the body again.

2009-11-17 14:06  ehofman

	* simgear/sound/: sample_group.cxx, soundmgr_openal.cxx,
	  xmlsound.cxx: Set to default distance attenuation function but
	  change the parameters a but for better sound effects (and most of
	  all quieter sounds at greta distance

2009-11-17 07:19  timoore

	* simgear/scene/model/SGMaterialAnimation.cxx: descend into Effects
	  to find default material animation values

	  Author: Tim Moore <timoore@redhat.com>

2009-11-17 07:19  timoore

	* simgear/scene/: material/TextureBuilder.cxx,
	  util/StateAttributeFactory.cxx, util/StateAttributeFactory.hxx:
	  add a transparent texture for effects

	  This is used as a default texture for the chrome animation.

	  Also, fix a typo in creating combiners.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-17 07:19  timoore

	* simgear/props/: AtomicChangeListener.cxx,
	  AtomicChangeListener.hxx: Make MultiChangeListener derive
	  publicly from SGPropertyChangeListener

	  Otherwise it doesn't work as a listener!

	  Author: Tim Moore <timoore@redhat.com>

2009-11-16 14:32  ehofman

	* simgear/sound/: sample_group.cxx, sample_openal.cxx,
	  sample_openal.hxx, soundmgr_openal.cxx, xmlsound.cxx: What do you
	  know, the real problem turned out to be the distance attenuation
	  function..

2009-11-16 00:11  timoore

	* simgear/scene/model/model.cxx: When instantiating effects, copy
	  user data of any created nodes.

	  This bug was the cause of the huge memory consumption / death
	  reported at some places: the BVH data on "raw" .ac models (random
	  objects) was dropped on the floor.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-15 01:41  timoore

	* configure.ac: Bump boost version to 1.37

	  Author: Tim Moore <timoore@redhat.com>

2009-11-15 01:41  timoore

	* simgear/: props/props.cxx, props/props.hxx,
	  scene/material/Effect.cxx, scene/material/Effect.hxx,
	  scene/material/makeEffect.cxx: optimize creation and sharing of
	  effects

	  Implement equality test and hash for for property trees.  In an
	  Effect, make a hash table of Effects that inherit from it keyed
	  on their unmerged property tree. Using that, makeEffect() should
	  return a single Effect for given property tree description.
	  Animations may change that in the future...

	  Author: Tim Moore <timoore@redhat.com>

2009-11-15 01:41  timoore

	* projects/VC7.1/SimGear.vcproj, projects/VC90/SimGear.vcproj,
	  simgear/props/AtomicChangeListener.cxx,
	  simgear/props/AtomicChangeListener.hxx,
	  simgear/props/ExtendedPropertyAdapter.hxx,
	  simgear/props/Makefile.am, simgear/props/props.hxx,
	  simgear/scene/material/Effect.cxx,
	  simgear/scene/material/Effect.hxx,
	  simgear/scene/material/EffectBuilder.cxx,
	  simgear/scene/material/EffectBuilder.hxx,
	  simgear/scene/material/EffectGeode.cxx,
	  simgear/scene/material/EffectGeode.hxx,
	  simgear/scene/material/TextureBuilder.cxx,
	  simgear/scene/material/makeEffect.cxx,
	  simgear/scene/model/SGReaderWriterXML.cxx,
	  simgear/scene/model/model.cxx, simgear/scene/util/Makefile.am,
	  simgear/scene/util/UpdateOnceCallback.cxx,
	  simgear/scene/util/UpdateOnceCallback.hxx: Effects in models
	  working for transparent materials and chrome animation

	  Implementation of animated effect values via the property system.

	  Add names for TexEnvCombine attributes

	  Author: Tim Moore <timoore@redhat.com>

2009-11-15 01:40  timoore

	* simgear/scene/material/: Effect.cxx, EffectBuilder.cxx,
	  EffectBuilder.hxx, TextureBuilder.cxx, TextureBuilder.hxx: Move
	  Texture unit builder into TexBuilder.cxx

	  Do the refactoring necessary to make that work.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-15 01:40  timoore

	* projects/VC7.1/SimGear.vcproj, projects/VC90/SimGear.vcproj,
	  simgear/scene/material/Effect.cxx,
	  simgear/scene/material/Effect.hxx,
	  simgear/scene/material/EffectGeode.cxx,
	  simgear/scene/material/Technique.cxx,
	  simgear/scene/material/TextureBuilder.cxx,
	  simgear/scene/material/makeEffect.cxx,
	  simgear/scene/model/SGReaderWriterXML.cxx,
	  simgear/scene/model/model.cxx, simgear/scene/model/model.hxx,
	  simgear/scene/model/modellib.cxx, simgear/scene/util/CopyOp.cxx,
	  simgear/scene/util/CopyOp.hxx, simgear/scene/util/Makefile.am:
	  Effects for models

	  Basically working, at last. Among other things, create effects in
	   models loaded directly from .ac files; this can happen, for
	  example, with the random models from the materials library.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-15 01:40  timoore

	* projects/VC7.1/SimGear.vcproj, projects/VC90/SimGear.vcproj,
	  simgear/scene/util/Makefile.am,
	  simgear/scene/util/SplicingVisitor.cxx,
	  simgear/scene/util/SplicingVisitor.hxx: Splicing visitor for
	  rewriting scene graphs with a minimum of copying

	  Author: Tim Moore <timoore@redhat.com>

2009-11-15 01:40  timoore

	* simgear/scene/material/: Effect.cxx, Effect.hxx,
	  TextureBuilder.cxx, TextureBuilder.hxx: Dump texture attributes
	  of StateSet into effect property tree

	  Also, decode blend function.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-15 01:39  timoore

	* simgear/: scene/material/Effect.cxx, structure/OSGUtils.hxx:
	  getStateAttribute utility function

	  This provides a concise, typesafe way to get attributes from
	  osg::StateSet.

	  Also, blew away BackRefInserter.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-15 01:39  timoore

	* simgear/scene/material/Effect.cxx: Add support for blend
	  functions and alpha test functions in effects

	  Author: Tim Moore <timoore@redhat.com>

2009-11-15 01:39  timoore

	* simgear/scene/: material/Effect.cxx, material/EffectBuilder.hxx,
	  material/TextureBuilder.cxx, material/makeEffect.cxx,
	  model/ModelRegistry.cxx, model/SGReaderWriterXML.cxx: wip for
	  effects in models

	  multi-index for effect attributes

	  Author: Tim Moore <timoore@redhat.com>

2009-11-15 01:39  timoore

	* simgear/scene/: model/ModelRegistry.cxx, model/ModelRegistry.hxx,
	  model/SGReaderWriterXML.cxx, model/model.cxx, model/model.hxx,
	  tgdb/SGReaderWriterBTG.cxx: remove CopyPolicy from ModelRegistry

	  Put the responsibility for copying a loaded model directly in
	  SGReaderWriterXML.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-12 21:41  ehofman

	* simgear/sound/: sample_group.cxx, sample_openal.cxx,
	  sample_openal.hxx, soundmgr_openal.cxx, soundmgr_openal.hxx:
	  temporarily remove listener (viewer) and source offsets. they
	  mess things up

2009-11-10 22:19  timoore

	* simgear/props/props.cxx: fix typo

	  Author: Tim Moore <timoore@redhat.com>

2009-11-10 15:28  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  sample_openal.cxx, soundmgr_openal.hxx, xmlsound.cxx: also
	  recalculate the velocity in update_pos_and_orienation, so pass
	  the north-east-down velocity directly and orientate position,
	  orientation and velocity to OpenGL/OpenAL frames (x-right, y-up
	  and z-back)

2009-11-10 09:56  timoore

	* simgear/scene/: material/Effect.cxx, tgdb/userdata.cxx,
	  tgdb/userdata.hxx: Move propertyExpression code from flightgear
	  to simgear

	  Also add a function (possibly redundant) to access the global
	  property root.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-10 09:56  timoore

	* simgear/props/: props.cxx, props.hxx, props_io.cxx: Property
	  system optimizations

	  Profiling startup with the new effects code exposed some
	  performance gotchas. The objective is to reduce allocation of
	  std::string temporaries, especially when looking up node path
	  names. Also, I changed some paths to initialize strings with
	  strings instead of char *; this causes less allocation, at least
	  with glibc. Also, eliminate the old version of find_node and its
	  helper functions by writing the template version of find_node_aux
	  to handle an explicit index parameter.

	  Also, add const char[] as an internal property type

	  This doesn't actually add a new type to the property system, but
	  allows using character arrays as arguments to certain templates.

	  Author: Tim Moore <moore@blackbox.bricoworks.com> Committer: Tim
	  Moore <timoore@redhat.com>

2009-11-10 09:56  timoore

	* simgear/scene/: model/SGPagedLOD.cxx, model/animation.cxx,
	  model/animation.hxx, util/SGSceneUserData.cxx,
	  util/SGSceneUserData.hxx: Add writeLocalData functions for
	  internal scenegraph classes

	  This makes the scenegraph dump more complete and therefore more
	  useful.

	  Author: Tim Moore <timoore@redhat.com>

2009-11-09 11:28  ehofman

	* simgear/sound/: xmlsound.cxx, xmlsound.hxx: allow sound effects
	  in the configuration file to be added to the 'avionics' sample
	  group by setting '<type>avionics</type>'.

2009-11-09 10:23  ehofman

	* SimGear.dsp, SimGear.dsw: Remove old MSVC6.0 files that doen't
	  work anymore

2009-11-05 17:58  ehofman

	* simgear/scene/sky/sky.cxx: Oops, it was the scenery up vector,
	  not the viewer up vector

2009-11-05 14:46  ehofman

	* simgear/scene/sky/: sky.cxx, sky.hxx: Save a costly
	  SGVec3d::fromGeod() calculation

2009-11-05 13:48  ehofman

	* simgear/scene/sky/: sky.cxx, sky.hxx: pass the geodetic position
	  and view orientation to the sky reposition function

2009-11-04 11:25  ehofman

	* simgear/: environment/visual_enviro.cxx, sound/sample_group.cxx:
	  small fixes

2009-11-03 12:42  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  sample_openal.cxx, sample_openal.hxx: fix directional sound
	  orientation

2009-11-03 11:16  ehofman

	* simgear/sound/openal_test3.cxx: adjust to recent changes

2009-11-03 10:59  ehofman

	* simgear/sound/: sample_openal.hxx, soundmgr_openal.hxx,
	  xmlsound.cxx: some small fixes

2009-11-02 22:38  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  sample_openal.cxx, sample_openal.hxx, soundmgr_openal.cxx,
	  soundmgr_openal.hxx, xmlsound.cxx: Remove more unneeded code and
	  properly set relative position and sound direction

2009-11-02 12:39  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  sample_openal.cxx, sample_openal.hxx: Small code reorganization,
	  mostly removing unneeded code

2009-11-02 11:31  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  sample_openal.cxx, sample_openal.hxx, soundmgr_openal.cxx,
	  soundmgr_openal.hxx: Position and orientation fixes thanks to Tim
	  Moore (finaly). Code optimizations by moving code over from
	  SGSoundSample to SGSampleGroup which means it will only run once
	  for every sample group instead of once for every sample.

2009-11-01 18:34  ehofman

	* simgear/sound/sample_openal.hxx: silently clip pitch and gain to
	  their maximum values

2009-11-01 15:51  ehofman

	* simgear/sound/: sample_openal.cxx, sample_openal.hxx,
	  soundmgr_openal.cxx, xmlsound.cxx: proper orientation(?) and
	  comment out relative position and direction code since it messes
	  with OpenAL in such a way that volume doesn't work properly
	  anymore

2009-10-31 15:18  ehofman

	* simgear/sound/: openal_test3.cxx, sample_group.cxx,
	  sample_group.hxx, sample_openal.cxx, sample_openal.hxx,
	  soundmgr_openal.cxx, soundmgr_openal.hxx: another attempt at
	  getting something useful without any result.

2009-10-31 09:53  ehofman

	* simgear/sound/Makefile.am: fix a typo

2009-10-31 09:46  ehofman

	* simgear/compiler.h: fix a gcc version test

2009-10-31 09:41  ehofman

	* simgear/compiler.h: MacOS X fix

2009-10-30 13:59  ehofman

	* simgear/sound/sample_openal.cxx: add relative pos back in

2009-10-29 18:03  ehofman

	* simgear/sound/sample_group.cxx: pass the float pointer to the
	  isNaN function instead of the SGVec3 type

2009-10-29 15:58  ehofman

	* simgear/sound/sample_openal.cxx: multiply quats in the right
	  order

2009-10-29 14:33  ehofman

	* simgear/sound/: openal_test3.cxx, sample_group.cxx,
	  sample_group.hxx, sample_openal.cxx, sample_openal.hxx,
	  soundmgr_openal.cxx, soundmgr_openal.hxx, xmlsound.cxx: Commit
	  the current state of affairs to see if it fixes the position code
	  for others

2009-10-29 13:53  ehofman

	* simgear/sound/: Makefile.am, openal_test2.cxx, openal_test3.cxx:
	  another test program, using real world locations

2009-10-28 15:27  ehofman

	* simgear/sound/: openal_test2.cxx, sample_group.cxx,
	  sample_openal.cxx, sample_openal.hxx, soundmgr_openal.cxx,
	  soundmgr_openal.hxx: Fix a bug where a sample was removed from
	  the sample list before it was stopped. Proper listener
	  orientation when inside the airplane (need to find a good
	  solution for outside view).

2009-10-27 13:21  ehofman

	* simgear/sound/soundmgr_openal.cxx: also test for NaN in listener
	  code

2009-10-27 13:10  ehofman

	* simgear/sound/: sample_group.cxx, sample_openal.cxx,
	  sample_openal.hxx: small code reorganization and addition of
	  debugging tests.

2009-10-26 23:10  timoore

	* simgear/scene/: material/matmodel.cxx, model/model.cxx: More
	  include SGMath.hxx to keep MSVC happy

	  Author: Tim Moore <timoore@redhat.com>

2009-10-26 22:06  ehofman

	* simgear/sound/: sample_group.cxx, sample_openal.cxx,
	  soundmgr_openal.cxx, soundmgr_openal.hxx, xmlsound.cxx:
	  FGViewer::recalcLookFrom turned out to be an excellent source of
	  information for prosition and orientation

2009-10-26 11:47  ehofman

	* simgear/sound/: sample_group.cxx, soundmgr_openal.cxx,
	  xmlsound.cxx: re-enable sound positioning and velocity, test for
	  NaN's and print a message when it happens (debugging, should be
	  removed later on).

2009-10-26 10:05  ehofman

	* simgear/compiler.h: move all isnan() declarations from
	  sample_group.cxx to compiler.h since it's too important not to
	  have available everywhere.

2009-10-24 14:57  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  sample_openal.cxx, soundmgr_openal.cxx: Use shared pointers for
	  any reference to SGSoundSample, fix the constructor of
	  SGSoundSample where data is supplied by the calling program.

2009-10-24 10:18  ehofman

	* simgear/sound/: sample_group.cxx, sample_openal.cxx,
	  sample_openal.hxx, soundmgr_openal.cxx: get rid of aut_ptr, it
	  only works with objects that can destroyed with delete (and not
	  even delete[]) which is too limited. take drastic actions to find
	  the sound-not-playing-bug: set all positions and orientations to
	  default all the time.

2009-10-22 14:11  ehofman

	* simgear/sound/sample_openal.cxx: .. and remove some debugging
	  code

2009-10-22 14:10  ehofman

	* simgear/sound/: sample_openal.cxx, xmlsound.cxx: revert some test
	  code

2009-10-22 14:07  ehofman

	* simgear/sound/sample_openal.hxx: should use free instead of
	  delete for malloced data.

2009-10-22 10:58  ehofman

	* simgear/sound/: sample_group.cxx, soundmgr_openal.cxx: a few more
	  temporarty debugging statements

2009-10-22 10:32  ehofman

	* simgear/sound/: openal_test1.cxx, sample_group.cxx,
	  sample_openal.cxx, soundmgr_openal.cxx: fix a memory leak and add
	  some temporary debugging statements.

2009-10-21 18:56  ehofman

	* simgear/sound/: openal_test2.cxx, sample_openal.cxx,
	  xmlsound.cxx: Updates to the test utilies.

2009-10-21 18:52  ehofman

	* simgear/sound/: Makefile.am, openal_test1.cxx: Updates to the
	  test utilies.

2009-10-20 13:31  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  soundmgr_openal.cxx, soundmgr_openal.hxx: Fix a pause situation
	  where more code was executed than expected. Unbind an OpenAL
	  buffer from an OpenAL source when requested to stop playing.

2009-10-19 16:09  ehofman

	* simgear/sound/: sample_openal.cxx, sample_openal.hxx,
	  soundmgr_openal.cxx: use auto_ptr instead

2009-10-19 12:40  ehofman

	* simgear/sound/: openal_test1.cxx, sample_group.cxx,
	  sample_group.hxx, sample_openal.cxx, sample_openal.hxx,
	  soundmgr_openal.cxx, soundmgr_openal.hxx: do not yet add the
	  relative sound position to the absolute position, it's generating
	  NaN's at the moment. Fix a bunch of other small bugs

2009-10-18 20:52  ehofman

	* simgear/sound/soundmgr_openal.cxx: sigh, forgot another alut* at
	  the wrong place.

2009-10-18 18:31  timoore

	* simgear/: io/sg_binobj.hxx, math/sg_types.hxx, misc/texcoord.cxx,
	  scene/sky/oursun.cxx, scene/tgdb/SGLightBin.hxx,
	  sound/sample_openal.cxx: forward declare Point3D in sg_types.hxx

	  This avoids sucking in SGMath.hxx -- and therefore a bunch of OSG
	  headers -- into many compilation units.

	  Author: Tim Moore <timoore@redhat.com>

2009-10-18 15:55  ehofman

	* simgear/sound/soundmgr_openal.cxx: restore some part of the code
	  to prevent an untwanted segmentationf fault.

2009-10-18 15:44  ehofman

	* simgear/sound/: sample_group.hxx, soundmgr_openal.cxx,
	  soundmgr_openal.hxx: Start the sound manager in a deactived
	  state. This means the code now has to activate it explicitly when
	  desired. A non active state means the update function will no be
	  executed.

2009-10-18 11:34  ehofman

	* simgear/sound/: sample_openal.cxx, sample_openal.hxx,
	  soundmgr_openal.cxx: Don't delete the sample data if it wasn't
	  constructed as a file. It's now deleted when calling free_data()
	  by the owner or in the  destructor.

2009-10-18 10:48  ehofman

	* simgear/structure/SGAtomic.cxx: revert to previous version

2009-10-17 15:09  ehofman

	* simgear/sound/: sample_openal.cxx, soundmgr_openal.cxx: make sure
	  update_late isn't executed when dt=0

2009-10-17 14:36  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  sample_openal.cxx, sample_openal.hxx, soundmgr_openal.cxx,
	  soundmgr_openal.hxx: documentation, licensing, copyright and
	  small api updates.

2009-10-16 15:19  ehofman

	* simgear/sound/sample_openal.cxx: convert _relative_pos to a
	  vector of doubles and set the relative offset

2009-10-16 13:37  ehofman

	* simgear/sound/sample_openal.hxx: _data is not an array of pointer

2009-10-16 11:45  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  sample_openal.cxx, sample_openal.hxx, soundmgr_openal.cxx: Alut <
	  1.0 fixes and finaly fix the sound orientation

2009-10-15 19:08  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  soundmgr_openal.cxx, soundmgr_openal.hxx:

	  Initialization was done much earlier than expected resulting in
	  some sample groups not being activated (and sample loading using
	  OpenAL/ALUT functions to be scheduled before OpenAL was
	  initilialized).

	  fix alutInit counter remove left over static declaration fro
	  SGSoundMgr::load

2009-10-15 14:33  ehofman

	* simgear/sound/soundmgr_openal.cxx: add a debugging statement

2009-10-15 14:00  ehofman

	* simgear/environment/visual_enviro.cxx: fix for latest changes

2009-10-15 11:18  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  sample_openal.cxx, sample_openal.hxx, soundmgr_openal.cxx,
	  soundmgr_openal.hxx, xmlsound.cxx: give the sample class as much
	  info as possible to properly position and orientate the sounds.
	  unfortunately at this time orientation seems to be from straight
	  behind which means that sounds that have outer-gain set to 0.0
	  will not be heard yet.

2009-10-12 19:22  ehofman

	* simgear/sound/soundmgr_openal.cxx:

	  Alex Buzin: I got an error with the Sunday CVS - FG crashed while
	  exiting .  gdb reports SIGSEGV error at file soundmgr_openal.cxx,
	  line 159.

	  Error was fixed by changing lines 157-159 from:
	  buffer_map_iterator buffers_current = _buffers.begin();
	  buffer_map_iterator buffers_end = _buffers.end();	    for ( ;
	  buffers_current != buffers_end; ++buffers_current ) { to :
	   buffer_map_iterator buffers_current;
	  while(_buffers.size()){	      buffers_current =
	  _buffers.begin();

2009-10-11 15:38  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  sample_openal.cxx, sample_openal.hxx, soundmgr_openal.cxx,
	  soundmgr_openal.hxx, xmlsound.cxx: Correct (and verrified)
	  position, orientation and velocity vector. Todo: proper sound
	  orientation (the all face forward using the airplane orientation
	  now) and disabling doppler effect when tied to the listener

2009-10-11 10:47  ehofman

	* simgear/constants.h: proper naming is everything

2009-10-09 11:00  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  soundmgr_openal.cxx, soundmgr_openal.hxx: OpenAL buffer
	  management; add a buffer cache to prevent loading the same sample
	  in memory twice. Especially useful to save memory for
	  multi-aircraft configurations and (later) for AI models.

2009-10-07 14:54  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  soundmgr_openal.cxx, soundmgr_openal.hxx: add the option to tie a
	  SampleGroup to the listener position and orientation

2009-10-07 09:31  ehofman

	* simgear/sound/soundmgr_openal.cxx: alut pre-1.0 doesn't support
	  aletGetError but then again, this function doesn't get called in
	  that case either so just comment it out at build time

2009-10-06 22:05  jmt

	* simgear/screen/: screen-dump.cxx, screen-dump.hxx: Update the
	  screen-dump code to use osgDB, and hence write out files in more
	  common formats (PNG, JPEG, etc). The PPM writing code is retained
	  for the moment, in case someone other than FG is relying upon it.

2009-10-06 14:11  ehofman

	* simgear/sound/sample_group.cxx: fix a typo

2009-10-06 14:09  ehofman

	* simgear/sound/: README, sample_group.cxx, sample_openal.cxx,
	  soundmgr_openal.cxx: (try to) properly align model and viewer

2009-10-05 15:42  ehofman

	* simgear/sound/soundmgr_openal.cxx: default listener (master
	  volume) default to 0.0 to save some ugly code in FlightGear

2009-10-05 13:10  ehofman

	* simgear/sound/soundmgr_openal.hxx: add the alc.h header file vor
	  OpenAL context related code

2009-10-05 10:56  ehofman

	* simgear/sound/: sample_group.cxx, sample_group.hxx,
	  soundmgr_openal.cxx, soundmgr_openal.hxx: Rename update() to
	  update_late() for the sound manager to be able to initialize it
	  before any other class that uses it. This will allow the
	  SoundManager to be safely accessed in the constructor of those
	  classes.

2009-10-04 15:52  ehofman

	* simgear/: environment/visual_enviro.cxx,
	  environment/visual_enviro.hxx, sound/Makefile.am, sound/jet.wav,
	  sound/openal_test2.cxx, sound/sample_group.cxx,
	  sound/sample_group.hxx, sound/sample_openal.cxx,
	  sound/sample_openal.hxx, sound/soundmgr_openal.cxx,
	  sound/soundmgr_openal.hxx, sound/xmlsound.cxx,
	  sound/xmlsound.hxx, structure/SGAtomic.cxx: Initial commit of the
	  new sound system, expect more updates to follow

2009-10-02 07:44  durk

	* simgear/scene/sky/: CloudShaderGeometry.cxx, newcloud.cxx: Stuart
	  Buchanan:    Improvements to the cloudsystem: 	- A new xml
	  format	 - Texture indexing based on the position of the
	  sprite in the cloud		mass, allowing more control over
	  the texture set.	    - Improved fog and shading		-
	  Better sprite distribution	      - A more natural distribution
	  of clouds, so no more obvious grids.

2009-10-01 00:33  timoore

	* simgear/misc/: strutils.cxx, strutils.hxx: Back out
	  convertToLowerCase function

	  It brought in an OSG dependency; we'll just use
	  boost::to_lower_copy instead.

	  Author: Tim Moore <timoore@redhat.com>

2009-09-26 13:44  jmt

	* simgear/misc/: strutils.cxx, strutils.hxx: Extend
	  simgear::strutils with convertToLowerCase helper - currently a
	  proxy for osgDB helper of the same name.

2009-09-24 09:07  ehofman

	* configure.ac: just small fixes

2009-09-22 16:17  torsten

	* simgear/math/SGGeodesy.cxx: Catch a possible floating point error
	  in SGGeodesy::SGCartToGeod() for cartesian coordinates close to
	  the geocenter region.

2009-09-19 00:38  timoore

	* simgear/scene/material/EffectCullVisitor.cxx: check for null
	  effect in EffectCullVisitor

	  An EffectGeode might not have any effect.

	  Author: Tim Moore <timoore@redhat.com>

2009-09-16 19:01  torsten

	* configure.ac, simgear/io/Makefile.am, simgear/props/Makefile.am:
	  Tatsuhiro Nishioka: Patches for configure.ac and Makefile.am
	  files in FG/SG so Mac developers can build these in a unix way.
	  These also enables Mac developers to choose either PLIB framework
	  or PLIB static libs.

2009-09-16 07:06  frohlich

	* simgear/math/: SGVec2.hxx, SGVec3.hxx, SGVec4.hxx: Correct finite
	  precision issues.  Use consistent function names.  Implement
	  changes consistently over the different vector sizes.

	  Modified Files:	  SGVec2.hxx SGVec3.hxx SGVec4.hxx

2009-09-16 07:04  frohlich

	* simgear/structure/: SGSharedPtr.hxx, SGWeakPtr.hxx: Make the weak
	  pointer work. Some bits were left when importing.

	  Modified Files:	  SGSharedPtr.hxx SGWeakPtr.hxx

2009-09-14 14:36  jmt

	* simgear/sound/xmlsound.cxx: Logging:less verbose sound loading.

2009-09-14 14:30  jmt

	* simgear/scene/tgdb/TileEntry.cxx: Logging: quiet down STG
	  parsing.

2009-09-14 14:20  jmt

	* simgear/scene/model/ModelRegistry.cxx: Logging: quiet down
	  model/image loading policy.

2009-09-14 14:18  jmt

	* simgear/scene/model/ModelRegistry.cxx: Logging: quiet the BVH
	  building policy.

2009-09-14 14:09  jmt

	* simgear/scene/material/matlib.cxx: Logging: quiet material
	  loading.

2009-09-14 14:08  jmt

	* simgear/sound/xmlsound.cxx: Logging - downgrade play/stop
	  messages to debug.

2009-09-09 23:32  timoore

	* simgear/math/: SGVec3.hxx, vector.cxx, vector.hxx: Implement
	  vector _projection_ functions.

2009-09-09 23:30  timoore

	* simgear/scene/model/animation.cxx: Make "repeat" start slower on
	  pick-animation mouse events;

	  otherwise it is unusable.

2009-09-08 15:50  ehofman

	* simgear/sound/: soundmgr_openal.cxx, xmlsound.cxx: Dont execute
	  code in case the soundmanager isn't properly initialized

2009-09-07 23:42  frohlich

	* simgear/: math/SGGeod.cxx, math/SGQuat.hxx, math/SGVec2.hxx,
	  math/SGVec3.hxx, math/SGVec4.hxx, scene/material/Effect.cxx,
	  scene/model/SGInteractionAnimation.cxx,
	  scene/model/SGMaterialAnimation.cxx,
	  scene/model/SGRotateTransform.cxx,
	  scene/model/SGScaleTransform.cxx,
	  scene/model/SGTranslateTransform.cxx, scene/model/animation.cxx,
	  scene/model/particles.cxx, scene/model/placement.cxx,
	  scene/model/shadanim.cxx, scene/sky/CloudShaderGeometry.cxx,
	  scene/sky/cloud.cxx, scene/sky/cloudfield.cxx,
	  scene/sky/dome.cxx, scene/sky/sky.cxx,
	  scene/tgdb/GroundLightManager.cxx, scene/tgdb/SGOceanTile.cxx,
	  scene/tgdb/SGTexturedTriangleBin.hxx,
	  scene/tgdb/SGVasiDrawable.cxx, scene/tgdb/TreeBin.cxx,
	  scene/tgdb/obj.cxx, scene/tgdb/pt_lights.cxx,
	  scene/util/SGUpdateVisitor.hxx: Switch to new vector conversion
	  functions.

	  Modified Files:	  simgear/math/SGGeod.cxx
	  simgear/math/SGQuat.hxx	  simgear/math/SGVec2.hxx
	  simgear/math/SGVec3.hxx	  simgear/math/SGVec4.hxx
	  simgear/scene/material/Effect.cxx
	  simgear/scene/model/SGInteractionAnimation.cxx
	  simgear/scene/model/SGMaterialAnimation.cxx
	  simgear/scene/model/SGRotateTransform.cxx
	  simgear/scene/model/SGScaleTransform.cxx
	  simgear/scene/model/SGTranslateTransform.cxx
	  simgear/scene/model/animation.cxx
	  simgear/scene/model/particles.cxx
	  simgear/scene/model/placement.cxx
	  simgear/scene/model/shadanim.cxx
	  simgear/scene/sky/CloudShaderGeometry.cxx
	  simgear/scene/sky/cloud.cxx simgear/scene/sky/cloudfield.cxx
	  simgear/scene/sky/dome.cxx simgear/scene/sky/sky.cxx
	  simgear/scene/tgdb/GroundLightManager.cxx
	  simgear/scene/tgdb/SGOceanTile.cxx
	  simgear/scene/tgdb/SGTexturedTriangleBin.hxx
	  simgear/scene/tgdb/SGVasiDrawable.cxx
	  simgear/scene/tgdb/TreeBin.cxx simgear/scene/tgdb/obj.cxx
	  simgear/scene/tgdb/pt_lights.cxx
	  simgear/scene/util/SGUpdateVisitor.hxx

2009-09-07 22:37  frohlich

	* simgear/scene/: material/matlib.cxx, material/matlib.hxx,
	  model/BoundingVolumeBuildVisitor.hxx: Fix problem with ocean
	  files not recognized as water.  Move dynamic casts to EffectGeode
	  into the findMaterial method.

	  Modified Files:	  simgear/scene/material/matlib.cxx
	  simgear/scene/material/matlib.hxx
	  simgear/scene/model/BoundingVolumeBuildVisitor.hxx

2009-09-05 14:25  frohlich

	* simgear/math/SGQuat.hxx: Add some comments.  Make sure floating
	  point constants do not introduce useless upcasts.  Remove now
	  unused and not really usefull method.

	  Modified Files:	  simgear/math/SGQuat.hxx

2009-09-05 13:56  ehofman

	* simgear/magvar/Makefile.am: Also install coremag.hxx since it is
	  being used by JSBSim now

2009-09-05 08:54  frohlich

	* simgear/scene/util/SGSceneFeatures.hxx: Remove unused member.

	  Modified Files:	  simgear/scene/util/SGSceneFeatures.hxx

2009-09-05 08:53  frohlich

	* simgear/: scene/sky/dome.cxx, math/SGGeod.cxx, math/SGGeod.hxx,
	  math/SGQuat.hxx, math/SGVec2.hxx, math/SGVec3.hxx,
	  math/SGVec4.hxx: Should be now more easy to make use of SGMath
	  without having osg.

	  Modified Files:	  simgear/scene/sky/dome.cxx
	  simgear/math/SGGeod.cxx      simgear/math/SGGeod.hxx
	  simgear/math/SGQuat.hxx	  simgear/math/SGVec2.hxx
	  simgear/math/SGVec3.hxx	  simgear/math/SGVec4.hxx

2009-09-03 22:14  frohlich

	* simgear/scene/model/SGMaterialAnimation.cxx: Return a osg::Vec
	  value instead of a non const reference.

	  Modified Files:	  scene/model/SGMaterialAnimation.cxx

2009-09-03 22:13  frohlich

	* simgear/scene/model/: SGTranslateTransform.cxx,
	  SGRotateTransform.cxx, SGScaleTransform.cxx: Avoid the non const
	  SGVec*::osg() method.

	  Modified Files:	  SGTranslateTransform.cxx
	  SGScaleTransform.cxx	 SGRotateTransform.cxx

2009-09-03 22:10  frohlich

	* simgear/scene/model/: CheckSceneryVisitor.cxx,
	  CheckSceneryVisitor.hxx: Use const refs for const data.

	  Modified Files:
	  simgear/scene/model/CheckSceneryVisitor.hxx
	  simgear/scene/model/CheckSceneryVisitor.cxx

2009-08-29 15:38  torsten

	* simgear/scene/model/: SGText.cxx, SGText.hxx: Spare one node in
	  the scenegraph if there is no  <offsets>

2009-08-25 09:19  timoore

	* simgear/scene/: material/Effect.cxx, tgdb/ShaderGeometry.cxx,
	  tgdb/ShaderGeometry.hxx, tgdb/TreeBin.cxx, tgdb/TreeBin.hxx,
	  tgdb/obj.cxx: Change trees code to use a faster OpenGL path

	  The (random) dimensions of a large number of trees is stored in
	  an array shared by all the tree geodes. The coordinates of the
	  origin of each tree are replicated in an another array. This
	  allows an entire block of trees to be rendered with a few OpenGL
	  calls, instead of one function call per tree.

2009-08-24 19:30  torsten

	* projects/VC90/SimGear.vcproj: support osgText in models

2009-08-24 19:29  torsten

	* simgear/scene/model/: Makefile.am, SGReaderWriterXML.cxx,
	  SGText.cxx, SGText.hxx: support osgText in models. See
	  docs/README.osgtext for details

2009-08-21 17:55  torsten

	* simgear/scene/tgdb/apt_signs.cxx: Don't load materials without a
	  name

2009-08-21 14:10  torsten

	* simgear/math/SGGeodesy.cxx: Avoid NAN due to floating point
	  rounding errors

2009-08-21 09:43  ehofman

	* simgear/scene/sky/oursun.cxx: prevent division by zero

2009-08-20 17:24  torsten

	* simgear/screen/: RenderTexture.cpp, TestRenderTexture.cpp:  Alan
	  Teeder: fix incomplete dbg_printf for non-gcc.

2009-08-20 15:10  torsten

	* simgear/: misc/Makefile.am, sound/Makefile.am: don't build
	  tabbed_value_test, swap_test, openal_test1 and openal_test2 by
	  default.

2009-08-20 15:09  torsten

	* simgear/sound/openal_test1.cxx: warning fix: unused variables

2009-08-20 15:09  torsten

	* simgear/screen/TestRenderTexture.cpp: extinguish many warnings
	  (at least for gcc)

2009-08-20 15:08  torsten

	* simgear/scene/: model/CheckSceneryVisitor.cxx,
	  sky/cloudfield.cxx, tgdb/TileEntry.cxx, tgdb/TreeBin.cxx: warning
	  fix: initializing members in the order they are declared keeps
	  gcc happy

2009-08-20 13:53  torsten

	* simgear/scene/sky/: CloudShaderGeometry.cxx, newcloud.cxx:
	  warning fixes

2009-08-20 13:44  torsten

	* simgear/screen/RenderTexture.cpp: extinguish many warnings (at
	  least for gcc)

2009-08-20 13:09  torsten

	* simgear/scene/util/PrimitiveUtils.cxx: warning fix: abort program
	  and spit out a message if getNumPrims() is called with unknown
	  mode. (Shouldn't happen anyway)

2009-08-20 13:02  torsten

	* simgear/scene/sky/cloud.cxx: warning fix: unused variable

2009-08-20 13:02  torsten

	* simgear/scene/model/SGClipGroup.cxx: warning fix, unused code

2009-08-20 12:55  torsten

	* simgear/scene/tgdb/apt_signs.cxx: don't use uninitialized
	  variables

2009-08-20 12:55  torsten

	* simgear/scene/tgdb/: SGTexturedTriangleBin.hxx,
	  ShaderGeometry.cxx: warning fixes

2009-08-20 11:17  torsten

	* simgear/scene/model/: ModelRegistry.cxx, animation.cxx,
	  ModelRegistry.hxx, shadanim.cxx: warning fixes

2009-08-20 11:00  torsten

	* simgear/scene/material/: Effect.cxx, makeEffect.cxx: warning
	  fixes

2009-08-20 10:51  torsten

	* simgear/math/SGIntersect.hxx: warning fix (multiline comment)

2009-08-20 10:46  torsten

	* simgear/props/: props.cxx, props.hxx, props_io.cxx: warning fix

2009-08-20 10:43  torsten

	* simgear/environment/visual_enviro.cxx: warning fix

2009-08-20 10:41  torsten

	* simgear/math/SGGeodesy.cxx: warning fixes

2009-08-20 10:32  torsten

	* simgear/structure/exception.cxx: Warning fix: array subscript is
	  above array bounds

2009-08-16 21:33  ehofman

	* simgear/scene/sky/: oursun.cxx, oursun.hxx, sky.hxx: Expose the
	  color of the sun (which is not the scene specular color anymore)

2009-08-16 10:42  ehofman

	* simgear/scene/sky/: oursun.cxx, oursun.hxx: Differentiate between
	  sun color (based in visibility) and scene color (based on
	  humidity)

2009-08-09 12:49  torsten

	* simgear/scene/: material/mat.cxx, material/mat.hxx, tgdb/obj.cxx,
	  tgdb/SGTexturedTriangleBin.hxx:  Stuart Buchanan: I've been
	  working on a small patch to allow trees to be grouped together
	  into woods. This allows what seems to me to be a more realistic
	  grouping of trees for farmland in particular.

2009-08-08 14:26  fredb

	* projects/VC90/SimGear.vcproj,
	  simgear/scene/material/EffectBuilder.cxx,
	  simgear/scene/material/TextureBuilder.cxx: Compile under MSVC9

2009-08-08 12:19  timoore

	* projects/VC7.1/SimGear.vcproj, simgear/scene/material/Effect.cxx,
	  simgear/scene/material/EffectBuilder.cxx,
	  simgear/scene/material/EffectBuilder.hxx,
	  simgear/scene/material/Makefile.am,
	  simgear/scene/material/Noise.cxx,
	  simgear/scene/material/Noise.hxx,
	  simgear/scene/material/TextureBuilder.cxx,
	  simgear/scene/material/TextureBuilder.hxx,
	  simgear/scene/material/makeEffect.cxx,
	  simgear/scene/material/mat.cxx, simgear/scene/material/mat.hxx:
	  New effects from Till Busch: crops, water, landmass

	  As shown at LinuxTag, with modifications from Tim Moore: the base
	  landmass texture is mixed with the steepness and snow effects.
	  Till's new syntax for textures in effect files was also added.
	  syntax for textures. Also, syntax for accessing internal
	  textures, such as Till's 3D noise texture, was added.

	  Several bugs in the effect inheritance algorithm were fixed.

2009-07-28 16:33  torsten

	* simgear/scene/model/animation.cxx: Allow multiple <button>
	  elements for <action> elements in pick animations. Nice to have
	  to have a single action  for mouse-button and mouse-wheel.

2009-07-27 11:50  fredb

	* simgear/: math/interpolater.cxx, misc/interpolator.cxx,
	  props/condition.cxx, props/props.hxx,
	  scene/bvh/BVHLineSegmentVisitor.cxx,
	  scene/model/CheckSceneryVisitor.cxx, scene/model/SGPagedLOD.cxx,
	  scene/model/modellib.cxx, scene/model/persparam.cxx,
	  structure/SGBinding.cxx, structure/commands.cxx,
	  structure/event_mgr.cxx, structure/subsystem_mgr.cxx: Fix case
	  typo

2009-07-26 22:24  fredb

	* simgear/: props/props.hxx, scene/material/Technique.cxx,
	  structure/SGExpression.hxx: Suppress warnings

2009-07-26 20:53  fredb

	* projects/VC7.1/SimGear.vcproj, projects/VC90/SimGear.vcproj,
	  simgear/math/interpolater.cxx, simgear/misc/interpolator.cxx,
	  simgear/props/condition.cxx, simgear/props/props.cxx,
	  simgear/scene/bvh/BVHLineSegmentVisitor.cxx,
	  simgear/scene/material/Effect.cxx,
	  simgear/scene/material/EffectCullVisitor.cxx,
	  simgear/scene/material/EffectGeode.cxx,
	  simgear/scene/material/Technique.cxx,
	  simgear/scene/material/makeEffect.cxx,
	  simgear/scene/model/CheckSceneryVisitor.cxx,
	  simgear/scene/model/SGPagedLOD.cxx,
	  simgear/scene/model/modellib.cxx,
	  simgear/scene/model/persparam.cxx,
	  simgear/structure/SGBinding.cxx, simgear/structure/commands.cxx,
	  simgear/structure/event_mgr.cxx,
	  simgear/structure/subsystem_mgr.cxx: Compile latest SimGear under
	  MSVC9

2009-07-19 23:05  timoore

	* simgear/structure/: SGExpression.cxx, SGExpression.hxx: Create a
	  singleton for the parser table

2009-07-19 22:40  timoore

	* simgear/: props/props.cxx, scene/material/Effect.cxx: Move
	  definition of SGRawBase<...>::printOn out of simgear namespace

	  They are declared in the global namespace, and MSVC insists that
	  they be defined there.

2009-07-18 10:13  timoore

	* simgear/scene/material/: Effect.cxx, Technique.hxx: Add missing
	  return statements

2009-07-17 16:21  timoore

	* simgear/scene/material/mat.cxx: Store material data with Effect

	  Somehow this got left out, which broke ground intersection
	  queries.

2009-07-17 15:21  timoore

	* simgear/scene/material/matlib.cxx: include file change to make
	  simgear work with OSG 2.9.X again

2009-07-17 14:58  timoore

	* simgear/: props/condition.cxx, props/props.cxx,
	  props/props_io.cxx, scene/material/Effect.cxx: Change references
	  to property types

	  BOOL, FLOAT etc. conflict with typedefs in windows.h, so these
	  types are referred to using the props:: namespace.

2009-07-17 12:11  timoore

	* simgear/props/: props.cxx, props.hxx: Changed
	  SGRawValue::DefaultValue to an inline function.

	  This avoids MSVC bugs in declaring templated specializations of
	  static members.

2009-07-17 12:11  timoore

	* simgear/: scene/material/Technique.hxx, structure/SGAtomic.hxx:
	  Use SGAtomic's compareAndExchange instead of a new SGSwappable
	  class

	  Also, eliminate the __declspec(32) of that class which is causing
	  problems in osg::buffered_object.

2009-07-16 18:35  timoore

	* simgear/scene/material/: Effect.cxx, makeEffect.cxx, mat.cxx,
	  mat.hxx, matlib.cxx: Fix effects code to work with OSG 2.8.2-rc4

2009-07-16 13:04  timoore

	* simgear/scene/material/: Effect.cxx, Technique.cxx: Use
	  std::back_inserter instead of my local hack

	  BackRefInsertIterator is probably broken and may not be needed at
	  all.

2009-07-16 01:12  timoore

	* projects/VC7.1/SimGear.vcproj: Add new Effects files to vcproj

2009-07-16 01:11  timoore

	* simgear/: scene/material/Effect.cxx,
	  scene/material/Technique.cxx, scene/material/Technique.hxx,
	  structure/SGExpression.cxx, structure/SGExpression.hxx: Fixes for
	  technique predicates

	  Get tests based on properties and OpenGL extensions working.

2009-07-16 01:11  timoore

	* simgear/scene/material/: Effect.cxx, mat.cxx, mat.hxx: more
	  effects features

	  Materials can specify an effect.

	  Add support for PolygonMode and initial support for Uniform.

2009-07-16 01:10  timoore

	* simgear/scene/material/: Effect.cxx, Effect.hxx, Makefile.am,
	  Pass.cxx, Technique.cxx, makeEffect.cxx, mat.cxx, mat.hxx,
	  matlib.cxx: Construct effects from property lists

	  The material code constructs a property list from its input
	  parameters.

	  Enable dumping of Pass and Technique objects to a file.

	  Default effect now uses texture node instead of texture0

2009-07-16 01:10  timoore

	* simgear/scene/: material/mat.cxx, material/mat.hxx,
	  material/matlib.cxx, material/matlib.hxx,
	  model/BoundingVolumeBuildVisitor.hxx, tgdb/SGOceanTile.cxx,
	  tgdb/apt_signs.cxx: materials use only simgear::Effect

	  Eliminate SGMaterial::get_state function.

	  Use Effect in BVH visitor, ocean tile generation, and airport
	  signs.

2009-07-16 01:10  timoore

	* simgear/scene/: material/EffectCullVisitor.cxx, material/mat.cxx,
	  tgdb/obj.cxx, tgdb/pt_lights.cxx, tgdb/pt_lights.hxx: Use Effect
	  to implement point lights

	  This allows different OpenGL features (point sprites, point
	  attenuation) to be used depending on hardware support.

2009-07-16 01:10  timoore

	* simgear/scene/material/: Technique.cxx, Technique.hxx, mat.cxx:
	  Use SGExpressions for evaluating a Technique's validity

2009-07-16 01:10  timoore

	* simgear/: scene/model/animation.cxx, structure/SGExpression.cxx,
	  structure/SGExpression.hxx: Overhaul of SGExpression

	  Polymorphic additions to expressions: Add an expression base
	  class with a method for dynamically determining the type of an
	  expression.

	  Add variables, predicates and boolian expressions.

	  Support for parsing trees of expressions

2009-07-16 01:09  timoore

	* simgear/: scene/material/Effect.cxx,
	  scene/material/GLPredicate.cxx, scene/material/GLPredicate.hxx,
	  scene/material/Makefile.am, scene/material/Pass.cxx,
	  scene/material/Pass.hxx, scene/material/Technique.cxx,
	  scene/material/mat.cxx, scene/sky/cloud.cxx,
	  structure/Makefile.am, structure/StringTable.cxx,
	  structure/StringTable.hxx, structure/intern.cxx,
	  structure/intern.hxx: Work in progress for Technique validation

2009-07-16 01:09  timoore

	* simgear/scene/: material/Effect.cxx, material/Effect.hxx,
	  material/EffectCullVisitor.cxx, material/EffectCullVisitor.hxx,
	  material/EffectGeode.cxx, material/EffectGeode.hxx,
	  material/Makefile.am, material/Pass.cxx, material/Pass.hxx,
	  material/Technique.cxx, material/Technique.hxx, material/mat.cxx,
	  material/mat.hxx, material/matlib.cxx, sky/cloud.cxx,
	  tgdb/obj.cxx: Use Effects in materials library, and therefore in
	  scenery

2009-07-16 01:09  timoore

	* simgear/: scene/material/Effect.cxx, scene/material/Effect.hxx,
	  scene/material/EffectData.cxx, scene/material/EffectData.hxx,
	  scene/material/EffectElement.hxx,
	  scene/material/EffectElementBuilder.hxx,
	  scene/material/EffectGeode.cxx, scene/material/EffectGeode.hxx,
	  scene/material/ElementBuilder.cxx,
	  scene/material/ElementBuilder.hxx, scene/material/Makefile.am,
	  scene/material/Pass.cxx, scene/material/Pass.hxx,
	  scene/material/Technique.cxx, scene/material/Technique.hxx,
	  structure/SGAtomic.hxx, xml/XMLStaticParser.hxx: Effects
	  framework

2009-07-16 01:08  timoore

	* simgear/scene/material/: matlib.cxx, matlib.hxx: Blow away unused
	  SGMaterialLib::add_item functions

2009-07-16 01:08  timoore

	* simgear/: scene/model/model.hxx, structure/SGSharedPtr.hxx:
	  cleanup

	  Add support for boost::mem_fn to SGSharedPtr.

	  Remove a couple of "using" declarations from
	  scene/model/model.hxx

2009-07-16 01:08  timoore

	* simgear/props/: props.cxx, props.hxx: Add PropertyList typedef
	  for vectors of property list nodes.

2009-07-16 01:08  timoore

	* simgear/props/props.hxx: Add a method to setStringValue that
	  takes a std::string argument

2009-07-16 01:08  timoore

	* simgear/props/: props.cxx, props.hxx: Don't cache results of
	  getDisplayName

	  Return a std::string result instead of char *.

2009-07-16 01:08  timoore

	* simgear/props/: props.cxx, props.hxx, props_io.cxx, props_io.hxx:
	  Add VEC3D and VEC4D property types

	  Add "extended" argument to readProperties, which controls whether
	  the vector  property types are accepted by the XML reader.

2009-07-16 01:07  timoore

	* simgear/props/: props.cxx, props.hxx: Extend properties to
	  support new property types.

	  An SGRawBase class has been added as a base class to the
	  SGRawValue hierarchy so that SGPropertyValue functions don't
	  necessarily need to know the type of the value stored in the
	  node.

	  A new SGRawValueContainer class stores properties that shouldn't
	  be stored in the node itself. PropertyTraits indicates if a type
	  is stored in the property node or externally.

	  Add getValue and SetValue template member functions to
	  SGPropertyNode.

	  Read and write new extended properties.

	  Rearrange props.hxx a bit so that the template magic actually
	  works.

	  Split out extended raw value virtual functions into a separate
	  base class.

	  SGRawExtended is chosen as a base class of SGRawValue for
	  extended property types.

2009-07-16 01:07  timoore

	* simgear/props/: condition.cxx, props.cxx, props.hxx,
	  props_io.cxx: Cleanup of properties

	  Change most uses of the SGPropertyNode _value union to use
	  static_cast.

	  Move SGPropertyNode::Type out of the class into simgear::props
	  namespace. Add a PropertyTraits class so that templates can
	  calculate the property type tag based on a C++ type.

	  In destructor, delete _value.val if it is not 0 (and the property
	  is not aliased).

2009-07-12 19:48  fredb

	* simgear/screen/RenderTexture.cpp: Refactor GLX only debug code

2009-07-07 00:58  fredb

	* simgear/screen/RenderTexture.cpp: Compile when not GLX

2009-07-02 16:01  ehofman

	* simgear/screen/: RenderTexture.cpp, TestRenderTexture.cpp:

	  Geoff McLane: add a bunch of debugging code to find a persistant
	  bug for Atlas/Map and fix them one by one.

2009-06-29 00:20  fredb

	* simgear/nasal/naref.h: Support MSVC 64-bit architecture

2009-06-28 22:27  fredb

	* projects/VC90/: .cvsignore, SimGear.vcproj: Add MSVC90 (VS2008)
	  project files

2009-06-28 15:34  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects - Put
	  PLIB and FLTK in 3rdParty

2009-06-28 11:19  frohlich

	* simgear/scene/tgdb/: TileCache.cxx, TileEntry.cxx, TileEntry.hxx:
	  Remove unneeded explicit scenegraph deletion.

	  Modified Files:	  simgear/scene/tgdb/TileCache.cxx
	  simgear/scene/tgdb/TileEntry.cxx
	  simgear/scene/tgdb/TileEntry.hxx

2009-06-27 09:41  fredb

	* simgear/scene/tgdb/TreeBin.cxx: Suppress warnings

2009-06-27 08:41  fredb

	* simgear/scene/bvh/: BVHGroup.cxx, BVHTransform.cxx: Win32 fix

2009-06-24 07:19  frohlich

	* simgear/structure/: Makefile.am, SGAtomic.cxx, SGAtomic.hxx,
	  SGReferenced.hxx, SGSharedPtr.hxx, SGWeakPtr.hxx,
	  SGWeakReferenced.hxx: Provide a thread safe SGWeakPtr
	  implementation.  Extend SGAtomic with atomic exchange and add.
	  Import updates from the original implementation of that in
	  OpenFDM.

	  Modified Files:	  Makefile.am SGAtomic.cxx SGAtomic.hxx
	  SGReferenced.hxx	    SGSharedPtr.hxx Added Files:
	  SGWeakPtr.hxx SGWeakReferenced.hxx

2009-06-23 22:35  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2009-06-23 22:35  fredb

	* simgear/scene/model/SGInteractionAnimation.cxx: Win32 fix

2009-06-23 22:34  frohlich

	* simgear/scene/model/ModelRegistry.cxx: No observed_ptr needed.

	  Modified Files:	  simgear/scene/model/ModelRegistry.cxx

2009-06-23 22:26  frohlich

	* simgear/scene/tgdb/TileEntry.cxx: Remove unused headers.

	  Modified Files:	  simgear/scene/tgdb/TileEntry.cxx

2009-06-23 22:26  frohlich

	* simgear/scene/model/SGReaderWriterXML.cxx: Propagate the lanel
	  loader through the options.

	  Modified Files:	  simgear/scene/model/SGReaderWriterXML.cxx

2009-06-22 20:39  frohlich

	* simgear/scene/model/: SGInteractionAnimation.hxx,
	  SGInteractionAnimation.cxx, Makefile.am, animation.cxx: Move the
	  carrier interactive geometry configuration into the model files.

	  Modified Files:	  Makefile.am animation.cxx Added Files:
	  SGInteractionAnimation.hxx SGInteractionAnimation.cxx

2009-06-22 11:35  ehofman

	* simgear/screen/: Makefile.am, colours.h, texture.cxx,
	  texture.hxx: Move the texture code to FlightGear/utils/Modeller

2009-06-20 13:11  frohlich

	* simgear/math/SGIntersect.hxx: Add some trailing spaces ...

	  Modified Files:	  ./simgear/math/SGIntersect.hxx

2009-06-20 11:33  jmt

	* simgear/props/condition.cxx: Fix a warning from GCC - 'ALIAS' was
	  unhandled in the switch stmt.

2009-06-17 11:38  timoore

	* simgear/structure/: exception.cxx, exception.hxx: change MAX_PATH
	  to max_path to avoid Windows compilation problems

2009-06-16 13:02  timoore

	* simgear/structure/: exception.cxx, exception.hxx: overhaul
	  sg_throwable to behave like a proper exception

	  Make sg_throwable inherit from std::exception.

	  change exception objects to contain C strings: exception objects
	  should not include objects, like std::string, whose copy
	  constructor could throw.

2009-06-14 12:56  fredb

	* projects/VC7.1/SimGear.vcproj, simgear/math/Makefile.am,
	  simgear/math/beziercurve.hxx: Add a simple class to subdivide
	  Bezier curves

2009-06-14 12:53  fredb

	* simgear/scene/tgdb/GroundLightManager.cxx: Remove unused variable

2009-06-11 20:53  frohlich

	* simgear/scene/model/: SGPagedLOD.cxx, modellib.hxx, modellib.cxx,
	  SGReaderWriterXML.cxx: Finally get rid of that member in the
	  SGModelData callback.  Move call of SGModelData::modelLoaded
	  directly into the xml reader.

	  Modified Files:	  simgear/scene/model/SGPagedLOD.cxx
	  simgear/scene/model/modellib.hxx
	  simgear/scene/model/modellib.cxx
	  simgear/scene/model/SGReaderWriterXML.cxx

2009-06-11 20:32  frohlich

	* simgear/scene/tgdb/TileEntry.cxx: Mark static transforms as
	  static.

	  Modified Files:	  simgear/scene/tgdb/TileEntry.cxx

2009-06-11 15:39  frohlich

	* simgear/scene/model/: SGPagedLOD.cxx, SGReaderWriterXML.cxx,
	  modellib.cxx, modellib.hxx: Revert a change from 2009/06/07.
	  Should make the Nasal code for some xml models work again.

	  Modified Files:	  simgear/scene/model/SGPagedLOD.cxx
	  simgear/scene/model/SGReaderWriterXML.cxx
	  simgear/scene/model/modellib.cxx
	  simgear/scene/model/modellib.hxx

2009-06-11 10:42  frohlich

	* simgear/scene/util/SGUpdateVisitor.hxx: Also handle PagedLOD
	  nodes frame count in the update visitor.

	  Modified Files:	  simgear/scene/util/SGUpdateVisitor.hxx

2009-06-11 09:15  frohlich

	* simgear/scene/util/SGUpdateVisitor.hxx: Also test against bounds
	  when updating the scene.

	  Modified Files:	  simgear/scene/util/SGUpdateVisitor.hxx

2009-06-11 00:46  jmt

	* simgear/route/waytest.cxx: Fix waypoint test, thanks Martin.

2009-06-10 14:42  jmt

	* simgear/route/: route.cxx, route.hxx, waypoint.cxx, waypoint.hxx:
	  Extend SGWaypoint with track and speed data, and compute tracks
	  with the distance in SGRoute.

2009-06-09 22:51  fredb

	* simgear/route/route.cxx: Win32 fix

2009-06-09 02:01  jmt

	* simgear/route/: waypoint.cxx, waypoint.hxx: Fix bad interaction
	  between CourseAndDistance overloads and use of implicit
	  SGWaypoint construction from SGGeod.

2009-06-09 01:30  jmt

	* simgear/route/: routetest.cxx, waytest.cxx: Update route/waypoint
	  tests for revised API

2009-06-09 01:18  jmt

	* simgear/route/: route.cxx, route.hxx, waypoint.cxx, waypoint.hxx:
	  Change SGWaypoint to use SGGeod internally. Remove some unused
	  code, to support cartesian waypoints and compute distance off a
	  cartesian route.  Add a helper to access the total route
	  distance.

	  Should not cause any visible functionality change.

2009-06-07 13:58  frohlich

	* simgear/scene/model/SGReaderWriterXML.cxx: More cleanup.

	  Modified Files:	  simgear/scene/model/SGReaderWriterXML.cxx

2009-06-07 13:50  frohlich

	* simgear/scene/model/ModelRegistry.cxx: Do not modify danymically
	  generated textures.

	  Modified Files:	  simgear/scene/model/ModelRegistry.cxx

2009-06-07 13:30  frohlich

	* simgear/scene/model/: SGPagedLOD.cxx, modellib.cxx: Provide
	  something more sensible for the properties root for the
	  modelLoaded call. MAy be this needs to be revisited, but in any
	  case better than constant zero.

	  Modified Files:	  simgear/scene/model/SGPagedLOD.cxx
	  simgear/scene/model/modellib.cxx

2009-06-07 13:27  frohlich

	* simgear/scene/model/SGReaderWriterXML.cxx: Cleanup.

	  Modified Files:	  simgear/scene/model/SGReaderWriterXML.cxx

2009-06-07 13:26  frohlich

	* simgear/scene/model/: SGPagedLOD.cxx, SGReaderWriterXML.cxx,
	  modellib.cxx, modellib.hxx: Doing the compilers job: constant
	  propagation.	This variable is nowhere set except to zero.

	  Modified Files:	  model/SGPagedLOD.cxx
	  model/SGReaderWriterXML.cxx	     model/modellib.cxx
	  model/modellib.hxx

2009-06-06 12:38  frohlich

	* simgear/scene/model/SGReaderWriterXML.cxx: Slight cleanup.
	  Remive last reference to plibs file utility library.

	  Modified Files:	  simgear/scene/model/SGReaderWriterXML.cxx

2009-06-06 11:17  frohlich

	* simgear/scene/tgdb/TileEntry.cxx: Remove unused header.

	  Modified Files:	  simgear/scene/tgdb/TileEntry.cxx

2009-06-06 11:16  frohlich

	* simgear/scene/material/mat.cxx: Use osgDB::FileUtils instead of
	  plib file utils.

	  Modified Files:	  simgear/scene/material/mat.cxx

2009-06-06 10:07  frohlich

	* SimGear.dsp, projects/VC7.1/SimGear.vcproj,
	  simgear/scene/model/Makefile.am,
	  simgear/scene/model/placement.cxx,
	  simgear/scene/model/placement.hxx,
	  simgear/scene/model/placementtrans.cxx,
	  simgear/scene/model/placementtrans.hxx,
	  simgear/scene/tgdb/TileEntry.cxx,
	  simgear/scene/tgdb/TileEntry.hxx: Replace SGPlacementTrans usage
	  with osg::PositionAttitueTransform.  Remove SGPlacementTrans.
	  Update build system.

	  Modified Files:	  SimGear.dsp projects/VC7.1/SimGear.vcproj
		projects/VC8/SimGear.vcproj simgear/scene/model/Makefile.am
	      simgear/scene/model/placement.cxx
	  simgear/scene/model/placement.hxx
	  simgear/scene/tgdb/TileEntry.cxx
	  simgear/scene/tgdb/TileEntry.hxx Removed Files:
	  simgear/scene/model/placementtrans.cxx
	  simgear/scene/model/placementtrans.hxx

2009-06-06 09:24  frohlich

	* simgear/scene/: util/SGUpdateVisitor.hxx, tgdb/TileEntry.cxx,
	  model/placementtrans.cxx: Use osg's builtin mechanisms to
	  traverse only in range nodes with the update visitor.

	  Modified Files:	  simgear/scene/util/SGUpdateVisitor.hxx
		simgear/scene/tgdb/TileEntry.cxx
	  simgear/scene/model/placementtrans.cxx

2009-06-03 21:30  frohlich

	* simgear/scene/model/SGReaderWriterXML.cxx: Invent a property root
	  if not given in the options struct.

	  Modified Files:	  simgear/scene/model/SGReaderWriterXML.cxx

2009-05-25 13:12  ehofman

	* simgear/props/props_test.cxx: test for addChild also

2009-05-25 13:12  ehofman

	* simgear/props/props.cxx: find the last index instead of the last
	  pos for addChild

2009-05-25 06:59  frohlich

	* simgear/scene/tgdb/TileEntry.cxx: Avoid empty search path
	  extensions for the case that only the bucket index number is
	  given.

	  Modified Files:	  scene/tgdb/TileEntry.cxx

2009-05-24 08:38  frohlich

	* simgear/scene/tgdb/: ReaderWriterSTG.cxx, TileEntry.cxx,
	  TileEntry.hxx: When loading stg files honour the original path if
	  given.

	  Modified Files:	  simgear/scene/tgdb/ReaderWriterSTG.cxx
	  simgear/scene/tgdb/TileEntry.cxx
	  simgear/scene/tgdb/TileEntry.hxx

2009-05-23 14:00  frohlich

	* simgear/scene/tgdb/ReaderWriterSTG.cxx: Enable stg loading by
	  filename.

	  Modified Files:	  simgear/scene/tgdb/ReaderWriterSTG.cxx

2009-05-23 09:32  mfranz

	* simgear/scene/model/modellib.cxx: segfault--

2009-05-22 20:20  frohlich

	* simgear/scene/: material/mat.cxx, material/mat.hxx,
	  material/matlib.cxx, material/matlib.hxx,
	  tgdb/ReaderWriterSTG.cxx, tgdb/SGReaderWriterBTG.cxx,
	  tgdb/SGReaderWriterBTGOptions.hxx, tgdb/TileEntry.cxx,
	  tgdb/TileEntry.hxx, tgdb/obj.cxx: Cleanup.  Additional null
	  pointer checks.  Simplify redundant interface arguments.

	  Modified Files:	  simgear/scene/material/mat.cxx
	  simgear/scene/material/mat.hxx
	  simgear/scene/material/matlib.cxx
	  simgear/scene/material/matlib.hxx
	  simgear/scene/tgdb/ReaderWriterSTG.cxx
	  simgear/scene/tgdb/SGReaderWriterBTG.cxx
	  simgear/scene/tgdb/SGReaderWriterBTGOptions.hxx
	  simgear/scene/tgdb/TileEntry.cxx
	  simgear/scene/tgdb/TileEntry.hxx simgear/scene/tgdb/obj.cxx

2009-05-22 16:53  frohlich

	* simgear/scene/model/SGPagedLOD.cxx: Give the models properties as
	  an argument to the init callback.

	  Modified Files:	  SGPagedLOD.cxx

2009-05-19 23:29  mfranz

	* simgear/scene/tgdb/Makefile.am: remove duplicated header entry

2009-05-19 07:30  frohlich

	* simgear/scene/tgdb/Makefile.am: Also note the btg reader header
	  in the build system.

	  Modified Files:	  scene/tgdb/Makefile.am

2009-05-19 07:30  frohlich

	* simgear/scene/tgdb/: SGReaderWriterBTG.cxx,
	  SGReaderWriterBTG.hxx: Restore the special capability of the btg
	  reader to read compressed files.

	  Modified Files:	  scene/tgdb/SGReaderWriterBTG.cxx
	  scene/tgdb/SGReaderWriterBTG.hxx

2009-05-16 20:12  frohlich

	* simgear/scene/tgdb/SGReaderWriterBTG.hxx: Implement current
	  osgDB::ReaderWriters supportsExtension interface instead of the
	  previous one.

	  Modified Files:	  model/SGReaderWriterXML.cxx
	  model/SGReaderWriterXML.hxx	      tgdb/ReaderWriterSTG.cxx
	  tgdb/ReaderWriterSTG.hxx	 tgdb/SGReaderWriterBTG.cxx
	  tgdb/SGReaderWriterBTG.hxx

2009-05-16 20:08  frohlich

	* simgear/scene/tgdb/: ReaderWriterSTG.hxx, SGReaderWriterBTG.cxx:
	  Implement current osgDB::ReaderWriters supportsExtension
	  interface instead of the previous one.

	  Modified Files:	  model/SGReaderWriterXML.cxx
	  model/SGReaderWriterXML.hxx	      tgdb/ReaderWriterSTG.cxx
	  tgdb/ReaderWriterSTG.hxx	 tgdb/SGReaderWriterBTG.cxx
	  tgdb/SGReaderWriterBTG.hxx

2009-05-16 20:05  frohlich

	* simgear/scene/: model/SGReaderWriterXML.cxx,
	  model/SGReaderWriterXML.hxx, tgdb/ReaderWriterSTG.cxx: Implement
	  current osgDB::ReaderWriters supportsExtension interface instead
	  of the previous one.

	  Modified Files:	  model/SGReaderWriterXML.cxx
	  model/SGReaderWriterXML.hxx	      tgdb/ReaderWriterSTG.cxx
	  tgdb/ReaderWriterSTG.hxx	 tgdb/SGReaderWriterBTG.cxx
	  tgdb/SGReaderWriterBTG.hxx

2009-05-16 19:46  frohlich

	* simgear/scene/model/: SGPagedLOD.cxx, SGReaderWriterXML.cxx:
	  Attach the ModelData to the options instead of the userdata
	  field.

	  Modified Files:	  simgear/scene/model/SGPagedLOD.cxx
	  simgear/scene/model/SGReaderWriterXML.cxx

2009-05-16 10:13  frohlich

	* simgear/: scene/model/SGPagedLOD.cxx, scene/model/SGPagedLOD.hxx,
	  scene/sky/cloud.cxx, scene/sky/moon.cxx,
	  structure/OSGVersion.hxx: Make SimGear compile with osg trunk

	  Modified Files:	  simgear/scene/model/SGPagedLOD.cxx
	  simgear/scene/model/SGPagedLOD.hxx
	  simgear/scene/sky/cloud.cxx simgear/scene/sky/moon.cxx
	  simgear/structure/OSGVersion.hxx

2009-05-12 17:56  mfranz

	* simgear/: debug/logtest.cxx, math/interpolater.hxx,
	  misc/tabbed_values.cxx, threads/SGThread.cxx, xml/xmldef.h: - fix
	  one broken #include path (in a not usually compiled test app) -
	  turn four #include paths from the "foo" form to <foo>

	  The quotes form is normally only used for headers with path
	  relative to the including file's path, though the standard
	  doesn't strictly mandate this. This is consistent with the rest
	  of sg, it makes the code's intent clearer and helps to find
	  headers. (And it's a few milliseconds faster, too.)

2009-05-09 13:34  ehofman

	* simgear/props/: props.cxx, props.hxx:
	   * Add a function to create a node after the laste node with the
	  same name
	     (this frees the xml property loader from keeping track of the
	  number of
	      nodes with the same name that have already been added to the
	  property
	      tree).
	   * make some small code cleanups at the core of the property
	  tree.

2009-05-06 18:17  mfranz

	* simgear/io/tcp_server.cxx: tcpserver: typo

2009-05-06 08:32  mfranz

	* simgear/: io/tcp_server.cxx, screen/screen-dump.cxx,
	  timing/sg_time.cxx: fix leaks

2009-04-25 11:57  ehofman

	* simgear/sound/xmlsound.cxx: add a bit of comment

2009-04-18 20:47  fredb

	* simgear/scene/tgdb/TreeBin.cxx: Stuart Buchanan : This patch
	  changes the shader so the diffuse light element is applied based
	  on the co-linearity of the light vector and the viewing vector. I
	  think this makes sense, as the tree textures don't represent a
	  surface themselves.

2009-04-12 13:42  ehofman

	* simgear/scene/sky/dome.cxx: Revert most of the previous patch, it
	  didn't improve the dome since it wat adjusting the wrong bads

2009-04-12 11:46  frohlich

	* simgear/scene/model/modellib.cxx: Put some annotations into the
	  loaded models names.

	  Modified Files:	  simgear/scene/model/modellib.cxx

2009-04-12 10:05  frohlich

	* simgear/scene/sky/dome.cxx: Remove a newline printf, probably
	  left over from development.

	  Modified Files:	  dome.cxx

2009-04-11 14:27  ehofman

	* simgear/scene/sky/: dome.cxx, dome.hxx, sky.cxx, sky.hxx: Let the
	  fog color transition into the sky dome to give a more natural
	  effect

2009-04-06 21:24  ehofman

	* simgear/scene/sky/oursun.cxx: Fix a NaN at higher altitudes:
	  sin_beta could become greater than 1.0 which is hard to
	  understand for asin.

2009-04-02 07:38  frohlich

	* simgear/bucket/newbucket.hxx: Remove unused variables.

	  Modified Files:	  simgear/bucket/newbucket.hxx

2009-03-27 23:38  torsten

	* simgear/bucket/newbucket.cxx: fix wrong bucket calculation for
	  western hemisphere, close to poles, full-degree-longitude
	  calculations.  set_bucket computed false left border, if the span
	  was greater than 1, longitudes were less than zero and longitudes
	  were within SG_EPSILON on a full degree. Example: -179.0, +87.5
	  returned -176, 87 but should return -180, 87.  Discovered by
	  Brian Schack

2009-03-24 10:09  frohlich

	* simgear/scene/model/placement.cxx: Makes more sense to process
	  the orientation in this order.

	  Modified Files:	  simgear/scene/model/placement.cxx

2009-03-24 09:12  frohlich

	* simgear/scene/model/: placement.cxx, placementtrans.cxx,
	  placementtrans.hxx: Clean up placementtrans a bit.

	  Modified Files:	  simgear/scene/model/placement.cxx
	  simgear/scene/model/placementtrans.cxx
	  simgear/scene/model/placementtrans.hxx

2009-03-24 09:11  frohlich

	* simgear/io/lowlevel.cxx: Zap aliasing compiler warnings.

	  Modified Files:	  simgear/io/lowlevel.cxx

2009-03-24 09:10  frohlich

	* simgear/scene/model/SGScaleTransform.cxx: Remove second,
	  identical to the first one license header.

	  Modified Files:	  simgear/scene/model/SGScaleTransform.cxx

2009-03-24 09:09  frohlich

	* simgear/scene/tgdb/TileEntry.cxx: Remove unused header.

	  Modified Files:	  simgear/scene/tgdb/TileEntry.cxx

2009-03-24 09:09  frohlich

	* simgear/debug/logstream.hxx: Make it compile with gcc-4.4.

	  Modified Files:	  simgear/debug/logstream.hxx

2009-03-24 09:03  frohlich

	* simgear/scene/model/SGTranslateTransform.cxx: Make use of
	  optimized matrix multiplication routines in osg.

	  Modified Files:
	  simgear/scene/model/SGTranslateTransform.cxx

2009-03-19 08:58  frohlich

	* simgear/scene/model/ModelRegistry.cxx: No longer change the
	  material properties for ac models on the fly.

	  Modified Files:	  simgear/scene/model/ModelRegistry.cxx

2009-03-17 13:25  frohlich

	* simgear/scene/sky/: moon.cxx, moon.hxx, oursun.cxx, oursun.hxx,
	  sky.cxx, sky.hxx, stars.cxx, stars.hxx: Cleanup. Use already
	  structured data instead of copying stuff.

2009-03-17 13:23  frohlich

	* simgear/ephemeris/ephemeris.hxx: Add const accessors.

	  Modified Files:	  simgear/ephemeris/ephemeris.hxx

2009-03-15 16:06  frohlich

	* simgear/scene/tgdb/SGReaderWriterBTG.cxx: Make sure the
	  boundingvolumes for the btg files are as high as possible in the
	  scenegraph.

	  Modified Files:	  simgear/scene/tgdb/SGReaderWriterBTG.cxx

2009-03-15 13:56  frohlich

	* simgear/scene/bvh/BVHSubTreeCollector.cxx: Use triangle sphere
	  intersection directly.

	  Modified Files:	  simgear/scene/bvh/BVHSubTreeCollector.cxx

2009-03-15 13:50  frohlich

	* simgear/math/SGIntersect.hxx: Make triangle sphere intersection
	  tests usable with mixes types.

	  Modified Files:	  simgear/math/SGIntersect.hxx

2009-03-15 12:03  frohlich

	* simgear/scene/bvh/: BVHMotionTransform.cxx,
	  BVHMotionTransform.hxx, BVHSubTreeCollector.cxx: Preparations for
	  improoved timing behaviour.

	  Modified Files:	  simgear/scene/bvh/BVHMotionTransform.cxx
		simgear/scene/bvh/BVHMotionTransform.hxx
	  simgear/scene/bvh/BVHSubTreeCollector.cxx

2009-03-14 13:26  frohlich

	* simgear/scene/: model/placement.cxx, model/placement.hxx,
	  util/SGSceneUserData.hxx: Add a reference time to the velocity
	  stuff.

	  Modified Files:	  simgear/scene/model/ModelRegistry.cxx
	  simgear/scene/model/placement.cxx
	  simgear/scene/model/placement.hxx
	  simgear/scene/util/SGSceneUserData.hxx

2009-03-14 12:08  frohlich

	* simgear/scene/tgdb/obj.cxx: The chunked stuff is no longer needed
	  for the ground tiles.

	  ... I (Mathias Froehlich), believe that it is more performant
	  (for the GPU) to build the biggest indexed sets possible at the
	  expense of tight culling.  I (Mathias Froehlich) also know that
	  the CPU is more performant on smaller chunks building the old
	  flat groundcache on such tiles. :) So this code *was* to balance
	  these two contrary requirements to some degree.

	  Now we have optimized datastructures for drawing and differently
	  optimized datastructures for intersection tests.

	  Modified Files:	  simgear/scene/tgdb/obj.cxx

2009-03-14 12:00  frohlich

	* simgear/scene/tgdb/SGOceanTile.cxx: Also align the ocean tiles
	  with some horizontal axis.  This way the bounding boxes for this
	  geometry is slightly smaller.  Helps ground intersection stuff to
	  avoid the ocean triangles earlier.

	  Modified Files:	  simgear/scene/tgdb/SGOceanTile.cxx

2009-03-14 10:17  frohlich

	* simgear/scene/model/: BoundingVolumeBuildVisitor.hxx,
	  ModelRegistry.cxx, ModelRegistry.hxx: Improove bounding volume
	  building in the scenery loading process.  Refactor common code in
	  the BoundingVolumeBuildVisitor.hxx.

	  Modified Files:
	  simgear/scene/model/BoundingVolumeBuildVisitor.hxx
	  simgear/scene/model/ModelRegistry.cxx
	  simgear/scene/model/ModelRegistry.hxx

2009-03-14 10:16  frohlich

	* simgear/scene/bvh/BVHDebugCollectVisitor.hxx: Make the debug
	  geometry stuff work with a time argument.

	  Modified Files:
	  simgear/scene/bvh/BVHDebugCollectVisitor.hxx

2009-03-13 08:33  fredb

	* simgear/timing/timestamp.cxx: Compile under windows

2009-03-13 06:45  frohlich

	* simgear/scene/model/ModelRegistry.cxx: Make sure each carrier
	  gets its own valocity.

	  Modified Files:	  simgear/scene/model/ModelRegistry.cxx

2009-03-12 21:07  mfranz

	* simgear/timing/timestamp.hxx: warning--

2009-03-12 19:34  frohlich

	* simgear/: structure/subsystem_mgr.cxx,
	  structure/subsystem_mgr.hxx, timing/testtimestamp.cxx,
	  timing/timestamp.cxx, timing/timestamp.hxx: Make use of posix
	  clocks if available.	Have a more general timestamp
	  implementation.  Very useful for higher accuracy timings.

	  Modified Files:	  simgear/structure/subsystem_mgr.cxx
	  simgear/structure/subsystem_mgr.hxx
	  simgear/timing/testtimestamp.cxx simgear/timing/timestamp.cxx
	  simgear/timing/timestamp.hxx

2009-03-11 06:34  frohlich

	* simgear/sound/: xmlsound.hxx, xmlsound.cxx: Use a reference
	  counted pointer for the condition.

	  Modified Files:	  simgear/sound/xmlsound.hxx
	  simgear/sound/xmlsound.cxx

2009-03-10 20:23  frohlich

	* simgear/scene/material/: matmodel.hxx, matmodel.cxx: Remove
	  unused methods.

	  Modified Files:	  material/matmodel.hxx
	  material/matmodel.cxx

2009-03-10 20:22  frohlich

	* simgear/scene/model/SGReaderWriterXML.cxx: Make local functions
	  static.

	  Modified Files:	  model/SGReaderWriterXML.cxx

2009-03-10 20:20  frohlich

	* simgear/scene/tgdb/: userdata.cxx, userdata.hxx: Remove unused
	  functions/includes ...

	  Modified Files:	  simgear/scene/tgdb/userdata.hxx
	  simgear/scene/tgdb/userdata.cxx

2009-03-07 22:47  frohlich

	* projects/VC7.1/SimGear.vcproj, simgear/scene/model/Makefile.am,
	  simgear/scene/model/location.cxx,
	  simgear/scene/model/location.hxx,
	  simgear/scene/model/placement.cxx,
	  simgear/scene/model/placement.hxx: Zap SGLocation.

	  Modified Files:	  projects/VC7.1/SimGear.vcproj
	  projects/VC8/SimGear.vcproj	    simgear/scene/model/Makefile.am
		  simgear/scene/model/placement.cxx
	  simgear/scene/model/placement.hxx Removed Files:
	  simgear/scene/model/location.cxx
	  simgear/scene/model/location.hxx

2009-03-07 22:45  frohlich

	* simgear/scene/model/BoundingVolumeBuildVisitor.hxx: Ignore
	  winding order since it is ignored later anyway.  Only emit fully
	  defined primitives.

	  Modified Files:
	  simgear/scene/model/BoundingVolumeBuildVisitor.hxx

2009-03-07 12:11  frohlich

	* simgear/scene/model/: placement.cxx, placement.hxx: Use SGGeod in
	  the model placement.

	  Modified Files:	  simgear/scene/model/placement.cxx
	  simgear/scene/model/placement.hxx

2009-03-07 12:10  frohlich

	* simgear/math/SGGeod.hxx: Add convenience function to keep
	  position with just an other elevation.

	  Modified Files:	  simgear/math/SGGeod.hxx

2009-03-05 07:06  frohlich

	* simgear/scene/: bvh/BVHLineSegmentVisitor.cxx,
	  bvh/BVHLineSegmentVisitor.hxx, bvh/BVHMotionTransform.cxx,
	  bvh/BVHMotionTransform.hxx, bvh/BVHNearestPointVisitor.hxx,
	  bvh/BVHNode.cxx, bvh/BVHNode.hxx, util/SGSceneUserData.hxx: First
	  step for something doing static friction stuff.

	  Add an id field to identify BVHMotionTransforms.  Provide a
	  factory for ids.  Use that to identify velocity data.  Track the
	  lowermost id in the visitors.

	  Modified Files:
	  simgear/scene/bvh/BVHLineSegmentVisitor.cxx
	  simgear/scene/bvh/BVHLineSegmentVisitor.hxx
	  simgear/scene/bvh/BVHMotionTransform.cxx
	  simgear/scene/bvh/BVHMotionTransform.hxx
	  simgear/scene/bvh/BVHNearestPointVisitor.hxx
	  simgear/scene/bvh/BVHNode.cxx simgear/scene/bvh/BVHNode.hxx
	  simgear/scene/util/SGSceneUserData.cxx
	  simgear/scene/util/SGSceneUserData.hxx

2009-03-03 09:25  frohlich

	* simgear/scene/bvh/BVHStaticGeometryBuilder.hxx: Avoid duplicate
	  triangles.

	  Modified Files:
	  simgear/scene/bvh/BVHStaticGeometryBuilder.hxx

2009-03-02 19:02  frohlich

	* simgear/scene/bvh/: BVHBoundingBoxVisitor.hxx,
	  BVHDebugCollectVisitor.hxx, BVHLineSegmentVisitor.cxx,
	  BVHLineSegmentVisitor.hxx, BVHNearestPointVisitor.hxx,
	  BVHStaticLeaf.cxx, BVHStaticLeaf.hxx, BVHSubTreeCollector.cxx,
	  BVHSubTreeCollector.hxx, BVHVisitor.hxx, Makefile.am,
	  bvhtest.cxx: Remove the StaticLeaf visitor slot.  Add a nearest
	  point visitor.

	  Modified Files:	  BVHBoundingBoxVisitor.hxx
	  BVHDebugCollectVisitor.hxx	BVHLineSegmentVisitor.cxx
	  BVHLineSegmentVisitor.hxx	BVHStaticGeometryBuilder.hxx
	  BVHStaticLeaf.cxx  BVHStaticLeaf.hxx BVHSubTreeCollector.cxx
	   BVHSubTreeCollector.hxx BVHVisitor.hxx Makefile.am bvhtest.cxx
	  Added Files:	   BVHNearestPointVisitor.hxx

2009-03-01 22:31  frohlich

	* simgear/scene/model/ModelRegistry.cxx: Crude hack to work around
	  my today introduced collision tree sharing problem.

	  Modified Files:	  simgear/scene/model/ModelRegistry.cxx

2009-03-01 22:25  frohlich

	* simgear/scene/bvh/BVHStaticGeometryBuilder.hxx: Don't waste space
	  with too huge stl containers.

	  Modified Files:
	  simgear/scene/bvh/BVHStaticGeometryBuilder.hxx

2009-03-01 22:25  frohlich

	* simgear/scene/bvh/BVHStaticData.hxx: Don't waste space with too
	  huge stl containers.

	  Modified Files:	  simgear/scene/bvh/BVHStaticData.hxx

2009-03-01 16:50  fredb

	* simgear/scene/model/ModelRegistry.cxx: Win32 fix

2009-03-01 16:40  frohlich

	* simgear/scene/model/: ModelRegistry.hxx, ModelRegistry.cxx,
	  BoundingVolumeBuildVisitor.hxx: Build boundingvolumes in the
	  model loading phase.

	  Modified Files:	  ModelRegistry.hxx ModelRegistry.cxx Added
	  Files:	BoundingVolumeBuildVisitor.hxx

2009-03-01 13:50  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects - Add the
	  BVH library

2009-03-01 13:49  fredb

	* simgear/math/SGMatrix.hxx: SGMatrix<T>::preMultTranslate should
	  return self ( as postMultTranslate do )

2009-03-01 13:48  fredb

	* simgear/scene/bvh/BVHLineSegmentVisitor.hxx:
	  BVHLineSegmentVisitor::setLineSegmentEnd doesn't return anything

2009-03-01 13:40  frohlich

	* simgear/scene/model/: placement.cxx, placement.hxx: Implement
	  setters for velocity notes in the model placement code.

	  Modified Files:	  simgear/scene/model/placement.cxx
	  simgear/scene/model/placement.hxx

2009-03-01 13:37  frohlich

	* simgear/scene/util/SGSceneUserData.hxx: More data to attach to
	  the user data field.

	  Modified Files:	  simgear/scene/util/SGSceneUserData.hxx

2009-03-01 13:36  frohlich

	* configure.ac, simgear/scene/Makefile.am: Include the bounding
	  volume tree on the build system.

	  Modified Files:	  configure.ac simgear/scene/Makefile.am

2009-03-01 13:35  frohlich

	* simgear/scene/bvh/: .cvsignore, BVHBoundingBoxVisitor.hxx,
	  BVHDebugCollectVisitor.hxx, BVHGroup.cxx, BVHGroup.hxx,
	  BVHLineGeometry.cxx, BVHLineGeometry.hxx,
	  BVHLineSegmentVisitor.cxx, BVHLineSegmentVisitor.hxx,
	  BVHMotionTransform.cxx, BVHMotionTransform.hxx, BVHNode.cxx,
	  BVHNode.hxx, BVHStaticBinary.cxx, BVHStaticBinary.hxx,
	  BVHStaticData.hxx, BVHStaticGeometry.cxx, BVHStaticGeometry.hxx,
	  BVHStaticGeometryBuilder.hxx, BVHStaticLeaf.cxx,
	  BVHStaticLeaf.hxx, BVHStaticNode.cxx, BVHStaticNode.hxx,
	  BVHStaticTriangle.cxx, BVHStaticTriangle.hxx,
	  BVHSubTreeCollector.cxx, BVHSubTreeCollector.hxx,
	  BVHTransform.cxx, BVHTransform.hxx, BVHVisitor.hxx, Makefile.am,
	  bvhtest.cxx: Initial commit of the bounding volume tree
	  implementation.  The aim is to prove a better collion model in
	  plenty ways.

	  Added Files:	  .cvsignore BVHBoundingBoxVisitor.hxx
	  BVHDebugCollectVisitor.hxx BVHGroup.cxx BVHGroup.hxx
	  BVHLineGeometry.cxx BVHLineGeometry.hxx
	  BVHLineSegmentVisitor.cxx BVHLineSegmentVisitor.hxx
	  BVHMotionTransform.cxx BVHMotionTransform.hxx BVHNode.cxx
	  BVHNode.hxx BVHStaticBinary.cxx BVHStaticBinary.hxx
	  BVHStaticData.hxx BVHStaticGeometry.cxx BVHStaticGeometry.hxx
	  BVHStaticGeometryBuilder.hxx BVHStaticLeaf.cxx  BVHStaticLeaf.hxx
	  BVHStaticNode.cxx BVHStaticNode.hxx	BVHStaticTriangle.cxx
	  BVHStaticTriangle.hxx     BVHSubTreeCollector.cxx
	  BVHSubTreeCollector.hxx	  BVHTransform.cxx BVHTransform.hxx
	  BVHVisitor.hxx Makefile.am	bvhtest.cxx

2009-03-01 13:22  frohlich

	* simgear/math/: SGGeometryTest.cxx, SGIntersect.hxx,
	  SGLineSegment.hxx, SGTriangle.hxx: Additions for the
	  boundingvolumes Modified Files:      SGGeometryTest.cxx
	  SGIntersect.hxx SGLineSegment.hxx    SGTriangle.hxx

2009-02-27 20:59  frohlich

	* simgear/scene/tgdb/obj.cxx: Rotate the scenery tiles so that the
	  horizont is axis aligned.  This might help culling and much more
	  the upcomming collision tree.

	  Modified Files:	  simgear/scene/tgdb/obj.cxx

2009-02-27 20:30  frohlich

	* simgear/scene/material/: matlib.cxx, matlib.hxx: Make material
	  get helper function static.

	  Modified Files:	  simgear/scene/material/matlib.cxx
	  simgear/scene/material/matlib.hxx

2009-02-27 19:52  frohlich

	* simgear/math/: SGGeometryTest.cxx, SGTriangle.hxx: Initialize
	  random number for the tests.	Define the triangles center by the
	  weighted sum of the vertices.

	  Modified Files:	  SGGeometryTest.cxx SGTriangle.hxx

2009-02-27 07:05  frohlich

	* simgear/math/SGTriangle.hxx: Use template arguments instead of
	  hard coded double.

	  Modified Files:	  simgear/math/SGTriangle.hxx

2009-02-27 06:18  frohlich

	* simgear/math/SGMathTest.cxx: Initialize uninitialized variables.
	  Adapt the precision bounds to what matches the expectations of
	  IEEE math.

	  Modified Files:	  SGMathTest.cxx

2009-02-27 06:16  frohlich

	* simgear/math/SGQuat.hxx: Fix problem in unit quaternion return.

	  Modified Files:	  SGQuat.hxx

2009-02-27 06:16  frohlich

	* simgear/math/Makefile.am: Make make check link again.

	  Modified Files:	  simgear/math/Makefile.am

2009-02-22 10:15  frohlich

	* simgear/scene/model/: placement.hxx, placementtrans.cxx,
	  placementtrans.hxx: The scenery center is history for a long time
	  now.	Remove that from the transforms.

	  Modified Files:	  simgear/scene/model/placement.hxx
	  simgear/scene/model/placementtrans.cxx
	  simgear/scene/model/placementtrans.hxx

2009-02-22 09:13  frohlich

	* simgear/math/: SGBox.hxx, SGIntersect.hxx, SGLineSegment.hxx,
	  SGMatrix.hxx, SGPlane.hxx, SGRay.hxx, SGSphere.hxx, SGVec2.hxx,
	  SGVec3.hxx, SGVec4.hxx: Small cleanups, bug fixes and
	  improovements to the geometry/math stuff.

	  Modified Files:	  simgear/math/SGBox.hxx
	  simgear/math/SGIntersect.hxx	   simgear/math/SGLineSegment.hxx
	  simgear/math/SGMatrix.hxx	   simgear/math/SGPlane.hxx
	  simgear/math/SGRay.hxx	 simgear/math/SGSphere.hxx
	  simgear/math/SGVec2.hxx	simgear/math/SGVec3.hxx
	  simgear/math/SGVec4.hxx

2009-02-21 10:11  durk

	* simgear/scene/model/animation.cxx: Torsten Dreyer: the rotate
	  animation has two ways to define a axis 1. by using center/x-m
	  and axis/[xyz] 2. by using axis/[xyz]1-m and axis/[xyz]2-m

	  The translate animation only supports method 1. and here comes a
	  patch that enables method 2 for this animations, too.

2009-02-19 21:41  fredb

	* simgear/nasal/iolib.c: Fix to compile with MSC

2009-02-15 17:54  mfranz

	* simgear/nasal/: iolib.c, iolib.h: "io.flush() implementation from
	  Melchior.  Also add a final filetype element to the io.stat()
	  array, which has been sitting around on my box for a while and
	  doesn't seem to have broken anything."  -- Andy

	  (forward port from nasal/cvs)

2009-02-13 10:09  timoore

	* projects/VC7.1/SimGear.vcproj, simgear/scene/util/Makefile.am,
	  simgear/scene/util/PrimitiveUtils.cxx,
	  simgear/scene/util/PrimitiveUtils.hxx: New getPrimitive function.

	  This searches for the primitive found in an OSG intersection
	  query.

2009-02-07 08:47  timoore

	* simgear/structure/: subsystem_mgr.cxx, subsystem_mgr.hxx: Make
	  SGSubsystemGroup::Member copy constructor private.

	  The copy constructor wouldn't make any sense and would confuse
	  ownership of the subsystem pointer. Problem noted by John Denker.

2009-02-06 22:08  timoore

	* simgear/scene/: sky/newcloud.cxx, util/StateAttributeFactory.cxx,
	  util/StateAttributeFactory.hxx: Turn off z buffer writes for
	  clouds.

	  This is standard practice for semi-transparent objects and should
	  cut down on the flickering and other sorting artifacts.

2009-02-02 06:34  durk

	* configure.ac: Synchronize the version number with our mainantance
	  release.

2009-01-30 11:22  timoore

	* simgear/scene/tgdb/TreeBin.cxx: Build trees under a transform
	  note that is rotated to Z-up.

	  This allows the tree geometry to be shared across the entire
	  scene because it doesn't need to be rotated for each scenery
	  tile.

2009-01-30 11:22  timoore

	* simgear/scene/tgdb/: ShaderGeometry.cxx, ShaderGeometry.hxx:
	  Don't expand all the trees into display lists.

	  This can chew up large amounts of memory for questionable gains.
	  We do let the tree model geometry be in a display list if OSG
	  chooses to put it there.

	  Various renaming and cleanup. Save some memory by reverting
	  ShaderGeometry's base class back to osg::Drawable.

2009-01-28 08:09  timoore

	* simgear/scene/tgdb/: ShaderGeometry.cxx, ShaderGeometry.hxx: Use
	  osg::Geometry code to draw trees ourselves.

	  This reverts back in the direction of Yon's original patch: the
	  model is drawn within ShaderGeometry::drawImplementation. This
	  saves a lot of memory over the previous approach of creating a
	  PrimitiveSet for each model.

2009-01-27 23:43  durk

	* simgear/timing/: sg_time.cxx, sg_time.hxx:  For the first time
	  (no pun intended) in almost ten years time (again no
	   pun intended) that I'm touching the time library.

	   Brian Schack reported that the traffic scheduler messes up the
	  timestamps
	   of the atlas network output. As it turns out, the c library
	  functions
	   asctime, and gmtime use a static copy of the tm struct to do the
	  internal
	   formatting. Our linux port of the SGTime class, incidentally,
	  also stored
	   it's master time stamp in this very same struct. Thus,
	  formatting an
	   arbitrary time value, would have the unwanted side effect of
	  time travel.
	   Usually, this would go unnoticed, because the actual time
	  parameters would
	   be updated before any damage could be done. But unwanted side
	  effects, as
	   in Brian's example could occur.

	   On the MSVC port this appears to not have been a problem. Since
	  that port
	   used a copy of the tm struct to store it's master time stamps.
	  Since the
	   MSVC code also compiles cleanly on linux, it seems to be the way
	  to go to
	   use that approach. In addition, it also removes some conditional
	  compile
	   directives.

	   I've only run a short test, but didn't see any undesirable side
	  effects.

2009-01-26 19:01  mfranz

	* simgear/structure/SGBinding.cxx: Csaba HALASZ: set _arg even if
	  there's no <command> (crash fix)

2009-01-25 12:53  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects - Remove
	  pthreads dependency

2009-01-23 19:38  timoore

	* simgear/scene/model/ModelRegistry.cxx: Optimize empty groups from
	  .ac models

	  The OSG optimizer seems to have changed since this work was
	  originally done.

2009-01-23 19:36  timoore

	* simgear/scene/util/QuadTreeBuilder.hxx: QuadTreeBuilder: create
	  leaves on demand

	  This avoids lots of empty leaves.

2009-01-23 19:35  timoore

	* simgear/scene/tgdb/: ShaderGeometry.cxx, ShaderGeometry.hxx,
	  TreeBin.cxx: Rewrite ShaderGeometry to use display lists and OSG
	  primitives.

	  Based on a patch from Yon Uriarte.

	  Eliminate _trees list from ShaderGeometry

	  Use the position and scale values that are already available.

2009-01-19 00:10  timoore

	* simgear/scene/util/QuadTreeBuilder.hxx: Protect against division
	  by zero in QuadTreeBuilder

	  This could only happen when there's one leaf in the tree, or all
	  the objects happen to have the same position. Noticed by Csaba
	  Halaz

2009-01-16 00:48  timoore

	* simgear/scene/sky/: CloudShaderGeometry.cxx,
	  CloudShaderGeometry.hxx, cloudfield.cxx: Sort cloud sprites using
	  std::sort, based on projected Z.

	  A "cleanup" of cloud sorting.

2009-01-15 15:46  jmt

	* simgear/: props/Makefile.am, sound/Makefile.am: Fix linkage of
	  test programs with OpenThreads.

2009-01-15 15:34  jmt

	* simgear/: threads/SGQueue.hxx, scene/util/SGSceneFeatures.cxx,
	  scene/util/SGSceneFeatures.hxx: Commit Benoit Laniel's patch
	  which converts more SimGear pieces to use OpenThreads primitives
	  directly.

2009-01-15 15:31  jmt

	* simgear/structure/: SGReferenced.hxx, commands.cxx, commands.hxx:
	  Since we're now sure 1.9.1 will not be released from trunk,
	  here's Yon Uriarte's patch to convert SGReferenced over to
	  OpenThread's atomic int.

2009-01-14 22:16  timoore

	* simgear/scene/model/ModelRegistry.cxx: Remove OptionsPusher and
	  manipulation of osgDB dataFilePathList.

	  The bug it worked around has been fixed in the OSG ac3d loader,
	  and changing the path list has unpleasant multithreading
	  implications.

2009-01-14 12:12  timoore

	* simgear/props/props.cxx: SGPropertyNode must increment /
	  decrement the reference counter in an aliased node.

	  From Csaba Halász.

2009-01-13 22:42  timoore

	* simgear/scene/model/SGMaterialAnimation.cxx: SGMaterialAnimation:
	  Don't install an update callback if values are static

2009-01-13 22:41  timoore

	* simgear/scene/model/SGMaterialAnimation.cxx: SGMaterialAnimation:
	  factor out update of osg::Material

2009-01-13 08:49  fredb

	* simgear/scene/model/SGMaterialAnimation.cxx: Csaba/Jester : fix
	  the material animation and display night textures

2009-01-10 19:53  fredb

	* projects/VC7.1/.cvsignore: fix end of file

2009-01-10 17:12  fredb

	* projects/VC7.1/.cvsignore: ignore generated files

2008-12-27 09:16  timoore

	* simgear/math/SGGeodesy.cxx: Fix include path

2008-12-26 13:27  jmt

	* simgear/route/Makefile.am: Fix test-program linkage now sgmath
	  depends on sgstructure.

2008-12-26 13:08  jmt

	* simgear/math/: SGGeodesy.cxx, SGGeodesy.hxx: Add some syntactic
	  helpers to allow distance/course to be queried between two
	  geodetic points. This still entails a full _geo_inverse_wgs_84
	  call, but makes call sites neater.

2008-12-26 12:42  jmt

	* simgear/scene/model/ModelRegistry.cxx: Fix a potential crash when
	  OSG is misconfigured, and an appropriate image loading plugin
	  cannot be found.

2008-12-22 19:01  mfranz

	* simgear/props/props_io.cxx: compilation fix: <cstring> for
	  strcmp()

2008-12-21 16:01  mfranz

	* simgear/scene/model/SGMaterialAnimation.cxx: - shininess is in
	  the rage 0..128 - restore fg/plib compatibility (there is/was no
	  <shininess> group)   (we may want to change that in the (near?)
	  future, though)

2008-12-20 10:10  durk

	* README.OSG, README.OpenAL: Documentation update regarding OpenAL
	  and OSG.

2008-12-19 21:39  curt

	* Doxyfile, NEWS, configure.ac: Attempt to sort out the version
	  number mess in preparation for a 1.9.0 release.

2008-12-19 08:39  fredb

	* simgear/scene/sky/: cloudfield.cxx, cloudfield.hxx: Stuart
	  Buchanan :

	  Attached is yet another 3D clouds patch, to fix the following: 1)
	  The 3D clouds were not modified by the cloud coverage, due to
	  some problems with osg::Switch 2) METAR changes to cloud coverage
	  were not obeyed.  3) Making changes via the Cloud dialog had no
	  effect unless 3D clouds were toggled.  4) Cloud cover was too
	  sparse.  5) 3D Stratus clouds caused performance issues on some
	  hardware (fixed by removing 3D stratus from cloudlayers.xml - it
	  will now be a 2D layer).

2008-12-18 23:51  mfranz

	* simgear/route/route.hxx: James TURNER: make the index of the
	  current waypoint available

2008-12-14 19:47  fredb

	* simgear/scene/sky/: cloudfield.cxx, cloudfield.hxx, newcloud.cxx:
	  Stuart : the 3D clouds now respect changes to the environment
	  caused by updated METAR etc.

	  It also increases the AlphaFunc as suggested by Tim.

2008-12-12 21:02  fredb

	* simgear/scene/model/animation.cxx: Csaba/Jester : fix a problem
	  with tex transform animation

2008-12-12 20:57  fredb

	* simgear/scene/model/SGMaterialAnimation.cxx: Csaba/Jester : fix a
	  problem with material animation

2008-12-12 08:41  fredb

	* simgear/sound/sample_openal.cxx: Print the name of the file
	  generating an OpenAL error

2008-12-11 09:24  fredb

	* simgear/scene/sky/: newcloud.cxx, newcloud.hxx, sky.cxx, sky.hxx:
	  Stuart : - Removes the cloud type re-use code - I think they
	  aren't worth the graphical artefacts that they cause in light of
	  Tim's improvements - Changes the transparency of the clouds.
	  Previously, the clouds were transparent at 0m distance, opaque at
	  200m, then gradually more transparent to the fog limits. This
	  meant they were generally quite transparent. Now, they are opaque
	  from 200m to 15km, then become transparent at 20km. A side effect
	  of this is that the current textures could probably benefit from
	  being made slightly transparent to improve the blending of the
	  sprites against each other.

2008-12-11 09:23  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects. Add
	  Boost

2008-12-10 23:39  timoore

	* simgear/scene/sky/: cloudfield.cxx, cloudfield.hxx, newcloud.cxx,
	  sky.cxx: Use a singleton Fog attribute for all 3D clouds.

	  Don't update this Fog with any kind of update callback; instead,
	  update from the sky repaint method.

2008-12-10 23:39  timoore

	* simgear/scene/material/mat.cxx: Use StateAttributeFactory for
	  CullFace and ShadeModel attributes

2008-12-10 23:39  timoore

	* acinclude.m4, configure.ac,
	  simgear/scene/model/ModelRegistry.cxx,
	  simgear/scene/model/ModelRegistry.hxx,
	  simgear/scene/sky/newcloud.cxx,
	  simgear/scene/tgdb/GroundLightManager.cxx,
	  simgear/scene/tgdb/GroundLightManager.hxx,
	  simgear/scene/util/StateAttributeFactory.cxx,
	  simgear/scene/util/StateAttributeFactory.hxx,
	  simgear/structure/Makefile.am, simgear/structure/Singleton.hxx:
	  Use Boost singleton template for our singletons

2008-12-10 23:38  timoore

	* simgear/scene/sky/cloud.cxx: Render cloud layers with face
	  culling

	  Also, allow definition of colors for the cloud layer corners for
	  debugging.

2008-12-10 23:38  timoore

	* simgear/scene/util/: StateAttributeFactory.cxx,
	  StateAttributeFactory.hxx: Add cullFaceFront as a state attribute
	  to the StateAttributeFactory

2008-12-10 23:37  timoore

	* simgear/scene/sky/sky.cxx: Render sky with depth test off.

	  Also, don't set BACKGROUND_BIT for cloud layers.

2008-12-10 19:20  durk

	* configure.ac: Finalizing the preparation of SimGear-1.99.5-rc2.

2008-12-07 00:02  fredb

	* simgear/scene/sky/: CloudShaderGeometry.cxx,
	  CloudShaderGeometry.hxx, cloudfield.cxx, cloudfield.hxx,
	  newcloud.cxx, newcloud.hxx: Stuart Buchanan : - Replaces simple
	  shader attributes with vectors (this was missed out of the last
	  patch by mistake) - Includes Yon's Fog update code (Thanks!) -
	  Fixes a bug since 1.0 where --enable-real-weather-fetch stopped
	  the other weather scenarios from working.

2008-12-07 00:01  fredb

	* simgear/nasal/hash.c: Ugly hack to fix a memory corruption
	  problem

2008-12-04 21:56  fredb

	* simgear/scene/sky/: CloudShaderGeometry.cxx,
	  CloudShaderGeometry.hxx, cloud.cxx, cloud.hxx, cloudfield.cxx,
	  cloudfield.hxx, newcloud.cxx, newcloud.hxx, sky.cxx, sky.hxx:
	  Stuart Buchanan :

	  This provides the following enhancements & bug fixes - Fix the
	  chequer-board bug.  - Add proper cloud coverage function - so
	  scattered clouds are now truly scattered.  - Add real-time
	  control for visibility range.  - Use a limited set of clouds
	  rather than generating a completely new Geode for each cloud.
	  This saves sorting and display time.	- Add controls to Rendering
	  dialog to allow fine-tuning of the number of sprites, cloud
	  visibility and the number of different types of cloud.  - Add
	  some variance to the sort back-off to avoid all clouds being
	  sorted at the same time.  - Pack attributes into vectors for
	  performance - Re-order the cloud type determination code so that
	  if a cloud layer could either be stratus or cumulus, cumulus is
	  used.  - Lowered the cloud level in the standard cloud
	  configuration slightly so a cumulus layer is generated rather
	  than stratus.

	  These last two mean that you should see some 3D cumuli if
	  disabling real weather fetch.

	  My thanks to Yon Uriarte for his help with performance work.

2008-12-01 00:06  fredb

	* simgear/scene/sky/: CloudShaderGeometry.cxx,
	  CloudShaderGeometry.hxx, cloud.cxx, cloudfield.cxx,
	  cloudfield.hxx, newcloud.cxx: Stuart: Attached is another clouds
	  patch. This does the following: 1) Puts the 3D clouds in a cloud
	  rendering bin, to reduce the transparent edge problem. Viewing 3d
	  clouds against a 2D layer _above_ it now blends correctly. There
	  is still a problem when viewing a layer below the 3d clouds, and
	  I'm not sure if/how I'll manage to solve that. Thanks to Tim for
	  pointing me at the correct code (again).  2) Performance
	  improvement by calculating the Bounding box when the cloud is
	  generated rather than ever time it is requested.

2008-11-29 01:17  timoore

	* simgear/debug/: logstream.cxx, logstream.hxx: logstream
	  improvements from Yon Uriarte

	  Avoid descending into iostream when a message won't be logged.

2008-11-26 08:28  fredb

	* simgear/scene/sky/: cloud.cxx, cloudfield.cxx, cloudfield.hxx,
	  CloudShaderGeometry.cxx, CloudShaderGeometry.hxx: Stuart:
	  > Something has changed in the environment manager which means
	  that clouds
	  > generateion is now inconsistent. I'm still tracking it down, as
	  my recent
	  > changes shouldn't have affected this.

	  Well, the cause was a bug in my code, but it didn't expose itself
	  until we moved to multiple cameras. The attached patch fixes the
	  problem.

	  I've also put in a new heuristic to improve the frame-rate.
	  Clouds that are already sorted are likely to still be sorted in
	  subsequent frames. Therefore I've put in a back-off mechanism for
	  the bubble-sort pass. This should mean that if you stay
	  completely stationary, once the clouds become sorted they will
	  eventually only perform a bubble sort pass every 128 frames.

2008-11-24 23:08  timoore

	* simgear/scene/tgdb/: TileCache.cxx, TileCache.hxx: Track time in
	  TileCache; assign new tiles the current time

2008-11-24 21:26  fredb

	* simgear/scene/sky/: cloudfield.cxx, CloudShaderGeometry.hxx:
	  Stuart :
	  > Warning: detected OpenGL error 'valeur non valide' after
	  RenderBin::draw(,)

	  Fixed in the patch below. For some reason the shader didn't like
	  index 16 being used...

	  The patch also fixes the chequer-board effect that was causing
	  very sparse cloud cover.

2008-11-23 13:14  fredb

	* simgear/scene/sky/: cloudfield.cxx, cloudfield.hxx,
	  CloudShaderGeometry.cxx, CloudShaderGeometry.hxx, newcloud.cxx:
	  Stuart Buchanan : Attached is a small patch for 3D clouds.  It
	  provide the following: 1) Proper spherical distribution of
	  sprites (previously they were distributed cylindrically - whoops)
	  2) Better shading, so the bottom of the cloud is darker than the
	  top.	3) Fixed a couple of texture sizing bugs.

2008-11-21 15:48  timoore

	* simgear/structure/: Makefile.am, OSGUtils.hxx: Templates for
	  interacting with OSG objects

2008-11-18 23:16  timoore

	* simgear/props/props.hxx: Template functions and overloaded
	  functions for accessing property values.

	  These are useful for writing templates that manipulate
	  properties.

2008-11-09 16:39  curt

	* simgear/scene/sky/CloudShaderGeometry.cxx: Manuel Massing:

	  Attached is a small fix for the sorting in
	  CloudShaderGeometry.cxx.  I think the sorting problem stems from
	  the osg idiosyncracy to store transposed matrices...so the
	  intuitive

		 osg::Vec4f p = vm *
	  osg::Vec4f(_cloudsprites[i]->position.osg(), 1.0f);

	  needs to be replaced with...

		 osg::Vec4f p =
	  vm.preMult(osg::Vec4f(_cloudsprites[i]->position.osg(), 1.0f);

	  The patch also optimizes the distance calculation - it evaluates
	  the distances in model space instead of eye space, which reduces
	  computation to a dot- product instead of a matrix multiplication.

2008-11-06 22:58  fredb

	* simgear/scene/sky/: CloudShaderGeometry.cxx,
	  CloudShaderGeometry.hxx, cloudfield.cxx, cloudfield.hxx,
	  newcloud.cxx, newcloud.hxx, sky.cxx, sky.hxx: Stuart Buchanan :
	  It fixes the following issues (to a greater or lesser extent): 1)
	  Performance. Quad trees used to improve culling, and the sprites
	  are placed on the surface of a sphere rather than randomly
	  throughout the cloud, requiring fewer textures. This saves about
	  5-10fps on my machine.  2) Disabled 3D clouds have no performance
	  impact. Previously they were still in the scenegraph. Now they
	  are removed.	3) Clouds are now loaded on start-up, and don't
	  require the scenario to be changed, they also work with METAR.
	  4) The cloud field is shifted as you travel. There's a small bug
	  in that the clouds "jump" as you reach the edge of the field.  5)
	  Iterative sorting of sprites. This doesn't appear to solve the
	  alpha blending problem completely, but may help a bit.

2008-10-31 10:46  timoore

	* simgear/environment/precipitation.cxx: Respect
	  precipitation-enable property

	  From Csaba Halász

2008-10-31 00:51  timoore

	* simgear/scene/model/particles.cxx: enable world coordinate
	  particle fix

2008-10-30 18:51  curt

	* Doxyfile, NEWS, SimGear.dsp, configure.ac: Tidy up for a source
	  code "snapshot" release.

2008-10-26 10:37  fredb

	* simgear/scene/sky/newcloud.cxx, simgear/scene/sky/cloudfield.cxx,
	  simgear/scene/sky/cloud.cxx, simgear/scene/sky/Makefile.am,
	  simgear/scene/sky/cloud.hxx, simgear/scene/sky/cloudfield.hxx,
	  simgear/scene/sky/newcloud.hxx, simgear/scene/sky/sky.cxx,
	  simgear/scene/sky/sky.hxx, projects/VC7.1/SimGear.vcproj,
	  simgear/environment/visual_enviro.cxx,
	  simgear/environment/visual_enviro.hxx,
	  simgear/scene/sky/CloudShaderGeometry.cxx,
	  simgear/scene/sky/CloudShaderGeometry.hxx: 3D clouds from Stuart
	  Buchanan. Need a recent driver update, --enable-clouds3d option
	  and a Weather Scenario to show up

2008-10-23 20:46  curt

	* simgear/sound/: sample_openal.cxx, sample_openal.hxx,
	  soundmgr_openal.hxx, xmlsound.hxx: Fix a few spelling errors.

2008-10-18 20:44  mfranz

	* simgear/scene/model/SGReaderWriterXML.cxx: fix regression:
	  sgLoad3DModel_internal should not make assumptions about the type
	  of SGModelData. This *can* have to do with Nasal, but doesn't
	  have to. That's entirely that class instance's business.

2008-10-17 23:15  mfranz

	* simgear/scene/model/: particles.cxx, particles.hxx: add global
	  switch for particle systems

2008-10-14 15:01  mfranz

	* simgear/scene/model/SGReaderWriterXML.cxx: allow to modify the
	  XML animation config of a loaded submodel by defining an
	  <overlay> branch, which is copied over the submodel's properties
	  before the animations are evaluated

2008-10-14 13:03  mfranz

	* simgear/props/props_io.cxx: Move omit-node part from startElement
	  to endElement to allow nodes of this type to have children. We
	  have to save the omit state on the stack for that.

2008-10-14 07:04  durk

	* simgear/scene/sky/: cloud.cxx, moon.cxx, newcloud.cxx,
	  oursun.cxx: Syd Adams: Replace rgb with png.

2008-10-10 11:48  mfranz

	* simgear/scene/model/SGReaderWriterXML.cxx:
	  s/multiplayer/multiplay/, as this seems to be the slightly more
	  official version (--multiplay option, /sim/multiplay/ properties
	  etc.)

2008-10-10 00:20  mfranz

	* simgear/scene/model/SGReaderWriterXML.cxx: if a model XML file
	  contains a <multiplayer> block, copy its contents  to the model's
	  property root (/ai/models/multiplayer[*])

2008-10-03 21:38  ehofman

	* simgear/nasal/: bitslib.c, code.c, code.h, codegen.c, data.h,
	  gc.c, hash.c, iolib.c, lex.c, lib.c, misc.c, naref.h, nasal.h,
	  parse.c, parse.h, string.c, threadlib.c, utf8lib.c, vector.c:
	  Sync. w. OSG branch

2008-09-30 23:52  andy

	* simgear/nasal/lex.c: Yeah, I really shouldn't be in the lexer

2008-09-30 22:19  andy

	* simgear/nasal/lex.c: Another lexer fix

2008-09-30 21:06  andy

	* simgear/nasal/lex.c: Fix broken lex.c checkin

2008-09-30 18:48  andy

	* simgear/nasal/: code.c, codegen.c, lex.c, string.c: Fixes for
	  bugs shaken out in the recent push: die properly for nil indexes
	  in slices.  Fix string conversion issue with bare "+" and "-".
	  Fix lexing of exponent expressions such that "1e" is not a
	  number.

2008-09-28 10:11  fredb

	* simgear/scene/sky/cloud.cxx: MINGW patch by Csaba Halasz

2008-09-26 21:18  andy

	* simgear/nasal/: code.c, codegen.c: Fix parsing for degenerate
	  cases like a[,] a[:] and {:}.  The slicing syntax exposed the
	  low-level generators to some new cases.

2008-09-26 20:22  andy

	* simgear/nasal/: bitslib.c, code.c, code.h, codegen.c, data.h,
	  gc.c, hash.c, iolib.c, lex.c, lib.c, misc.c, naref.h, nasal.h,
	  parse.c, parse.h, string.c, threadlib.c, utf8lib.c, vector.c:
	  Sync with Nasal upstream (Melchior already had a chance to test
	  this, so hopefully not too much breaks).  New syntax features:

	  1. Call-by-name function arguments.  You can specify a hash
	  literal in place of ordered function arguments, and it will
	  become the local variable namespace for the called function,
	  making functions with many arguments more readable.  Ex:

	     view_manager.lookat(heading:180, pitch:20, roll:0, x:X0, y:Y0,
	  z:Z0,
				 time:now, fov:55);

	  Declared arguments are checked and defaulted as would be
	  expected: it's an error if you fail to pass a value for an
	  undefaulted argument, missing default arguments get assigned, and
	  any rest parameter (e.g. "func(a,b=2,rest...){}") will be
	  assigned with an empty vector.

	  2. Vector slicing.  Vectors (lists) can now be created from
	  others using an ordered list of indexes and ranges.  For example:

	     var v1 = ["a","b","c","d","e"]

	     var v2 = v1[3,2];	 # == ["d","c"];
	     var v3 = v1[1:3];	 # i.e. range from 1 to 3: ["b","c","d"];
	     var v4 = v1[1:];	 # no value means "to the end":
	  ["b","c","d","e"]
	     var i = 2;
	     var v5 = v1[i];	 # runtime expressions are fine: ["c"]
	     var v6 = v1[-2,-1]; # negative indexes are relative to end:
	  ["d","e"]

	  The range values can be computed at runtime (e.g. i=1;
	  v5=v1[i:]).  Negative indices work the same way the do with the
	  vector functions (-1 is the last element, -2 is 2nd to last,
	  etc...).

	  3. Multi-assignment expressions.  You can assign more than one
	  variable (or lvalue) at a time by putting them in a parenthesized
	  list:

	     (var a, var b) = (1, 2);
	     var (a, b) = (1, 2);		# Shorthand for (var a, var
	  b)
	     (var a, v[0], obj.field) = (1,2,3) # Any assignable lvalue
	  works

	     var color = [1, 1, 0.5];
	     var (r, g, b) = color;  # works with runtime vectors too

2008-09-11 12:19  timoore

	* simgear/scene/model/: SGReaderWriterXML.cxx, particles.cxx,
	  particles.hxx: Keep non-local particles in a Z-up frame that is
	  periodically moved.

	  This eliminates jitter and other rendering problems.	For the
	  moment this is dependent on an osg fix.

	  Also, don't read wind properties from FlightGear; provide a
	  mechanism for fg to set the wind.

2008-09-04 10:52  ehofman

	* simgear/scene/model/SGReaderWriterXMLOptions.hxx: Make sure the
	  compiler is aware that SGModelData a child of osg::Referenced,
	  now gcc-3.3 will compile.

2008-08-31 20:39  fredb

	* simgear/scene/model/SGPagedLOD.hxx: Use a more relevant library
	  name

2008-08-31 20:35  fredb

	* simgear/simgear_config.h-msvc71: Update version

2008-08-29 09:39  timoore

	* simgear/scene/model/model.cxx: Don't use
	  osgDB::SharedStateManager::share in SGLoadTexture2D

	  It is not safe to call this function from the database pager
	  thread; in any event, state sets and textures created in the
	  database pager will get passed through the SharedStateManager
	  anyway.

2008-08-28 19:52  curt

	* SimGear.dsp, configure.ac, simgear/scene/tgdb/Makefile.am: -
	  Update SimGear.dsp - Assign an arbitrary prerelease version
	  number - Fix a "make dist" problem.

2008-08-25 18:53  andy

	* simgear/nasal/iolib.c: Fix typing error with fgetc in readln().
	  On most boxes, this would cause a spurious EOF when there was a
	  0xff in the stream.  But on PPC, char is unsigned (for reasons
	  known only to IBM) and it would loop forever.

2008-08-11 10:32  timoore

	* simgear/scene/model/: particles.cxx, particles.hxx: pointers in
	  Particles object should be ref_ptr

2008-08-08 00:24  timoore

	* simgear/io/: sg_file.cxx, sg_file.hxx: Return eof after a number
	  of reptetitions of file input.

2008-08-02 13:31  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects - Adapt
	  to OSG 2.6.0-rc1 : location of header files should now be
	  searched in the install directory, here
	  ..\..\..\install\msvc71\OpenSceneGraph\include

2008-07-29 10:25  ehofman

	* simgear/: compiler.h, io/sg_binobj.cxx, props/props.cxx,
	  sound/sample_openal.hxx, structure/subsystem_mgr.hxx: final fixes
	  for SG_USING_STD removal

2008-07-29 04:54  timoore

	* simgear/scene/sky/dome.hxx: forward declare
	  osg::DrawElementsUShort for real

2008-07-28 09:52  ehofman

	* simgear/: debug/logstream.hxx, environment/metar.hxx,
	  environment/visual_enviro.cxx, environment/visual_enviro.hxx,
	  ephemeris/stardata.cxx, io/decode_binobj.cxx, io/iochannel.hxx,
	  io/lowtest.cxx, io/sg_file.cxx, io/sg_file.hxx, io/sg_serial.cxx,
	  io/sg_serial.hxx, io/sg_socket.hxx, io/sg_socket_udp.hxx,
	  io/socktest.cxx, io/tcp_server.cxx, math/interpolater.cxx,
	  math/interpolater.hxx, math/sg_types.hxx, misc/sg_path.hxx,
	  misc/strutils.hxx, misc/tabbed_values.hxx,
	  misc/tabbed_values_test.cxx, misc/texcoord.cxx,
	  props/condition.cxx, props/props_io.cxx, props/props_test.cxx,
	  route/route.hxx, route/routetest.cxx, route/waypoint.hxx,
	  route/waytest.cxx, scene/material/mat.cxx,
	  scene/material/mat.hxx, scene/material/matlib.cxx,
	  scene/material/matlib.hxx, scene/material/matmodel.cxx,
	  scene/model/model.cxx, scene/model/model.hxx,
	  scene/model/modellib.hxx, scene/model/shadowvolume.hxx,
	  scene/sky/cloud.hxx, scene/sky/cloudfield.cxx,
	  scene/sky/cloudfield.hxx, scene/sky/newcloud.hxx,
	  scene/sky/sky.hxx, scene/tgdb/TileCache.hxx,
	  scene/tgdb/TileEntry.cxx, scene/tgdb/TileEntry.hxx,
	  scene/tgdb/apt_signs.cxx, scene/tgdb/apt_signs.hxx,
	  scene/tgdb/obj.hxx, scene/tgdb/pt_lights.hxx,
	  scene/tgdb/userdata.hxx, screen/shader.h, serial/serial.hxx,
	  serial/testserial.cxx, sound/soundmgr_openal.hxx,
	  structure/commands.hxx, structure/exception.hxx, xml/easyxml.cxx,
	  xml/easyxml.hxx: Replace SG_USE_STD() by using std::

2008-07-27 20:04  fredb

	* simgear/screen/extensions.hxx: GL/wgl.h never existed, and a glx
	  equivalent is not needed

2008-07-27 18:10  ehofman

	* simgear/: compiler.h, scene/model/shadowvolume.cxx,
	  scene/sky/bbcache.cxx, scene/sky/newcloud.cxx,
	  screen/GLBitmaps.h, screen/RenderTexture.cpp,
	  screen/RenderTexture.h, screen/TestRenderTexture.cpp,
	  screen/extensions.hxx, screen/screen-dump.cxx,
	  screen/screen-dump.hxx, screen/texture.cxx, screen/texture.hxx,
	  screen/tr.cxx, screen/tr.h:

	   - remove the SG_GLxxxx_H #defines, since OSG provides its own
	  versions
	   - this exposed a bizarre issue on Mac where dragging in
	  <AGL/agl.h> in
	     extensions.hxx was pulling in all of Carbon to the global
	  namespace
	     - very scary. As a result, I now need to explicitly include
	  CoreFoundation
	     in fg_init.cxx.
	   - change SG_USING_STD(x) to using std::x

	  Issues:

	   - the logic for X11 and Win32 in RenderTexture and extensions is
	  tortured,
	     please see if you agree I got all the ifdefs correct.

2008-07-27 17:15  fredb

	* simgear/: scene/sky/dome.cxx, scene/material/matlib.cxx,
	  screen/RenderTexture.cpp, structure/subsystem_mgr.hxx,
	  timing/timestamp.cxx: Remove unneeded inclusions of windows.h,
	  GL.h and GLU.H

2008-07-25 23:33  fredb

	* simgear/misc/zfstream.hxx: Maybe a more portable way to do it

2008-07-25 23:27  fredb

	* simgear/misc/zfstream.hxx: Compile again with MSVC

2008-07-25 20:35  ehofman

	* simgear/: Makefile.am, compiler.h, constants.h, sg_traits.hxx,
	  debug/logstream.hxx, environment/visual_enviro.hxx,
	  io/decode_binobj.cxx, io/iochannel.hxx, io/lowtest.cxx,
	  io/sg_binobj.cxx, io/sg_binobj.hxx, io/sg_file.cxx,
	  io/sg_serial.cxx, io/sg_serial.hxx, io/sg_socket.cxx,
	  io/sg_socket.hxx, io/sg_socket_udp.hxx, io/socktest.cxx,
	  io/tcp_client.cxx, io/tcp_server.cxx, magvar/coremag.cxx,
	  math/SGCMath.hxx, math/SGMath.hxx, math/interpolater.cxx,
	  math/interpolater.hxx, math/sg_types.hxx, misc/sg_path.hxx,
	  misc/sgstream.cxx, misc/sgstream.hxx, misc/strutils.hxx,
	  misc/tabbed_values.hxx, misc/tabbed_values_test.cxx,
	  misc/texcoord.cxx, misc/zfstream.cxx, misc/zfstream.hxx,
	  props/condition.cxx, props/props_io.cxx, props/props_io.hxx,
	  props/props_test.cxx, route/routetest.cxx, route/waypoint.hxx,
	  route/waytest.cxx, scene/material/mat.hxx,
	  scene/material/matlib.cxx, scene/material/matlib.hxx,
	  scene/material/matmodel.hxx, scene/model/ModelRegistry.hxx,
	  scene/model/modellib.hxx, scene/sky/cloud.hxx,
	  scene/sky/cloudfield.cxx, scene/sky/moon.cxx,
	  scene/sky/newcloud.cxx, scene/sky/newcloud.hxx,
	  scene/sky/sphere.cxx, scene/sky/stars.cxx,
	  scene/tgdb/TileCache.cxx, scene/tgdb/TileEntry.cxx,
	  scene/tgdb/TileEntry.hxx, scene/tgdb/apt_signs.hxx,
	  scene/tgdb/obj.hxx, scene/tgdb/pt_lights.hxx,
	  scene/tgdb/userdata.hxx, screen/shader.h, serial/serial.cxx,
	  serial/serial.hxx, serial/testserial.cxx,
	  sound/sample_openal.hxx, sound/soundmgr_openal.cxx,
	  sound/soundmgr_openal.hxx, structure/commands.hxx,
	  structure/exception.hxx, structure/subsystem_mgr.hxx,
	  threads/SGQueue.hxx, threads/SGThread.hxx, timing/geocoord.h,
	  timing/sg_time.cxx, timing/sg_time.hxx, timing/timestamp.cxx,
	  timing/timezone.h, xml/easyxml.cxx, xml/easyxml.hxx:
	  Reduce compiler.h to almost nothing (but it's worth keeping
	  around I think, for the MSVC and MipsPro warning stuff).

	  As a result of this patch, simgear/sg_traits.h can be deleted. So
	  can SGCMath.h, but I'll do that separately.

	  There is one more 'mechanical' change to come - getting rid of
	  SG_USING_STD(X), but I want to keep that separate from everything
	  else. (There's another mechnica l change, replacing <math.h> with
	  <cmath> and so on *everywhere*, but one step a t a time)

2008-07-25 12:39  ehofman

	* simgear/: compiler.h, constants.h, ephemeris/celestialBody.cxx,
	  ephemeris/jupiter.cxx, ephemeris/mars.cxx, ephemeris/mercury.cxx,
	  ephemeris/moonpos.cxx, ephemeris/saturn.cxx, ephemeris/star.cxx,
	  ephemeris/uranus.cxx, ephemeris/venus.cxx, math/point3d.hxx,
	  misc/sgstream.hxx, scene/material/mat.cxx,
	  scene/material/matlib.cxx, scene/material/matmodel.cxx:
	  Attached patches remove BORLANDC, and hence
	  SG_MATH_EXCEPTION_CLASH and SG_INCOM PLETE_FUNCTIONAL from
	  SimGear and FlightGear.

	  As a result, SG_HAVE_STD_INCLUDES is now *always* set, so I will
	  get the boring fixes for that done, but separately. I'm still
	  auditing the other things in comp ilers.h - there's a lot that
	  can die now BORLAND is gone.

2008-07-25 10:34  ehofman

	* simgear/debug/logstream.cxx:
	  remove a workaround for the C++ / stdlibary bug which existed
	  aeons ago on Mac.

2008-07-24 21:16  ehofman

	* simgear/: compiler.h, debug/logstream.hxx, misc/sg_path.cxx,
	  misc/sgstream.cxx, misc/zfstream.cxx, screen/colors.hxx,
	  timing/lowleveltime.cxx, timing/timestamp.cxx:
	  Patch to remove macintosh and MWERKS from Simgear.

2008-07-19 18:01  timoore

	* simgear/io/: sg_file.cxx, sg_file.hxx: Add repeat option to
	  SGFile.

	  This supports auto-looping over a playback file, for demos and
	  such.

2008-07-19 18:00  timoore

	* simgear/scene/tgdb/: SGReaderWriterBTG.cxx,
	  SGReaderWriterBTGOptions.hxx: Eliminate empty default constructor
	  for SGReaderWriterBTGOptions

2008-07-12 17:31  mfranz

	* simgear/scene/model/particles.cxx: s/getChild/getNode/
	  (otherwise "start/size" wouldn't work)

2008-07-12 16:06  mfranz

	* simgear/scene/model/: particles.cxx, particles.hxx: - XML
	  interface changes:   * condition at top level   *
	  <start|end>/<color|size> hierarchy   * wind/gravity -> bool	*
	  rename some properties (rotspeed -> rotation-speed, etc.)   *
	  unit suffixes - remove redundant code - warnings--

2008-07-10 12:33  mfranz

	* simgear/props/props.cxx: fix SGPropertyNode::LAST_USED_ATTRIBUTE

2008-07-09 19:31  mfranz

	* simgear/props/props_io.cxx: write-protection warning: use
	  simplified path

2008-07-09 18:17  mfranz

	* simgear/props/props_io.cxx: let readProperties() refuse to
	  overwrite write-proteced properties

2008-06-22 20:07  mfranz

	* simgear/debug/logstream.hxx: remove redundant #defines (they are
	  already in compiler.h)

2008-06-12 10:14  timoore

	* simgear/scene/: model/ModelRegistry.cxx, model/animation.cxx,
	  model/shadanim.cxx, tgdb/obj.cxx, tgdb/pt_lights.cxx: From Benoit
	  Laniel: replace SG threading constructs with those from
	  OpenThreads

	  Also, move any static local mutexes up to global level.

2008-06-08 18:45  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2008-06-07 16:45  mfranz

	* simgear/environment/: metar.cxx, metar.hxx: warnings--

2008-06-02 22:26  timoore

	* projects/VC7.1/SimGear.vcproj: add OSGVersion.hxx to VC7.1
	  project file

2008-06-02 22:22  timoore

	* simgear/: scene/model/SGPagedLOD.cxx, scene/tgdb/TileEntry.hxx,
	  structure/Makefile.am, structure/OSGVersion.hxx: OSG
	  DatabasePager interface change in 2.5.1

	  Move OSG version macro from FlightGear to simgear

2008-06-02 22:21  timoore

	* simgear/: props/props_io.hxx, structure/SGSmplhist.hxx: Replace
	  header files istream and ostream with iosfwd

2008-06-02 22:21  timoore

	* simgear/: bucket/newbucket.hxx, debug/logstream.cxx,
	  debug/logstream.hxx, io/sg_binobj.cxx, io/tcp_client.cxx,
	  math/point3d.hxx, misc/sgstream.cxx, misc/sgstream.hxx,
	  misc/zfstream.cxx, misc/zfstream.hxx, props/props.cxx,
	  props/props.hxx, props/props_io.cxx, props/props_io.hxx,
	  props/props_test.cxx, scene/material/matmodel.hxx,
	  scene/model/shadanim.cxx, scene/tgdb/TileEntry.cxx,
	  sound/xmlsound.cxx, sound/xmlsound.hxx, structure/SGSmplhist.hxx:
	  Don't include <iostream> and "using" declarations in header files

	  <iostream> sucks in expensive initialization of the standard
	  streams and isn't appropriate in a header file. Use <istream> and
	  <ostream> instead.

	  using declarations should never appear at global scope in a
	  header file; source files get to decide what they want to use in
	  their namespace.

2008-06-01 19:25  fredb

	* simgear/scene/util/SGSceneFeatures.cxx: Fix non threadsafe code

2008-05-31 14:08  fredb

	* simgear/scene/model/SGReaderWriterXML.cxx: Report abnormal
	  condition

2008-05-31 14:06  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2008-05-31 14:05  fredb

	* simgear/scene/model/SGPagedLOD.hxx: Fix a problem in loading
	  models with paged LOD in some circunstances ( debug with MSVC for
	  instance )

2008-05-31 12:02  fredb

	* simgear/: scene/material/mat.hxx, scene/material/mat.cxx,
	  scene/tgdb/TileEntry.cxx, sound/sample_openal.cxx: Use bool
	  instead of int to represent boolean values

2008-05-21 16:51  mfranz

	* simgear/sound/xmlsound.cxx: xmlsound: warning--

2008-05-21 16:47  mfranz

	* simgear/sound/: xmlsound.cxx, xmlsound.hxx: add <delay-sec>
	  parameter that defines how many seconds after triggering the
	  sound should be played (default: 0)

2008-05-19 17:17  mfranz

	* README.OSG, README.plib: update library version requirements

2008-05-15 08:19  fredb

	* simgear/scene/tgdb/: ReaderWriterSTG.cxx, TileCache.cxx,
	  TileEntry.cxx: Win32 fix

2008-05-15 00:07  timoore

	* projects/VC7.1/SimGear.vcproj,
	  simgear/scene/model/ModelRegistry.cxx,
	  simgear/scene/model/SGReaderWriterXML.cxx,
	  simgear/scene/tgdb/Makefile.am,
	  simgear/scene/tgdb/ReaderWriterSTG.cxx,
	  simgear/scene/tgdb/ReaderWriterSTG.hxx,
	  simgear/scene/tgdb/SGReaderWriterBTGOptions.hxx,
	  simgear/scene/tgdb/TileCache.cxx,
	  simgear/scene/tgdb/TileCache.hxx,
	  simgear/scene/tgdb/TileEntry.cxx,
	  simgear/scene/tgdb/TileEntry.hxx,
	  simgear/scene/tgdb/userdata.cxx: sg: move most scenery-related
	  code to simgear

	  From Till Busch

2008-05-01 14:21  mfranz

	* simgear/scene/tgdb/obj.cxx: Till BUSCH: enable HOT intersection
	  tests on random buildings

2008-04-26 17:25  mfranz

	* simgear/misc/: sg_path.cxx, sg_path.hxx: Nicolas: let
	  SGPath::create_dir() return success/failure (for screenshot)

2008-04-25 10:41  mfranz

	* simgear/scene/model/SGPagedLOD.cxx: Till BUSCH:

	  "tim recently noticed the database pager was repeatedly loading
	  and unloading the same objects. he also tracked down the problem
	  to missing bounding sphere information in osgDB::PagedLOD. this
	  is a simplicistic approach to fix this: SGPagedLOD will now
	  remember whatever value it sees for getBound() after loading a
	  child. this patch will make database pager run much calmer."

2008-04-25 00:06  timoore

	* simgear/scene/: model/ModelRegistry.cxx, model/ModelRegistry.hxx,
	  util/NodeAndDrawableVisitor.hxx: Fix new livery code

	  It turns out that the database pager causes the texture image to
	  be unloaded after it is applied, so the image and its file name
	  may not be available for doing the livery substitution. Ask a
	  work around we set the name of the texture to its file name.

2008-04-24 00:09  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2008-04-23 20:13  timoore

	* projects/VC7.1/SimGear.vcproj,
	  simgear/scene/model/ModelRegistry.cxx,
	  simgear/scene/util/Makefile.am,
	  simgear/scene/util/NodeAndDrawableVisitor.cxx,
	  simgear/scene/util/NodeAndDrawableVisitor.hxx,
	  simgear/screen/TestRenderTexture.cpp: Rewrite livery texture
	  replacement to copy StateSet objects

	  Also, add a NodeAndDrawableVisitor that descends into
	  osg::Drawable.

	  That motivation for this is that it's a bad idea to modify state
	  sets that the osgDB::SharedStateManager might be keeping.

2008-04-23 14:28  mfranz

	* simgear/scene/model/animation.cxx: Till BUSCH:

	  this is a small (-1/+3) patch to fix pick animations on scenery
	  objects.  since picking apparently doesn't care for polygon
	  offsets, the objects got into the picklist in the wrong way. now,
	  no matter if the "highlight group" or the "normal group" gets hit
	  first, the callback will fire.

2008-04-14 23:44  timoore

	* simgear/: math/Makefile.am, math/Math.hxx, scene/sky/dome.cxx,
	  scene/sky/dome.hxx: rewrite of sky dome code

	  Add more points to the dome, giving it a dome shape rather than a
	  dunce cap shape.

	  Represent as OpenGL DrawElements instead of as triangle strips.

	  Only calculate have the sky colors and reflect those across the
	  dome.

2008-04-14 08:27  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2008-04-13 23:11  timoore

	* simgear/: io/sg_file.cxx, io/sg_serial.cxx, misc/strutils.cxx,
	  misc/tabbed_values.cxx, screen/RenderTexture.cpp,
	  screen/extensions.cxx, screen/extensions.hxx, screen/shader.cpp,
	  structure/SGExpression.cxx: Fixes for compiling with gcc 4.3

	  Include standard header files and qualify with std:: where
	  needed.

	  Add "const" to various char parameters and variables.

2008-04-03 00:25  fredb

	* simgear/scene/model/SGReaderWriterXML.cxx: Allows to load
	  submodels with path relative to current model path.  Submodel
	  path must be prefixed by ./ otherwise path is relative to fg_root
	  ( current behavior )

2008-03-24 22:41  timoore

	* simgear/scene/tgdb/obj.cxx: Change the tile light group node mask
	  to traverse VASI lights too.

	  The change to set the light group node mask to LIGHTS_BITS caused
	  VASI/PAPI lights to not be displayed during the day. This patch
	  fixes that and optimizes VASI creation a bit.

2008-03-22 12:39  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2008-03-22 12:38  fredb

	* simgear/scene/model/SGReaderWriterXML.cxx: Win32 fix

2008-03-22 10:30  timoore

	* simgear/: constants.h, scene/material/matmodel.cxx,
	  scene/material/matmodel.hxx, scene/model/CheckSceneryVisitor.cxx,
	  scene/model/CheckSceneryVisitor.hxx, scene/model/Makefile.am,
	  scene/model/SGPagedLOD.cxx, scene/model/SGPagedLOD.hxx,
	  scene/model/SGReaderWriterXML.cxx,
	  scene/model/SGReaderWriterXML.hxx,
	  scene/model/SGReaderWriterXMLOptions.hxx, scene/model/model.cxx,
	  scene/model/model.hxx, scene/model/modellib.cxx,
	  scene/model/modellib.hxx, scene/tgdb/userdata.cxx,
	  scene/tgdb/userdata.hxx, structure/subsystem_mgr.hxx: model
	  paging patch from Till Busch

	  Comments from Till: I started the project at the end of february
	  with a simple idea: move all 3d-model loading to the
	  DatabasePager-thread. my first attempts looked promising, though
	  they were a little too optimistic (or naive?). the patch has
	  evolved a lot since.

	  currently it does the following things: 1. revive SGModelLib,
	  move functions for xml-model-loading there

	  2. replace all calls to sgLoad3dModel with calls to either
	  SGModelLib::loadModel() or SGModelLib::loadPagedModel() almost
	  all models will be loaded by the DatabasePager. the few
	  exceptions are: your own plane, shared models in scenery, random
	  objects, AIBallistic models.

	  3. simplify mode-loading functions (avoid passing around fg_root)

	  4. avoid supurious MatrixTransform nodes in loaded models

	  5. fix some memory leaks

2008-03-20 18:20  mfranz

	* simgear/sound/xmlsound.cxx: - warnings-- - make one-shot sounds
	  subject to volume and pitch control (To get	constant
	  volume/pitch during the whole lifetime, just *configure*   the
	  sound that way.)

2008-03-17 09:46  timoore

	* simgear/scene/tgdb/obj.cxx: rationalize node masks a bit

2008-03-15 17:33  curt

	* configure.ac: argh, missed 1.8.4 in one spot.

2008-03-15 17:32  curt

	* configure.ac: Simgear also enforces plib-1.8.5 in order to build.

2008-03-11 14:44  timoore

	* acinclude.m4: From Till Busch: use install -p if possible

2008-03-09 23:09  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2008-03-04 12:48  mfranz

	* simgear/scene/tgdb/apt_signs.cxx: use new arrow shortcuts for
	  compatibility reasons (will be removed later)

2008-03-04 09:58  timoore

	* simgear/environment/: precipitation.cxx, precipitation.hxx:
	  cleanup of precipitation contribution

	  Reindent everything to Stroustrup style and make member variable
	  style consistent.

	  Remove unused header files.

	  SGPrecipitation is now a subclass of osg::Referenced.

	  Initialize snow and ice intensity to 0 directly. The methods that
	  set the intensities change the value slowly and so don't work
	  when the initial value is garbage.

2008-03-04 09:54  timoore

	* simgear/environment/: Makefile.am, precipitation.cxx,
	  precipitation.hxx: precipitation effects from Nicolas Vivien

2008-03-04 09:53  timoore

	* simgear/math/: Makefile.am, SGGeod.cxx, SGGeod.hxx: Add methods
	  to SGGeod to return OSG Matrix objects for local frames.

	  Methods have been added for Z down (simulation) and Z up frames.

2008-03-02 17:49  fredb

	* simgear/scene/model/particles.cxx: Initialize variables before
	  using them

2008-02-28 22:25  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2008-02-23 10:08  mfranz

	* simgear/environment/metar.cxx: don't reset modifier in M1SM-type
	  visibility

2008-02-21 00:36  mfranz

	* simgear/environment/metar.cxx: don't reset visibility modifier in
	  the M5SM case

2008-02-16 23:09  mfranz

	* simgear/scene/material/mat.cxx: Syd ADAMS: remove season suffix,
	  this is now done via <condition>s

2008-02-16 18:01  mfranz

	* simgear/scene/model/SGMaterialAnimation.cxx: remove
	  getRootNode(), as this resets the model root

2008-02-15 18:54  mfranz

	* simgear/scene/material/: matlib.cxx, matlib.hxx: Csaba HALASZ:
	  implement conditional (e.g. seasonal) texture loading at startup

2008-02-15 07:44  timoore

	* simgear/scene/model/: model.cxx, particles.cxx, particles.hxx:
	  Cleanup of particles contribution

	  Put particles classes inside simgear namespace

	  Refactored some redundant code

	  Reworked local frame math to use OSG math classes as much as
	  possible

2008-02-15 07:44  timoore

	* simgear/scene/model/: Makefile.am, animation.cxx, animation.hxx,
	  model.cxx, particles.cxx, particles.hxx: particles from Tiago_G

2008-02-08 00:01  timoore

	* simgear/scene/tgdb/TreeBin.cxx: Small cleanup of tree shader

2008-02-08 00:01  timoore

	* simgear/scene/: tgdb/ShaderGeometry.cxx, tgdb/TreeBin.cxx,
	  tgdb/obj.cxx, util/RenderConstants.hxx: Minor cleanup of Stuart
	  Buchanan's tree patch.

	  Separate random objects and random trees for real.

2008-02-08 00:00  timoore

	* simgear/scene/: material/mat.cxx, material/mat.hxx,
	  material/matmodel.cxx, tgdb/SGReaderWriterBTG.cxx,
	  tgdb/SGReaderWriterBTGOptions.hxx, tgdb/ShaderGeometry.cxx,
	  tgdb/ShaderGeometry.hxx, tgdb/TreeBin.cxx, tgdb/TreeBin.hxx,
	  tgdb/obj.cxx, tgdb/obj.hxx: Second trees patch from Stuart
	  Buchanan

	  Adds random variation of tree texture maps

2008-02-03 00:01  timoore

	* simgear/scene/: tgdb/ShaderGeometry.cxx, tgdb/ShaderGeometry.hxx,
	  tgdb/TreeBin.cxx, tgdb/TreeBin.hxx, tgdb/obj.cxx,
	  util/QuadTreeBuilder.cxx, util/QuadTreeBuilder.hxx,
	  util/RenderConstants.hxx, util/StateAttributeFactory.cxx,
	  util/StateAttributeFactory.hxx, util/VectorArrayAdapter.hxx:
	  Cleanup and performance tuning of the random trees code.

	  The QuadTreeBuilder class was completely revamped as a templated
	  class to support flexible creation of scene graph quad trees, and
	  a major bug was fixed as well. Now it actually generates
	  quadtrees instead of some weird striped thing.

	  One StateSet is shared among all the "forests." The trees are
	  drawn after normal terrain objects to minimize some of the
	  transparency related artifacts.

	  Lighting was implemented in the ShaderGeometry shader (for both
	  polygon sides). Ambient-diffuse values for trees are hard-coded
	  in TreeBin.cxx.

	  DotOsg wrappers were added for ShaderGeometry so it can be output
	  in the scene graph dump.

2008-02-03 00:01  timoore

	* simgear/scene/: material/mat.cxx, material/mat.hxx,
	  material/matmodel.cxx, material/matmodel.hxx, tgdb/Makefile.am,
	  tgdb/SGModelBin.hxx, tgdb/ShaderGeometry.cxx,
	  tgdb/ShaderGeometry.hxx, tgdb/TreeBin.cxx, tgdb/TreeBin.hxx,
	  tgdb/obj.cxx, util/QuadTreeBuilder.cxx, util/QuadTreeBuilder.hxx:
	  Random trees from Stuart Buchanan

	  Stuart's new file SGTreeBin.hxx has been split into 4 files:
	  TreeBin.[ch]xx and ShaderGeometry.[ch]xx.

2008-01-25 00:05  timoore

	* simgear/scene/material/: mat.cxx, mat.hxx, matlib.cxx,
	  matlib.hxx: Memory leak fixes from Till Busch

2008-01-21 22:12  curt

	* NEWS: At least update the version and date, we can fill in with
	  more changes as we have time later.

2008-01-17 22:41  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2008-01-17 09:28  timoore

	* simgear/scene/tgdb/: SGTexturedTriangleBin.hxx, obj.cxx: fix
	  memory leaks in random object code

	  Don't allocate mt structures (for the random number generator) on
	  the heap.

2008-01-12 09:50  fredb

	* simgear/scene/model/ModelRegistry.cxx: Avoid spitting gazillion
	  'Cannot find image file "" ' message on the console while loading
	  random objects

2008-01-07 23:05  frohlich

	* simgear/scene/model/animation.cxx: Modified Files:
	  simgear/scene/model/animation.cxx:	  Change factor/offset
	  order for texture animations.      Fixes remaining bug with
	  texture animations.

2008-01-06 16:04  timoore

	* simgear/: math/sg_random.c, math/sg_random.h,
	  scene/material/matmodel.cxx, scene/material/matmodel.hxx,
	  scene/tgdb/SGModelBin.hxx, scene/tgdb/SGTexturedTriangleBin.hxx,
	  scene/tgdb/obj.cxx, scene/tgdb/userdata.cxx,
	  scene/tgdb/userdata.hxx, scene/util/Makefile.am,
	  scene/util/QuadTreeBuilder.cxx, scene/util/QuadTreeBuilder.hxx:
	  Random object support from Stuart Buchanan

	  In addition to Stuart's changes, there's an independent quad tree
	  builder class for constructing loose quad trees from scene graph
	  nodes.

	  Stuart also implemented changes to the random number generator
	  suggested by Andy Ross.

2008-01-04 22:45  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2008-01-04 22:45  fredb

	* simgear/structure/SGExpression.cxx: Remove warnings

2008-01-04 08:33  timoore

	* simgear/scene/: sky/sky.cxx, sky/sky.hxx,
	  util/RenderConstants.hxx: Give the sky a BACKGROUND_BIT nodemask

	  Add a MODEL_BIT and tag clouds with that.

	  Remove vestigial post_root from sky code.

2008-01-04 08:33  timoore

	* simgear/scene/util/RenderConstants.hxx: background node mask

2007-12-31 16:49  frohlich

	* simgear/scene/model/: SGClipGroup.cxx, SGClipGroup.hxx: Modified
	  Files:       simgear/scene/model/SGClipGroup.cxx
	  simgear/scene/model/SGClipGroup.hxx Update the clip group.

2007-12-31 16:48  frohlich

	* simgear/scene/model/animation.cxx: Modified Files:
	  simgear/scene/model/animation.cxx: Create animation inputs if not
		already there. Fixes broken texture animations from past
	  checkin.

2007-12-26 20:19  frohlich

	* simgear/scene/util/: Makefile.am, SGPickCallback.hxx: Modified
	  Files:	 Makefile.am SGPickCallback.hxx: add proirities for
	  pick callbacks.

2007-12-26 20:12  frohlich

	* simgear/scene/model/: animation.cxx, animation.hxx: Modified
	  Files:   animation.cxx animation.hxx: Make use of the expression
	  stuff.	  Factors out common code with other animations
	  stuff in flightgear.

2007-12-26 20:10  frohlich

	* simgear/structure/: Makefile.am, SGExpression.cxx,
	  SGExpression.hxx: Modified Files:  Makefile.am Added Files:
	  SGExpression.cxx SGExpression.hxx: Add not yet complete but
	  already     usable expression tree. Will be used with the panel
	  code.

2007-12-26 20:08  frohlich

	* simgear/scene/model/SGClipGroup.cxx: Modified Files:
	  scene/model/SGClipGroup.cxx: Oops, add missing simgear_config.h

2007-12-26 20:05  frohlich

	* simgear/scene/model/: Makefile.am, SGClipGroup.cxx,
	  SGClipGroup.hxx: Modified Files:  Makefile.am Added Files:
	  SGClipGroup.cxx SGClipGroup.hxx: Add helper group node for reuse
		of clipping planes. Will be used for the panel code.

2007-12-26 20:03  frohlich

	* simgear/props/props.hxx: Modified Files:
	  simgear/props/props.hxx: Add a bunch of convinience functions.

2007-12-24 00:33  timoore

	* simgear/scene/model/: SGMaterialAnimation.cxx,
	  SGMaterialAnimation.hxx, animation.cxx: Pass ReaderWriter options
	  to SGMaterialAnimation

	  It needs to grab the path list from options in order to support
	  the texture change animation.

2007-12-23 00:01  timoore

	* simgear/scene/sky/oursun.cxx: Fix tiny bugs in sun constructor
	  and repaint code

2007-12-21 07:29  timoore

	* projects/VC7.1/SimGear.vcproj: Add StateAttributeFactory files to
	  VS project file

2007-12-21 07:25  timoore

	* simgear/scene/model/ModelRegistry.cxx: optimize groups from .AC
	  file optimizer run

2007-12-21 07:25  timoore

	* simgear/scene/: sky/cloud.cxx, util/StateAttributeFactory.cxx,
	  util/StateAttributeFactory.hxx: Repaint 2D cloud layers using
	  texture combiner

	  Don't change the color in the cloud layer geometry

2007-12-21 07:24  timoore

	* simgear/scene/: sky/cloud.cxx, tgdb/pt_lights.cxx,
	  util/Makefile.am, util/RenderConstants.hxx,
	  util/StateAttributeFactory.cxx, util/StateAttributeFactory.hxx:
	  Fix cloud layer - point lights visibility issue

	  Move point lights to render bin 8, clouds to render bin 9. Turn
	  on AlphaFunc for cloud layers.

	  Create a StateAttributeFactory object to create and share common
	  state objects.

2007-12-18 23:25  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2007-12-14 00:30  timoore

	* simgear/scene/: tgdb/GroundLightManager.cxx,
	  tgdb/GroundLightManager.hxx, tgdb/Makefile.am, tgdb/obj.cxx,
	  util/RenderConstants.hxx: Use node masks and shared state sets to
	  manage ground lights

	  Do away with the switch in each terrain tile for the ground
	  lights. They are turned on by node masks now.

	  Share state sets among all the light nodes and manage the fog
	  values through a "GroundLightManager" instead of having separate
	  state sets and callback functions for each group in each tile.

2007-12-12 18:38  timoore

	* simgear/scene/sky/: cloud.cxx, cloud.hxx: Backport of cloud layer
	  texture origin fix

	  From the OSG commit message:	   Don't reset the random texture
	  base when rebuilding a cloud layer	 This fix removes obnoxious
	  visuals (texture jumping) when a cloud     layer is moved due to
	  a metar update or, more significantly, when	  switching from
	  metar to a scenario.

	  With help from Vivian Meazza

2007-12-11 22:28  durk

	* configure.ac: New version number.

2007-12-11 12:07  timoore

	* simgear/: misc/PathOptions.cxx, scene/model/ModelRegistry.cxx:
	  minor fix to ModelRegistry and syntax changes for Windows

	  Create the local path in the right order in OptionsPusher. When
	  OptionsPusher is used, put it inside a new code block so the
	  order of destruction with respect to the mutex on reader
	  functions id clear.

	  Add #include <algorithm> to top of ModelRegistry.cxx.

	  Change include syntax in PathOptions.cxx

2007-12-10 09:30  timoore

	* simgear/scene/model/ModelRegistry.cxx: Check for null options
	  before changing path in registry

2007-12-09 23:38  timoore

	* simgear/scene/model/ModelRegistry.cxx: Work around osg Registry
	  path list problems

	  The OSG reader plugins overwrite the path list passed in options
	  with the local directory of the file being read, forcing you to
	  set the path list in the Registry. I think this a bug, but in the
	  meantime here's a workaround.

2007-12-08 12:07  fredb

	* simgear/scene/sky/cloudfield.cxx: Fix a typo

2007-12-08 00:35  timoore

	* simgear/bucket/newbucket.hxx: Add operator!= to SGBucket

2007-12-07 10:13  timoore

	* simgear/scene/model/: model.cxx, model.hxx: Add option to
	  SGLoadTexture2D to load dynamic textures

2007-12-06 18:57  mfranz

	* simgear/props/: condition.cxx: - comparison: don't crash if
	  second element is missing - better messages ("panel"?!)

2007-12-04 23:38  timoore

	* projects/VC7.1/SimGear.vcproj, simgear/misc/Makefile.am,
	  simgear/misc/PathOptions.cxx, simgear/misc/PathOptions.hxx,
	  simgear/scene/material/mat.cxx,
	  simgear/scene/model/ModelRegistry.cxx,
	  simgear/scene/model/ModelRegistry.hxx,
	  simgear/scene/model/animation.cxx,
	  simgear/scene/model/animation.hxx, simgear/scene/model/model.cxx,
	  simgear/scene/model/model.hxx, simgear/scene/model/shadanim.cxx,
	  simgear/scene/sky/cloud.cxx, simgear/scene/sky/moon.cxx,
	  simgear/scene/sky/oursun.cxx: Don't modify OSG Registry with file
	  path

	  To set a path when loading model files, use an osg
	  ReaderWriter::Options object.

	  Put locks in ModelRegistry::readNode and ModelRegistry::readImage
	  to avoid conflicts when files are loaded from both the pager and
	  the main thread.

2007-12-03 17:38  mfranz

	* simgear/scene/model/shadowvolume.cxx: make the "noshadow" prefix
	  SG_ALERT an SG_WARN

2007-12-03 13:46  mfranz

	* simgear/scene/model/shadowvolume.cxx: print full object name in
	  noshadow deprecation error message

2007-12-03 11:46  mfranz

	* simgear/scene/model/shadowvolume.cxx: let use of deprecated
	  "noshadow" prefix cause error message

2007-12-02 13:28  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2007-12-02 10:33  durk

	* simgear/scene/sky/cloudfield.cxx: Torsten Dreyer: Make sure 3D
	  clouds cache never gets set to zero, thereby	preventing a
	  program crash that could occur when switching between OSG and
	  plib versions.

2007-11-30 00:56  timoore

	* simgear/scene/model/ModelRegistry.hxx: Change the main
	  ModelRegistry callback function to stash the substituted file in
	  the cache.

2007-11-30 00:56  timoore

	* simgear/scene/model/animation.cxx: Avoid copying drawables and
	  dirtying display lists.

	  For the alpha-test animation, use an OVERRIDE attribute on the
	  state set of the top level node instead of copying drawables and
	  state sets throughout the model.

	  As a temporary hack in the blend animation, don't use display
	  lists in the cloned drawables.

	  These changes are aimed at cutting down the number of display
	  lists that the pager needs to compile.

2007-11-30 00:56  timoore

	* simgear/scene/: model/ModelRegistry.cxx, model/ModelRegistry.hxx,
	  tgdb/SGReaderWriterBTG.cxx: rewrite ModelRegistry callbacks as a
	  template with pluggable policy classes

	  In a big effort to improve use of the object cache, provide a
	  ModelRegistryCallback template class with different policies for
	  substitution,  caching, optimization, etc.

	  Change SGTexDataVarianceVistor to make StateSets static too.

2007-11-30 00:55  timoore

	* simgear/scene/util/: Makefile.am, RenderConstants.hxx,
	  SGNodeMasks.hxx: Start of cleanup of scene graph node masks

2007-11-30 00:55  timoore

	* simgear/scene/: model/Makefile.am, model/ModelRegistry.cxx,
	  model/ModelRegistry.hxx, model/model.cxx,
	  tgdb/SGReaderWriterBTG.cxx, tgdb/SGReaderWriterBTG.hxx: Move
	  SGReadFileCallback from model.cxx to public class ModelRegistry

	  Move SGReadFileCallback and all its help classes into a new
	  ModelRegistry class that also provides an interface to add custom
	  callbacks for specific file extensions. SGReaderWriterBTG uses
	  that to keep any further processing from being done on .btg
	  files. Various namespace-releated cleanup was done on this code
	  too.

2007-11-27 20:27  durk

	* simgear/: io/sg_file.cxx, io/sg_serial.cxx, misc/strutils.cxx,
	  misc/tabbed_values.cxx, scene/model/shadowvolume.cxx,
	  screen/RenderTexture.cpp, screen/TestRenderTexture.cpp,
	  screen/shader.cpp: Ladislav Michnovič : Compatibility fixes for
	  gcc 4.3 Tatsuhiro Nishioka   : Fix shadow rendering for Mac
	  Platforms.

2007-11-25 09:27  durk

	* simgear/screen/RenderTexture.cpp: Hans Fugal: Two typecasts added
	  for OSX Leopard (20.5) compilation.

2007-11-22 19:15  durk

	* Makefile.am, SimGear.dsp, configure.ac: A few prerelease related
	  changes:  - new version number  - modified path for make dist
	  post processing  - new autogenerated dsp file

2007-11-19 00:31  timoore

	* simgear/scene/: model/animation.cxx, tgdb/obj.cxx: StateSet
	  optimizations

	  Use only one shared StateSet to control GL_NORMALIZE. This
	  removes thousands of state sets from the scene graph.

	  Fix a typo that was causing two copies of groundLights0 to be
	  added to each tile.

2007-11-19 00:30  timoore

	* simgear/scene/tgdb/: SGTexturedTriangleBin.hxx, obj.cxx: Some
	  scene graph optimizations

	  When loading terrain, use DrawElementsUShort where possible.

	  Don't chunk unconnected triangles in the terrain into separate
	  Geometry sets; make the sets as big as possible.

2007-11-18 15:22  durk

	* README.OpenAL, README.plib: Minor documentation update.

2007-11-18 15:21  durk

	* README.OpenAL, README.plib: Minor documentation updates.

2007-11-17 10:16  durk

	* simgear/structure/: Makefile.am, SGSmplhist.cxx, SGSmplhist.hxx,
	  SGSmplstat.cxx, SGSmplstat.hxx, subsystem_mgr.cxx,
	  subsystem_mgr.hxx: Refined debug timing control:  - Added a
	  SampleStatistic class (from the old deprecated libg++) library.
	  - Make time statistics and printing conditionable   - Added an
	  interface function to switch time stamp collection and printing
	  on and off from the application (defaults to off).

2007-11-17 10:16  durk

	* simgear/structure/SGSmplhist.cxx: file SGSmplhist.cxx was added
	  on branch PRE_OSG_PLIB_20061029 on 2007-11-17 09:18:34 +0000

2007-11-17 10:16  durk

	* simgear/structure/SGSmplhist.hxx: file SGSmplhist.hxx was added
	  on branch PRE_OSG_PLIB_20061029 on 2007-11-17 09:18:34 +0000

2007-11-17 10:16  durk

	* simgear/structure/SGSmplstat.cxx: file SGSmplstat.cxx was added
	  on branch PRE_OSG_PLIB_20061029 on 2007-11-17 09:18:34 +0000

2007-11-17 10:16  durk

	* simgear/structure/SGSmplstat.hxx: file SGSmplstat.hxx was added
	  on branch PRE_OSG_PLIB_20061029 on 2007-11-17 09:18:34 +0000

2007-11-09 06:55  frohlich

	* simgear/scene/model/model.cxx: Improove texture sharing.

2007-11-09 06:52  frohlich

	* simgear/scene/util/SGNodeMasks.hxx: Update node masks

2007-11-05 22:42  curt

	* simgear/io/: sg_binobj.cxx, sg_binobj.hxx: In the original
	  flightgear native/binary scenery terrain data format, we used
	  short's extensively to represent counts of objects (number of
	  points, number of texture coordinates, number of traingle strips,
	  etc.) and we used shorts to index into larger structures.  But
	  this capped many of our structure sizes to a maximum of 32768.

	  By switching to unsigned shorts in the future, we can double the
	  maximum object/index counts without losing anything.	This was a
	  pretty major oversight in our original specification.

	  I have bumped up the native object file version from 6 to 7 and
	  added code in the reader to maintain full backwards compatibilty
	  with version 6 scenery files (i.e. the current 0.9.10 scenery
	  release.)

	  Curt.

2007-10-15 20:49  durk

	* simgear/: math/SGVec2.hxx, scene/material/matlib.cxx,
	  scene/sky/sphere.cxx, scene/sky/stars.cxx,
	  structure/SGAtomic.hxx: - A few fixes to ensure SimGear compiles
	  again on cygwin.    * on cygwin, isnan is declared in ieeepf.h
	  * CYGWIN is a special case in that it is windows based, but
	  sometimes	 folows unix conventions. SGAtomic compilation
	  failed on an illegal	    volatile type cast without the
	  additional __CYGWIN__ define check.

2007-10-15 18:20  mfranz

	* simgear/scene/model/model.cxx: ignore OSG models already for
	  main-models, not just submodels, so that they don't have to be
	  used in <model> tags.

2007-10-15 17:51  mfranz

	* simgear/scene/model/model.cxx: - warn about *.osg submodels, but
	  otherwise ignore them. This allows to   use aircraft using OSG
	  smoke (e.g. the Buccaneer) in fg/plib.  - warning--

2007-10-14 15:46  durk

	* simgear/: screen/RenderTexture.cpp, structure/subsystem_mgr.cxx,
	  structure/subsystem_mgr.hxx: * Fixed memory leak in
	  RenderTexture.cpp (tiny, but still...) * Added Timestamping
	  debugging code to SGSubsystems (ported from plib   branch).

2007-10-13 16:05  durk

	* simgear/: environment/metar.cxx, props/props.cxx: Whoops, test
	  compile before committing. Fixing a few typos here.

2007-10-13 15:51  durk

	* simgear/: bucket/newbucket.cxx, environment/metar.cxx,
	  io/tcp_client.cxx, props/props.cxx, screen/shader.cpp,
	  screen/ssgEntityArray.cxx, structure/exception.cxx,
	  structure/subsystem_mgr.cxx, structure/subsystem_mgr.hxx,
	  timing/sg_time.cxx: * Remove inspection of snprintf return value
	  when it's obvious that printed   values can never be longer than
	  the buffer size (leading to better   readable code). Otherwise,
	  make sure to check that return value is not >=   to the max
	  buffer size.	* Integrate "time elapsed" logging mechanism into
	  SGSubsystem base class   to allow for more flexible tracking of
	  timing errors.

2007-10-13 10:16  durk

	* simgear/: bucket/newbucket.cxx, environment/metar.cxx,
	  io/tcp_client.cxx, props/props.cxx, screen/RenderTexture.cpp,
	  screen/shader.cpp, screen/ssgEntityArray.cxx,
	  structure/exception.cxx, timing/sg_time.cxx, timing/sg_time.hxx:
	  Error checking: * Replace sprintf by snprintf and check for
	  overflows.  * Fix a tiny memory leak RenderTexture, as reported
	  by valgrind.

2007-10-13 00:46  timoore

	* simgear/scene/model/model.cxx: Add ability to override existing
	  model files with .osg files.

	  This enables off-line optimization of models and other special
	  effects.

2007-10-13 00:46  timoore

	* simgear/scene/model/model.cxx: Manage OSG object cache explicitly

	  Don't have Registry::ReadNodeImplementation store its results in
	  the object cache; instead store the optimized model in the cache.

2007-10-10 14:45  mfranz

	* simgear/props/: props_io.cxx: better standard compliance: allow
	  empty top level tags (<PropertyList>)

2007-10-04 22:53  timoore

	* simgear/scene/sky/: cloud.cxx, cloud.hxx: Don't reset the random
	  texture base when rebuilding a cloud layer This fix removes
	  obnoxious visuals (texture jumping) when a cloud layer is moved
	  due to a metar update or, more significantly, when switching from
	  metar to a scenario. Also, I switched to using a TexMat to
	  displace the cloud texture in order to avoid writing the texture
	  array every frame.

2007-10-02 23:43  timoore

	* simgear/scene/sky/cloud.cxx: Order the cloud layers properly
	  using OSG RenderBin

2007-09-30 21:51  timoore

	* simgear/scene/tgdb/SGOceanTile.cxx: ocean state set in
	  osg::Geometry

	  Put the ocean tile state set in osg::Geometry, not the
	  osg::Geode, so that is readily available during intersection
	  testing and can be used to find the corresponding SGMaterial.

	  Problem reported by grtux (gh.robin@laposte.net)

2007-09-30 13:01  durk

	* simgear/structure/: subsystem_mgr.cxx, subsystem_mgr.hxx: Add
	  timing debugging code.

2007-09-23 13:37  durk

	* simgear/structure/: subsystem_mgr.cxx, subsystem_mgr.hxx:
	  Modified version of Frederic Bouvier's subsystem timing profiler.

2007-09-06 00:12  timoore

	* simgear/scene/model/SGMaterialAnimation.cxx: Fix material
	  animations with only a <texture-prop>

	  On 8/31/07, K. Hoercher <wbhoer@gmail.com> wrote:
	  > > Some notes:
	  > > - I found that in order to make the example from
	  model-howto.html work
	  > > ( starting at "To make a texture replaceable at runtime") one
	  has to
	  > > specify a valid (i.e. loadable) <texture>  in the material
	  animation.

	  The cause seems to be the condition in SGMaterialAnimation.cxx
	  l.277 ignoring any texture update by the UpdateCallback (only
	  there <texture-prop> is looked at)  without an already existing
	  stateSet.  That in turn will not be created with a <texture-prop>
	  alone l. 379ff.

	  Unless I overlooked some compelling reason contradicting, I'd
	  like to suggest allowing for a stateSet to be created for those
	  situations too. I think that would match the behaviour of
	  animation.cxx (PRE_OSG_PLIB_20061029) and is imho the more
	  expected and also documented one.

2007-09-01 14:57  durk

	* configure.ac: Change "FlightGear" to "SimGear" of course.

2007-09-01 14:55  durk

	* Makefile.am, README.OSG, configure.ac: Added a check for
	  OpenSceneGraph and created some basic documentation.

2007-09-01 12:04  durk

	* configure.ac: Add separate check for openal and ALUT, as these
	  are now separate.

2007-09-01 11:43  durk

	* Makefile.am, README.plib, README.OpenAL: Documentation fixes:
	  Updated the contents of README.plib and README.OpenAL Also make
	  sure that these files are included in the release. This is
	  required, since ./configure refers to these files.

2007-08-12 23:03  timoore

	* simgear/: misc/texcoord.cxx, misc/texcoord.hxx,
	  scene/tgdb/SGOceanTile.cxx, scene/util/Makefile.am,
	  scene/util/VectorArrayAdapter.hxx: Add curvature to ocean tiles.

	  An apron around the tile hides cracks with coastal tiles.

	  The VectorArrayAdapter, which lives in the simgear namespace, is
	  a useful utility class for treating vectors as 2D arrays.

2007-08-12 23:02  timoore

	* simgear/scene/tgdb/SGOceanTile.cxx: Ocean tile detail work in
	  progress

2007-08-12 15:40  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2007-08-12 15:32  fredb

	* simgear/scene/model/SGTranslateTransform.cxx: Fix a typo

2007-08-07 07:26  frohlich

	* projects/VC7.1/SimGear.vcproj, simgear/math/Makefile.am,
	  simgear/math/SGGeoc.hxx, simgear/math/SGGeodesy.cxx,
	  simgear/math/SGGeodesy.hxx, simgear/math/polar3d.cxx,
	  simgear/math/polar3d.hxx, simgear/math/sg_geodesy.cxx,
	  simgear/math/sg_geodesy.hxx, simgear/math/sg_memory.h,
	  simgear/math/sg_types.hxx: Modified Files:
	  projects/VC7.1/SimGear.vcproj projects/VC8/SimGear.vcproj
	  simgear/math/Makefile.am simgear/math/SGGeoc.hxx
	  simgear/math/SGGeodesy.cxx simgear/math/SGGeodesy.hxx
	  simgear/math/polar3d.hxx simgear/math/sg_geodesy.hxx
	  simgear/math/sg_types.hxx Removed Files:
	  simgear/math/polar3d.cxx simgear/math/sg_geodesy.cxx
	  simgear/math/sg_memory.h:	  Remove sg_memory.h It is unused
	  anyway and should not be required	  in a c++ world. Move
	  distance course functions to the SG* type  system. Move the
	  implementation into SGGeodesy.cxx. Remove some of	 the old
	  Point3D Based sg* functions that are already unused.

2007-08-02 00:46  andy

	* simgear/nasal/: lib.c: Melchior discovered that call(call) would
	  crash due to a longstanding bug with argument parsing

2007-08-02 00:33  andy

	* simgear/nasal/: codegen.c: Fix crash in code generator for some
	  bad lvalue expressions

2007-07-31 22:57  andy

	* simgear/nasal/: naref.h: Add ppc64 to the list of supported
	  platforms based on testing by Tom Callaway at Red Hat

2007-07-31 08:39  timoore

	* simgear/scene/tgdb/SGOceanTile.cxx: Fix ocean texture scaling
	  problem.

2007-07-31 03:21  curt

	* simgear/scene/sky/: cloudfield.cxx, cloudfield.hxx: Remove an
	  extern SGSky *thesky reference that isn't used in the code
	  anyway.  The original code forced a dependency in SimGear back to
	  something that is defined globaly in FlightGear, not a great
	  strategy for a library with some "general purpose" intentions.

2007-07-31 03:19  curt

	* simgear/scene/sky/: cloud.cxx, cloud.hxx, cloudfield.cxx,
	  cloudfield.hxx, sky.cxx: cloudfield had an extern SGSky *thesky
	  reference that is defined in FlightGear.  It is really odd that
	  the code is structured this way, so I did some minor
	  modifications to the API to pass this data down in a more well
	  defined way.

2007-07-30 00:32  timoore

	* simgear/scene/: model/model.cxx, tgdb/Makefile.am,
	  tgdb/SGReaderWriterBTG.cxx, tgdb/SGReaderWriterBTG.hxx,
	  tgdb/SGReaderWriterBTGOptions.hxx, tgdb/userdata.cxx: OSG Reader
	  and Writer for BTG files

	  This is part of a somewhat long road towards terrain database
	  paging using OSG's database pager thread.

2007-07-27 21:27  frohlich

	* simgear/math/SGGeoc.hxx: Modified Files:
	  simgear/math/SGGeoc.hxx: Fix unit conversion problem

2007-07-24 00:00  timoore

	* Thanks: SimGear: Typo in Thanks file

	  Fix typo

	  Author: Hans Ulrich Niedermann <hun@n-dimensional.de> Committer:
	  Tim Moore <moore@redhat.com>

2007-07-23 23:45  timoore

	* configure.ac: SimGear: Properly print compilers in configure.ac

	  Print $CC and $CXX using the proper configure.ac mechanism

	  Author: Hans Ulrich Niedermann <hun@n-dimensional.de>
	  Signed-off-by: Tim Moore <timoore@redhat.com>

2007-07-23 00:37  timoore

	* simgear/: bucket/Makefile.am, io/Makefile.am, magvar/Makefile.am,
	  misc/Makefile.am, props/Makefile.am, route/Makefile.am,
	  screen/Makefile.am, serial/Makefile.am, sound/Makefile.am: Allow
	  parallel make ("make -j2") by giving make the opportunity to
	  determine dependencies.

	  As in subdirectory foo/bar, $(top_builddir)/foo/bar is defined to
	  be the current directory, this does not cause any regressions.

	  From Hans Ulrich Niedermann (hun@n-dimensional.de)

2007-07-22 22:06  timoore

	* simgear/scene/model/: SGOffsetTransform.cxx,
	  SGOffsetTransform.hxx, SGRotateTransform.cxx,
	  SGRotateTransform.hxx, SGScaleTransform.cxx,
	  SGScaleTransform.hxx, SGTranslateTransform.cxx,
	  SGTranslateTransform.hxx, placementtrans.cxx, placementtrans.hxx:
	  Support for reading and writing nodes in .osg files, plus some
	  new accessors.

2007-07-22 15:58  mfranz

	* simgear/sound/: sample_openal.cxx, sample_openal.hxx,
	  soundmgr_openal.cxx: coding style fixes

2007-07-22 15:50  mfranz

	* simgear/sound/: sample_openal.cxx, sample_openal.hxx,
	  soundmgr_openal.cxx, soundmgr_openal.hxx, xmlsound.cxx: Maik
	  JUSTUS: workaround for broken Doppler effect in OpenAL

	  mf: this patch is meant to be removed as soon as OpenAL got
	  fixed. (The	  OpenAL developers acknowleged the bug and
	  announced that it'll get     fixed.) For removal try	   $ cd
	  simgear/sound     $ cvs diff -rAFTER_OPENAL_DOPPLER_WORKAROUND
	  -rBEFORE_OPENAL_DOPPLER_WORKAROUND|patch

2007-07-22 15:33  mfranz

	* simgear/sound/: sample_openal.cxx, sample_openal.hxx,
	  soundmgr_openal.cxx, xmlsound.cxx: Maik JUSTUS: Doppler fixes
	  (add option to turn off Doppler for sounds that
	  shouldn't be affected -- marker beep, ATIS messages, etc.)

	  mf: this is the first part of the original patch. It is supposed
	  to contain	 fixes that are not caused by OpenAL bugs, and thus
	  aren't meant to be	 reverted later. The second part will
	  contain a temprary workaround for	OpenAL bugs. Unfortunately,
	  I had to do the split myself as the contributor     refused to do
	  it.

2007-07-17 16:52  mfranz

	* simgear/props/: props.cxx: - close loophole through which one
	  could sneak in illegal property names   containing slashes,
	  colons and all sorts of evil characters. In Nasal   this could be
	  done via props.globals.getChild("1!@#$//[]{}", 0, 1).setValue(0);
	  The cause is that getChild() hands the given name directly over
	  to an   alternative SGPropertyNode ("convenience") constructor
	  which sets the   name without any checks.  - unify exception
	  messages: first character is lower case

2007-07-12 12:43  mfranz

	* simgear/scene/model/shadanim.cxx: allocate W*H*4 bytes (rather
	  than W*H*3), as it turned out that glGetTexImage() returns that
	  much for the default red/white chequer texture, which is used
	  when the requested texture couldn't be found.  This could be a
	  bug in the implementation (nvidia/100.14.11/Linux x86) or be
	  normal for compressed textures
	  (GL_COMPRESSED_RGBA_S3TC_DXT5_EXT).  The OSG developers aren't
	  sure about their sizes either (see comment in src/osg/Image.cpp,
	  revision 7067: computePixelSizeInBits()).

	  for the 2x2 RGB red/white chequer texture:

		0 1 2 3 4 5 6 7 8 9 a b c d e f
	    IN: ff0000ffffffffffffff0000	  (see
	  src/ssg/ssgLoadTexture)
	   OUT: f70000ffffff....fffffff70000....

	  where the positions marked with a dot remained untouched.

2007-07-12 01:39  mfranz

	* simgear/scene/model/: model.cxx, model.hxx: reset texture path
	  after loading sub-models, which may have changed it

2007-07-08 10:43  frohlich

	* simgear/route/route.hxx: Modified Files:
	  simgear/route/route.hxx: Remove unused include.

2007-07-08 10:43  frohlich

	* simgear/route/: waypoint.cxx, waypoint.hxx: Modified Files:
	  simgear/route/waypoint.hxx simgear/route/waypoint.cxx: Use const
		refs where possible.

2007-07-07 20:50  mfranz

	* simgear/sound/: sample_openal.cxx, xmlsound.cxx: change sign &
	  initialize direction (this was in a later patch that I had
	  missed)

2007-07-07 20:37  mfranz

	* simgear/sound/: sample_openal.cxx, sample_openal.hxx,
	  soundmgr_openal.cxx, soundmgr_openal.hxx, xmlsound.cxx: Maik
	  JUSTUS:

	  "[...] switches of the Doppler calculation of OpenAL and adds a
	  own Doppler calculation."

	  mf: necessary because OpenAL Doppler on Windows is broken, which
	  the	  openal developers acknowledge. The source revisions
	  before and after     the patch was applied are tagged with
	  BEFORE_OPENAL_WORKAROUND and	   AFTER_OPENAL_WORKAROUND, so that
	  one can easier find and remove     the changes if required
	  (which is quite unlikely. :-)

2007-07-02 22:06  mfranz

	* simgear/ephemeris/stardata.cxx: nope, "return false" is better
	  here, sorry

2007-07-02 22:02  mfranz

	* simgear/ephemeris/stardata.cxx: s/exit(.*)/throw/  .. again
	  leaving the SG_LOG in until I know why exceptions dont' work
	  through static sg libs

2007-07-02 21:57  mfranz

	* simgear/scene/tgdb/leaf.cxx: replace exit() by throw. Leaving the
	  SG_LOG message in, because I observed unexpected problems with
	  throwing exceptions from sg.	:-/

2007-07-02 17:42  mfranz

	* simgear/timing/: lowleveltime.cxx, timezone.cxx: replace exit()
	  by throw sg_exception(). Of course, we have to be aware that
	  interdependencies between sg libs are generally unwelcome, but
	  sg_exception is a rather basic part, and it's already used by
	  xml, props, scene, sound and, of course, structure. Since props
	  and xml are core libs, we can assume that sg_exceptions are
	  available.  (OK'ed by Curt)

2007-07-02 14:55  mfranz

	* simgear/debug/logstream.hxx: add SG_ORIGIN macro that expands to
	  a string  __FILE__":"__LINE__ Note that __LINE__ is a number and
	  can't be directly used in string context, which makes the macro
	  worthwhile.  (IMHO :-)

2007-07-02 14:55  mfranz

	* simgear/debug/logstream.hxx: add SG_ORIGIN macro that expands to
	  a string  __FILE__":"__LINE__ Note that __LINE__ is a number and
	  can't be directly used in string context, which makes the macro
	  worthwhile. (IMHO :-)

2007-06-30 00:45  mfranz

	* simgear/environment/: visual_enviro.cxx, visual_enviro.hxx: back
	  out last changes (radar patch)

2007-06-29 12:46  mfranz

	* simgear/xml/: easyxml.cxx, testEasyXML.cxx: easyxml.cxx: add
	  missing endXML visitor call testEasyXML.cxx: beef it up

2007-06-25 17:29  mfranz

	* simgear/environment/: visual_enviro.cxx, visual_enviro.hxx:
	  revert last change (part of the radar patch). It changed the
	  interface for no good reason and didn't make that much sense for
	  the general case.  (It had added a flag with the meaning
	  "this-cloud-is-an-aircraft". sg isn't only used for fgfs. :-)

2007-06-24 10:09  mfranz

	* simgear/environment/: visual_enviro.cxx, visual_enviro.hxx:
	  Vivian MEAZZA: add support for aircraft radar signatures

2007-06-23 23:55  mfranz

	* simgear/environment/: visual_enviro.cxx, visual_enviro.hxx:
	  Vivian MEAZZA: add aircraft signature support to weather radar

2007-06-23 18:48  mfranz

	* simgear/sound/: xmlsound.cxx: don't only complain that the volume
	  is larger than 1.0, but say how much it actually is

2007-06-21 23:46  mfranz

	* simgear/sound/: sample_openal.cxx, xmlsound.cxx: Maik JUSTUS:
	  fix/implement directional sound

2007-06-19 20:22  mfranz

	* simgear/props/: props.cxx: d'oh ... beautify the TRACE message
	  that we actually see!  :-}

2007-06-19 20:10  mfranz

	* simgear/props/: props.cxx: beautify TRACE message

2007-06-17 23:01  mfranz

	* simgear/scene/model/: animation.cxx: sooner than planned: fix
	  "scale" animation offsets (1 -> 0)

2007-06-16 18:14  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2007-06-16 18:13  fredb

	* simgear/scene/tgdb/SGDirectionalLightBin.hxx: MSVC 7 compilation

2007-06-14 22:20  mfranz

	* simgear/screen/: screen-dump.cxx: Nick WARNE: add file name to
	  screenshot info line

2007-06-11 18:09  mfranz

	* simgear/props/: props.cxx: advance tracing messages from SG_INFO
	  to SG_ALERT. If a developer has demanded tracing, then he
	  shouldn't get these important messages buried in thousands of
	  lines of meaningless bulk.

2007-06-09 20:36  mfranz

	* simgear/environment/: metar.cxx: - allow for (rather unusual)
	  ////// cloud groups - fix potential use of uninitialized memory:
	  dew

2007-06-08 08:50  frohlich

	* simgear/scene/: material/mat.cxx, material/mat.hxx,
	  util/SGSceneFeatures.cxx, util/SGSceneFeatures.hxx: Modified
	  Files:       simgear/scene/material/mat.cxx
	  simgear/scene/material/mat.hxx
	  simgear/scene/util/SGSceneFeatures.cxx
	  simgear/scene/util/SGSceneFeatures.hxx:	  Olaf Flebbe: Make
	  use of SGSceneFeatues for anisotropic filtering,	clean up.

2007-06-08 08:40  frohlich

	* simgear/scene/tgdb/leaf.cxx: Removed Files:
	  simgear/scene/tgdb/leaf.cxx: Now obsolete but not yet removed.

2007-06-03 20:28  frohlich

	* simgear/scene/tgdb/SGOceanTile.cxx: Modified Files:
	  scene/tgdb/SGOceanTile.cxx: add missing transform for the ocean
		tile.

2007-06-03 20:21  frohlich

	* simgear/scene/: model/model.cxx, util/SGSceneFeatures.cxx,
	  util/SGSceneFeatures.hxx: Modified Files:
	  simgear/scene/model/model.cxx
	  simgear/scene/util/SGSceneFeatures.cxx
	  simgear/scene/util/SGSceneFeatures.hxx:	  Make sure
	  textures are shared. Do not rely on a graphics	context to
	  be available on model loading.

2007-05-31 00:49  andy

	* simgear/nasal/: code.c, code.h, data.h, lib.c, misc.c, nasal.h:
	  Sync with Nasal upstream.  Mostly fixes to naContinue(), which
	  FlightGear doesn't use.  Also includes a performance fix for the
	  call() builtin that should help Melchior, who was measuring lower
	  performance for the props.Node() interface than the
	  getprop/setprop API.

2007-05-30 15:07  frohlich

	* simgear/scene/model/SGMaterialAnimation.cxx: Modified Files:
	  simgear/scene/model/SGMaterialAnimation.cxx:	  Olaf Flebbe: Use
	  brakets around bitwise operations.	 Greetings from LinuxTag,
	  Berlin ... :)

2007-05-30 14:34  curt

	* simgear/bucket/newbucket.hxx: I guess we aren't using explicit
	  destructors here.

2007-05-29 21:38  curt

	* simgear/bucket/newbucket.hxx: Make an explicit destructor so the
	  compiler doesn't get confused about non matching exception types
	  with the implicitely defined destructor.

2007-05-28 09:13  frohlich

	* simgear/scene/model/: Makefile.am, SGRotateTransform.cxx,
	  SGRotateTransform.hxx, SGScaleTransform.cxx,
	  SGScaleTransform.hxx, SGTranslateTransform.cxx,
	  SGTranslateTransform.hxx, animation.cxx, animation.hxx: Modified
	  Files:	simgear/scene/model/Makefile.am
	  simgear/scene/model/animation.cxx
	  simgear/scene/model/animation.hxx Added Files:
	  simgear/scene/model/SGRotateTransform.cxx
	  simgear/scene/model/SGRotateTransform.hxx
	  simgear/scene/model/SGScaleTransform.cxx
	  simgear/scene/model/SGScaleTransform.hxx
	  simgear/scene/model/SGTranslateTransform.cxx
	  simgear/scene/model/SGTranslateTransform.hxx:   Factor out some
	  useful classes.

2007-05-28 07:13  frohlich

	* simgear/scene/material/: mat.cxx, mat.hxx: Modified Files:
	  simgear/scene/material/mat.cxx simgear/scene/material/mat.hxx:
	  Olaf Flebbe: Improoved texture filtering.

2007-05-28 07:06  frohlich

	* simgear/structure/SGAtomic.hxx: Modified Files:
	  SGAtomic.hxx: Also use atomic compiler intrinsics on SGI

2007-05-28 07:00  frohlich

	* simgear/: bucket/newbucket.cxx, bucket/newbucket.hxx,
	  io/decode_binobj.cxx, io/sg_binobj.cxx, io/sg_binobj.hxx,
	  math/SGVec2.hxx, math/SGVec3.hxx, math/SGVec4.hxx,
	  scene/material/mat.hxx, scene/material/matlib.cxx,
	  scene/material/matlib.hxx, scene/model/Makefile.am,
	  scene/model/SGOffsetTransform.cxx,
	  scene/model/SGOffsetTransform.hxx, scene/tgdb/Makefile.am,
	  scene/tgdb/SGDirectionalLightBin.hxx, scene/tgdb/SGLightBin.hxx,
	  scene/tgdb/SGOceanTile.cxx, scene/tgdb/SGOceanTile.hxx,
	  scene/tgdb/SGTexturedTriangleBin.hxx,
	  scene/tgdb/SGTriangleBin.hxx, scene/tgdb/SGVasiDrawable.cxx,
	  scene/tgdb/SGVasiDrawable.hxx, scene/tgdb/SGVertexArrayBin.hxx,
	  scene/tgdb/leaf.hxx, scene/tgdb/obj.cxx, scene/tgdb/obj.hxx,
	  scene/tgdb/pt_lights.cxx, scene/tgdb/pt_lights.hxx,
	  scene/tgdb/vasi.hxx, scene/util/Makefile.am,
	  scene/util/SGEnlargeBoundingBox.cxx,
	  scene/util/SGEnlargeBoundingBox.hxx, scene/util/SGNodeMasks.hxx,
	  scene/util/SGSceneFeatures.cxx, scene/util/SGSceneFeatures.hxx,
	  scene/util/SGTextureStateAttributeVisitor.cxx: Modified Files:
	  simgear/bucket/newbucket.cxx simgear/bucket/newbucket.hxx
	  simgear/io/decode_binobj.cxx simgear/io/sg_binobj.cxx
	  simgear/io/sg_binobj.hxx simgear/math/SGVec2.hxx
	  simgear/math/SGVec3.hxx simgear/math/SGVec4.hxx
	  simgear/scene/material/mat.hxx  simgear/scene/material/matlib.cxx
		simgear/scene/material/matlib.hxx
	  simgear/scene/model/Makefile.am simgear/scene/tgdb/Makefile.am
	  simgear/scene/tgdb/obj.cxx simgear/scene/tgdb/obj.hxx
	  simgear/scene/tgdb/pt_lights.cxx
	  simgear/scene/tgdb/pt_lights.hxx
	  simgear/scene/util/Makefile.am
	  simgear/scene/util/SGNodeMasks.hxx
	  simgear/scene/util/SGTextureStateAttributeVisitor.cxx Added
	  Files:      simgear/scene/model/SGOffsetTransform.cxx
	  simgear/scene/model/SGOffsetTransform.hxx
	  simgear/scene/tgdb/SGDirectionalLightBin.hxx
	  simgear/scene/tgdb/SGLightBin.hxx
	  simgear/scene/tgdb/SGOceanTile.cxx
	  simgear/scene/tgdb/SGOceanTile.hxx
	  simgear/scene/tgdb/SGTexturedTriangleBin.hxx
	  simgear/scene/tgdb/SGTriangleBin.hxx
	  simgear/scene/tgdb/SGVasiDrawable.cxx
	  simgear/scene/tgdb/SGVasiDrawable.hxx
	  simgear/scene/tgdb/SGVertexArrayBin.hxx
	  simgear/scene/util/SGEnlargeBoundingBox.cxx
	  simgear/scene/util/SGEnlargeBoundingBox.hxx
	  simgear/scene/util/SGSceneFeatures.cxx
	  simgear/scene/util/SGSceneFeatures.hxx Removed Files:
	  simgear/scene/tgdb/leaf.hxx simgear/scene/tgdb/vasi.hxx:
	  Reorganize tile loaders.	  Build bigger leafs for the tiles.
		Move runway light colors into materials.xml.	Split out
	  classes that might be useful at other places. 	Avoid
	  static storage on binobject loading.

2007-05-25 17:49  andy

	* simgear/nasal/naref.h: Sync with trunk

2007-05-25 17:49  andy

	* simgear/nasal/naref.h: GCC on ppc linux uses a different
	  architecture symbol than the same compiler on OS X

2007-05-18 09:29  frohlich

	* simgear/math/SGVec3.hxx: Modified Files:	SGVec3.hxx: Fix a
	  problem in perpendicular triangle computation.	Solves
	  problem with invalid triangles in ground picking ...

2007-05-18 06:46  frohlich

	* simgear/math/: SGVec2.hxx, SGVec3.hxx, SGVec4.hxx, point3d.hxx:
	  Modified Files:	SGVec2.hxx SGVec3.hxx SGVec4.hxx
	  point3d.hxx: Provide ordering  relations for use with std::less
	  in tree bases std:: containers.

2007-05-16 18:08  curt

	* simgear/sound/: openal_test1.cxx: Fix a compiler warning.

2007-05-16 18:06  curt

	* simgear/screen/: RenderTexture.cpp: Fix various compiler
	  warnings.

2007-05-16 00:28  mfranz

	* Thanks: Tim Moore

2007-05-16 00:02  mfranz

	* Thanks: add Mathias and Maik (to make it look less selfish that I
	  add myself :-) I'm sure I forgot a lot of people, but it's a
	  start.

2007-05-14 19:55  curt

	* Doxyfile, Makefile.am, NEWS, SimGear.dsp, configure.ac: Updates
	  for impending plib release.

2007-05-13 13:52  mfranz

	* simgear/scene/material/: mat.cxx, mat.hxx:
	  s/resistence/resistance/

2007-05-08 08:11  frohlich

	* simgear/: bucket/newbucket.hxx, scene/material/mat.cxx,
	  scene/material/matlib.cxx, scene/material/matlib.hxx,
	  scene/model/location.cxx, scene/tgdb/apt_signs.cxx,
	  scene/tgdb/leaf.cxx, scene/tgdb/leaf.hxx, scene/tgdb/obj.cxx,
	  scene/tgdb/obj.hxx, scene/util/SGUpdateVisitor.hxx: Modified
	  Files:   simgear/bucket/newbucket.hxx
	  simgear/scene/material/mat.cxx
	  simgear/scene/material/matlib.cxx
	  simgear/scene/material/matlib.hxx
	  simgear/scene/model/location.cxx
	  simgear/scene/tgdb/apt_signs.cxx simgear/scene/tgdb/leaf.cxx
	  simgear/scene/tgdb/leaf.hxx simgear/scene/tgdb/obj.cxx
	  simgear/scene/tgdb/obj.hxx
	  simgear/scene/util/SGUpdateVisitor.hxx: Reorganize scenegraph to
		simplify top level structure.

2007-05-07 16:03  mfranz

	* simgear/props/: props.hxx: Add method to return the number of
	  attached listeners. Listeners have become a much more important
	  feature than they were two years or something ago, and it's
	  helpful for debugging and exploration to get this important node
	  property shown in property tree dumps or in the property browser
	  (verbose mode).

2007-05-06 19:33  mfranz

	* simgear/props/: props_io.cxx: - fix bug where a property tree
	  saved with writeProperties() and read back   in with
	  readProperties() would not look the same, because element indices
	    of '0' were even dropped when a node has a "secret" value *and*
	  children

	  - introduce "omit-node" modifier attribute for the "include"
	  attribute.	This inserts the given file in place of the
	  including node, while the    node is dropped. This is desirable
	  for multiple includes (which can't	be done by multiply using
	  the "include" attribute, as this isn't valid	  XML spec syntax)

2007-05-05 13:16  mfranz

	* simgear/scene/model/SGMaterialAnimation.cxx: better warning text
	  for <global> in material animations

2007-05-05 11:15  frohlich

	* simgear/scene/model/: SGMaterialAnimation.cxx,
	  SGMaterialAnimation.hxx: Modified Files:
	  SGMaterialAnimation.cxx SGMaterialAnimation.hxx:	  Tim
	  Moore: overhaul the material animation.

2007-05-03 21:46  frohlich

	* simgear/scene/model/: animation.hxx, shadanim.cxx: Modified
	  Files:    simgear/scene/model/animation.hxx
	  simgear/scene/model/shadanim.cxx: Tim Moore: the crom shader.

2007-05-03 00:34  mfranz

	* simgear/nasal/lib.c: Andy ROSS: "Fix crash when sorting
	  newly-allocated empty vectors" (merge from HEAD)

2007-05-03 00:29  andy

	* simgear/nasal/lib.c: Empty vectors work much better as the result
	  of sorting an empty array than nil does...

2007-05-03 00:24  andy

	* simgear/nasal/lib.c: Fix crash when sorting newly-allocated empty
	  vectors

2007-04-29 01:13  mfranz

	* simgear/screen/: texture.cxx: don't rely on a compressed scanline
	  being properly closed (GIMP apparently generates corrupted files)

2007-04-28 14:30  mfranz

	* simgear/screen/: texture.cxx: SGTexture::read_rgb(a)_texture: -
	  support greyscale and greyscale/alpha format - cleanup & make it
	  faster

2007-04-21 14:13  frohlich

	* simgear/scene/material/: mat.cxx, mat.hxx: Modified Files:
	  simgear/scene/material/mat.cxx simgear/scene/material/mat.hxx:
	  Olaf Flebbe: make anisotroüpic filtering configurable.

2007-04-06 22:35  andy

	* simgear/nasal/codegen.c: sync with trunk

2007-04-06 22:35  andy

	* simgear/nasal/codegen.c: Melchior found a bug with negative
	  values in default function arguments

2007-04-06 16:52  andy

	* simgear/nasal/: lib.c: sync with Nasal CVS (added a sort()
	  builtin)

2007-04-06 11:54  mfranz

	* simgear/route/: route.cxx, route.hxx, routetest.cxx: Csaba
	  HALASZ: - fix bug that messed up leg distances after inserting
	  and deleting waypoints   not at the end of the route - move
	  add_waypoint() and delete_waypoint from hxx to cxx - beef up
	  routetest

2007-04-03 13:35  fredb

	* projects/VC7.1/SimGear.vcproj: Update MSVC 7.1 projects

2007-04-03 13:25  fredb

	* simgear/scene/model/model.cxx: Avoid potential memory leak
	  problems when exceptions are thrown by using reference objects

2007-04-02 23:32  andy

	* simgear/nasal/naref.h: sync with trunk

2007-04-02 23:32  andy

	* simgear/nasal/naref.h: Fix typo in _M_IX86

2007-04-02 20:28  andy

	* simgear/nasal/lib.c: sync with trunk

2007-04-02 20:28  andy

	* simgear/nasal/lib.c: Rewrite substr() to properly clamp its
	  argument ranges and handle negative start arguments as
	  offset-from-end values

2007-04-02 19:34  andy

	* simgear/nasal/thread-win32.c: sync with trunk

2007-04-02 19:34  andy

	* simgear/nasal/thread-win32.c: Add missing free functions for
	  win32

2007-04-02 18:15  andy

	* simgear/nasal/: lib.c, mathlib.c: sync with trunk

2007-04-02 18:14  andy

	* simgear/nasal/: lib.c, mathlib.c: Use __FUNCTION__, which works
	  on gcc and MSVC 7/8, instead of __func__, which while
	  standardized works only with gcc.  I'll wait for bug reports from
	  VC6 before bothering with fallback code...

2007-03-31 14:23  mfranz

	* simgear/math/: interpolater.cxx, interpolater.hxx: merge from
	  HEAD (required for John DENKER's altimeter changes):

	  Mathias FROEHLICH: - lookup by using a std::map.  - Enable
	  reading tables directly from our dom like tree.

2007-03-30 18:59  andy

	* simgear/nasal/mathlib.c: sync with trunk

2007-03-30 18:42  andy

	* simgear/nasal/mathlib.c: Melchior points out that NaN/Inf
	  behavior is not platform-independent.  So toss a runtime error
	  ("floating point error") when any of the math library functions
	  produce a non-finite value.  Note that these are not the only
	  locations that can do that (simply dividing by zero will produce
	  an Inf), but it's still proper behavior.

2007-03-29 20:52  andy

	* simgear/nasal/: Makefile.am, bitslib.c, code.c, code.h,
	  codegen.c, data.h, gc.c, hash.c, iolib.c, lex.c, lib.c,
	  mathlib.c, misc.c, naref.h, nasal.h, parse.c, parse.h, string.c,
	  thread-posix.c, thread-win32.c, threadlib.c, utf8lib.c, vector.c:
	  sync with trunk

2007-03-29 20:50  andy

	* simgear/nasal/: Makefile.am, bitslib.c, code.c, code.h,
	  codegen.c, data.h, gc.c, hash.c, iolib.c, lex.c, lib.c,
	  mathlib.c, misc.c, naref.h, nasal.h, parse.c, parse.h, string.c,
	  thread-posix.c, thread-win32.c, threadlib.c, utf8lib.c, vector.c:
	  Sync with Nasal CVS (soon to become Nasal 1.1).  Notable new
	  features:

	  Nasal now supports calls to "subcontexts" and errors can be
	  thrown across them, leading to complete stack traces when call()
	  is used, instead of the truncated ones we now see.

	  Vectors can now be concatenated using the ~ operator that used to
	  work only for strings.

	  Better runtime error messages in general due to a fancier
	  naRuntimeError() implementation

	  A big data size shrink on 64 bit systems; the size of a naRef
	  dropped by a factor of two.

	  "Braceless code blocks" have been added to the parser, so you can
	  write expressions like "if(a) b();" just like in C.  Note that
	  there's still a parser bug in there that fails when you nest a
	  braced block within a braceless one.

	  Character constants that appear in Nasal source code can now be
	  literal multibyte UTF8 characters (this was always supported for
	  string literals, but character constants were forced to be a
	  single byte).

	  New modules: "bits", "thread", "utf8" and (gulp...) "io".  The
	  bits library might be useful to FlightGear, the utf8 one probably
	  not as Plib does not support wide character text rendering.  The
	  thread library will work fine for spawning threads to do Nasal
	  stuff, but obviously contact with the rest of FlightGear must be
	  hand-synchronized as FlightGear isn't threadsafe.  The io library
	  is no doubt the most useful, as it exposes all the basic stdio.h
	  facilities; it's also frighteningly dangerous when combined with
	  networked code...

2007-03-29 20:50  andy

	* simgear/nasal/naref.h: file naref.h was added on branch
	  PRE_OSG_PLIB_20061029 on 2007-03-29 18:52:33 +0000

2007-03-29 20:50  andy

	* simgear/nasal/threadlib.c: file threadlib.c was added on branch
	  PRE_OSG_PLIB_20061029 on 2007-03-29 18:52:34 +0000

2007-03-29 20:50  andy

	* simgear/nasal/utf8lib.c: file utf8lib.c was added on branch
	  PRE_OSG_PLIB_20061029 on 2007-03-29 18:52:34 +0000

2007-02-17 11:50  mfranz

	* simgear/props/: props.cxx, props.hxx: Csaba HALASZ: when a
	  path_cache ceases to exist, unregister from all nodes
	    that had been told that this node is linking to them

	  mf: remove old erase-by-key methods; they are now unused and
	  always were	  problematic, so they won't be used in the future
	  either

2007-02-16 16:32  mfranz

	* simgear/props/: props.cxx, props.hxx: - don't leak node in both
	  hash_table::bucket::erase() - remove bad code from
	  hash_table::bucket::erase(const char *) that was   introduced
	  with the last patch. (This function isn't used anywhere and	is
	  scheduled for removal. Leaving it in for now as a reference.) -
	  remove leaves first in remove_from_path_caches()

	  - cosmetics: indentation, one trailing space, variable name
	  change, comment   (Sorrry for mixing that with actual code, but I
	  think it's easy to see.)

2007-02-15 00:14  andy

	* simgear/structure/SGBinding.cxx: Don't crash when destroying a
	  SGBinding object if the property node it was loaded from lacks a
	  parent.  Patch from ndim on IRC

2007-02-11 12:05  mfranz

	* simgear/props/: props.cxx, props.hxx: Maik JUSTUS:

	  """ - make every node maintain list of properties that link to it
	  - add functions to erase node by address from hash bucket/entry
	  in their   path caches, so that all references can be removed -
	  if a node is removed, it (and all children, grandchildren, ...)
	  calls   all linked properties to remove them from their
	  path-cache

	  This fixes problems with the aerotow over multiplayer and maybe
	  some other problems, where nodes are queried by name.  """

2007-02-07 20:21  andy

	* simgear/scene/model/animation.cxx: "bias" argument to texture
	  animations by Ron Jensen

2007-02-05 22:41  mfranz

	* simgear/io/: sg_binobj.cxx: fix error message

2007-02-02 19:16  frohlich

	* simgear/ephemeris/: ephemeris.cxx, ephemeris.hxx, stardata.cxx:
	  Modified Files:	ephemeris.cxx ephemeris.hxx stardata.cxx:
	  one must not do changes just before checkin,    one most not
	  do changes just before checkin,    [ last message repeated 100
	  times ]

2007-02-02 19:09  frohlich

	* simgear/ephemeris/: ephemeris.cxx, ephemeris.hxx, stardata.cxx,
	  stardata.hxx: Modified Files: 	ephemeris.cxx ephemeris.hxx
	  stardata.cxx stardata.hxx: Throw out sg.h

2007-02-02 08:00  frohlich

	* simgear/scene/: model/animation.cxx, util/SGNodeMasks.hxx:
	  Modified Files:    simgear/scene/util/SGNodeMasks.hxx
	  simgear/scene/model/animation.cxx:	  More finegrained cull
	  masks

2007-01-30 21:12  frohlich

	* simgear/math/: SGIntersect.hxx, SGVec3.hxx, SGVec4.hxx: Modified
	  Files:       SGIntersect.hxx SGVec3.hxx SGVec4.hxx: Add
	  convinience methods

2007-01-29 09:19  fredb

	* simgear/scene/model/shadanim.cxx: restore 'double checked
	  locking'

2007-01-28 21:04  frohlich

	* simgear/scene/model/model.cxx: Modified Files:	model.cxx:
	  Better texture sharing, fix problem with rotation order

2007-01-28 21:03  frohlich

	* simgear/structure/SGAtomic.cxx: Modified Files:
	  simgear/structure/SGAtomic.cxx: Plug memory leak originating from
		wrong atomic fallback operations.

2007-01-26 21:30  fredb

	* simgear/scene/model/shadanim.cxx: Ensure a reference on the cube
	  map texture is always held

2007-01-26 09:02  fredb

	* simgear/scene/model/: animation.cxx, animation.hxx, shadanim.cxx:
	  Fix a memory leak and behave more nicely on shared pointers

2007-01-23 11:07  ehofman

	* simgear/sound/: Makefile.am, openal_test1.cxx, openal_test2.cxx:
	  [no log message]

2007-01-21 12:15  fredb

	* simgear/scene/model/animation.cxx: Better fix for the constant
	  scale factor problem

2007-01-21 11:33  fredb

	* simgear/scene/model/animation.cxx: Support constant scaling
	  factor

2007-01-17 18:12  mfranz

	* simgear/misc/sg_path.cxx: Frederic BOUVIER: "Don't segfault when
	  dir is empty"

2007-01-16 22:34  fredb

	* simgear/misc/sg_path.cxx: Don't segfault when dir is empty

2007-01-15 20:01  frohlich

	* simgear/scene/model/animation.cxx: Modified Files:
	  animation.cxx: Add a visible configuration option to the pick
	  animation.

2007-01-12 22:24  mfranz

	* simgear/props/: props_io.cxx: writePropeties(): create dir if
	  necessary

2007-01-09 22:58  fredb

	* projects/VC7.1/SimGear.vcproj,
	  simgear/scene/util/SGSceneUserData.cxx: Update MSVC 7.1 project
	  file and fix win32 compilation

2007-01-07 13:25  frohlich

	* simgear/scene/util/: SGSceneUserData.cxx, SGSceneUserData.hxx:
	  Modified Files:	 SGSceneUserData.hxx SGSceneUserData.cxx:
	  Remove default argument

2007-01-07 12:53  frohlich

	* simgear/scene/model/animation.cxx: Modified Files:
	  animation.cxx: Change the pick animation to better handle
	  different	mouse buttons.

2007-01-07 12:52  frohlich

	* simgear/scene/util/: Makefile.am, SGPickCallback.hxx,
	  SGSceneUserData.cxx, SGSceneUserData.hxx: Modified Files:
	  SGSceneUserData.hxx SGPickCallback.hxx Makefile.am Added Files:
		SGSceneUserData.cxx: Cleanup and replace the pick callback
	  with	       such a list.

2007-01-07 09:34  frohlich

	* simgear/scene/model/animation.cxx: Modified Files:
	  animation.cxx: Add a button argument to that animation.
	  The default is to accept any mouse button.

2007-01-06 18:01  fredb

	* simgear/Makefile.am: Add a prototype simgear_config.h for MSVC
	  7.1 and a rule to build it.

2007-01-06 17:52  fredb

	* projects/VC7.1/SimGear.vcproj, simgear/simgear_config.h-msvc71:
	  Add a prototype simgear_config.h for MSVC 7.1 and a rule to build
	  it.  At Olaf requests, add MSVC 8 specific symbols to remove
	  pedantic warnings

2007-01-06 17:47  fredb

	* Makefile.am: Remove redundant directory ( projects as a whole is
	  already there )

2007-01-06 16:08  frohlich

	* simgear/scene/sky/moon.cxx: Modified Files:	moon.cxx: The moo's
	  state like it was with plib

2007-01-06 15:45  fredb

	* SimGear.dsp: Refresh MSVC6 project file

2007-01-06 15:44  fredb

	* Makefile.am: Fix a typo

2007-01-04 23:24  fredb

	* projects/VC7.1/SimGear.vcproj: Add SGBinding.[ch]xx to the MSVC
	  7.1 project

2007-01-04 23:23  fredb

	* simgear/scene/model/animation.cxx: std::find is defined in
	  <algorithm>

2007-01-04 13:55  frohlich

	* simgear/scene/model/: animation.cxx, animation.hxx: Modified
	  Files:   Makefile.am animation.cxx animation.hxx: Add animation
	  to execute	   a command on scenery pick

2007-01-04 13:52  frohlich

	* simgear/scene/util/: Makefile.am, SGNodeMasks.hxx,
	  SGPickCallback.hxx, SGSceneUserData.hxx: Modified Files:
	  Makefile.am SGNodeMasks.hxx Added Files:
	  SGPickCallback.hxx SGSceneUserData.hxx: Preparations for generic
		scenery picking.

2007-01-04 13:51  frohlich

	* simgear/props/condition.hxx: Modified Files:	condition.hxx: Also
	  derive from SGReferenced

2007-01-04 13:47  frohlich

	* simgear/structure/: Makefile.am, SGBinding.cxx, SGBinding.hxx,
	  commands.cxx, commands.hxx: Modified Files:	 Makefile.am
	  commands.cxx commands.hxx Added Files:      SGBinding.cxx
	  SGBinding.hxx: Move FGBinding to SGBinding

2006-12-28 14:25  frohlich

	* simgear/math/SGIntersect.hxx: Modified Files:
	  SGIntersect.hxx: Make it compile with win32

2006-12-27 11:33  frohlich

	* simgear/scene/tgdb/obj.cxx: Modified Files:	obj.cxx: Some kind
	  of polygon offset for GL_POINTS.

2006-12-27 11:07  frohlich

	* simgear/structure/: Makefile.am, SGAtomic.cxx, SGAtomic.hxx,
	  SGReferenced.hxx: Modified Files:	   Makefile.am
	  SGReferenced.hxx Added Files:       SGAtomic.cxx SGAtomic.hxx:
	  Make the reference counts thread safe.

2006-12-27 10:23  frohlich

	* simgear/math/: Makefile.am, SGBox.hxx, SGGeometry.hxx,
	  SGGeometryFwd.hxx, SGGeometryTest.cxx, SGIntersect.hxx,
	  SGLineSegment.hxx, SGMathTest.cxx, SGPlane.hxx, SGQuat.hxx,
	  SGRay.hxx, SGSphere.hxx, SGTriangle.hxx, SGVec3.hxx: Modified
	  Files:       Makefile.am SGMathTest.cxx SGQuat.hxx SGVec3.hxx
	  Added Files:	 SGBox.hxx SGGeometry.hxx SGGeometryFwd.hxx
	  SGGeometryTest.cxx   SGIntersect.hxx SGLineSegment.hxx
	  SGPlane.hxx SGRay.hxx 	SGSphere.hxx SGTriangle.hxx:
	  Small updates to the vector code, new geometry and collision
	  classes for use with a bv tree to speed up collission tests.
	  Also included is a rought unit test for the collissions.

2006-12-23 13:15  ehofman

	* simgear/route/Makefile.am: Wether you like it or not, MispPro
	  needs these libraries referenced

2006-12-17 18:52  fredb

	* simgear/screen/jpgfactory.cxx: memcpy needs #include <string.h>

2006-12-16 18:29  fredb

	* simgear/screen/jpgfactory.cxx, simgear/screen/jpgfactory.hxx,
	  projects/VC7.1/SimGear.vcproj: Port jpgfactory to OSG

2006-12-16 14:12  fredb

	* projects/VC7.1/: .cvsignore, SimGear.sln, SimGear.vcproj: Project
	  files for MSVC 7.1 aka .NET 2003

2006-12-14 06:24  frohlich

	* simgear/math/SGVec3.hxx: Modified Files:
	  simgear/math/SGVec3.hxx: fix spelling

2006-12-08 13:22  frohlich

	* simgear/scene/sky/: bbcache.cxx, bbcache.hxx, cloudfield.cxx:
	  Modified Files:	  simgear/scene/sky/bbcache.cxx
	  simgear/scene/sky/bbcache.hxx
	  simgear/scene/sky/cloudfield.cxx

2006-12-08 13:17  frohlich

	* simgear/math/SGVec3.hxx: Modified Files:	SGVec3.hxx:
	  Generate any perpandicular vector to a given one.

2006-12-08 13:16  frohlich

	* simgear/math/point3d.hxx: Modified Files:	point3d.hxx: Add
	  explicit conversion functions to SGVec*

2006-12-05 07:14  frohlich

	* simgear/scene/model/animation.cxx: Modified Files:
	  simgear/scene/model/animation.cxx: Fix a problem of muliple
	  texturre transform not finding the correct configuration.

2006-12-05 06:43  frohlich

	* simgear/scene/model/animation.cxx: Return void instead of bool.

2006-12-03 18:44  frohlich

	* simgear/screen/extensions.hxx: Modified Files:
	  simgear/screen/extensions.hxx: Make it compile on macos

2006-12-03 18:27  frohlich

	* simgear/scene/material/mat.cxx: Modified Files:
	  simgear/scene/material/mat.cxx: Put solid scenery into the
	  opaque render bin

2006-12-03 18:02  frohlich

	* simgear/scene/util/SGNodeMasks.hxx: Modified Files:
	  simgear/scene/util/SGNodeMasks.hxx: Add pickable bit

2006-12-03 17:57  frohlich

	* simgear/scene/model/: Makefile.am, SGMaterialAnimation.cxx,
	  SGMaterialAnimation.hxx, animation.cxx, animation.hxx, model.cxx,
	  persparam.cxx, persparam.hxx, shadanim.cxx: Modified Files:
	  simgear/scene/model/Makefile.am
	  simgear/scene/model/animation.cxx
	  simgear/scene/model/animation.hxx
	  simgear/scene/model/model.cxx   simgear/scene/model/persparam.cxx
		simgear/scene/model/persparam.hxx
	  simgear/scene/model/shadanim.cxx Added Files:
	  simgear/scene/model/SGMaterialAnimation.cxx
	  simgear/scene/model/SGMaterialAnimation.hxx	  Big animation
	  overhaul. Improoves animation correctness.

2006-12-03 17:46  frohlich

	* simgear/scene/util/SGUpdateVisitor.hxx: Modified Files:
	  SGUpdateVisitor.hxx: Include light information.

2006-12-02 16:59  frohlich

	* simgear/math/SGMisc.hxx: Modified Files:	   SGMisc.hxx: Add
	  clip and periodic normalize functions.

2006-12-02 16:57  frohlich

	* simgear/math/: SGVec2.hxx, SGVec3.hxx, SGVec4.hxx: Modified
	  Files:    SGVec2.hxx SGVec3.hxx SGVec4.hxx: Add inf norm function

2006-12-02 16:56  frohlich

	* simgear/math/: interpolater.cxx, interpolater.hxx: Modified
	  Files:    interpolater.cxx interpolater.hxx: Enable reading
	  tables directly	from our dom like tree.

2006-11-27 18:11  frohlich

	* simgear/scene/sky/oursun.cxx: Modified Files:
	  simgear/scene/sky/oursun.cxx: Fix the 'sun has wrong size' bug.
		Thanks to Mark Akermann.

2006-11-21 19:44  frohlich

	* simgear/: math/interpolater.cxx, math/interpolater.hxx,
	  props/condition.cxx, props/condition.hxx,
	  scene/model/animation.cxx, scene/model/animation.hxx: Modified
	  Files:       simgear/math/interpolater.cxx
	  simgear/math/interpolater.hxx     simgear/props/condition.cxx
	  simgear/props/condition.hxx
	  simgear/scene/model/animation.cxx
	  simgear/scene/model/animation.hxx: Optimize interpolation table
		lookup by using a std::map.

2006-11-21 19:39  frohlich

	* simgear/math/: SGVec2.hxx, SGVec3.hxx, SGVec4.hxx: Modified
	  Files:    SGVec2.hxx SGVec3.hxx SGVec4.hxx: Implement min/max for
	  vectors

2006-11-20 19:19  frohlich

	* simgear/scene/model/model.cxx: Modified Files:	model.cxx:
	  Tweak model optimizations

2006-11-20 19:17  frohlich

	* simgear/scene/model/: placementtrans.cxx, placementtrans.hxx:
	  Modified Files:	  placementtrans.cxx placementtrans.hxx:
	  Make use of that view 	information in the update visitor

2006-11-20 19:15  frohlich

	* simgear/scene/util/SGUpdateVisitor.hxx: Modified Files:
	  SGUpdateVisitor.hxx: Store some view imformation in the
	  update visitor.

2006-11-18 19:58  fredb

	* simgear/screen/: RenderTexture.h: Mac fix from Ima Sudonim

2006-11-14 22:09  frohlich

	* simgear/scene/model/: animation.cxx, animation.hxx: Modified
	  Files:   animation.hxx animation.cxx: Improove
	  material/texture/blend animation

2006-11-12 11:32  frohlich

	* simgear/scene/model/: animation.cxx, animation.hxx: Modified
	  Files:   animation.cxx animation.hxx: Fix crash on A-10 load

2006-11-12 08:28  frohlich

	* simgear/scene/model/model.cxx: Modified Files:	model.cxx:
	  Leave it to osg when to do mipmapping.

2006-11-12 08:23  frohlich

	* simgear/scene/model/model.cxx: Modified Files:	model.cxx:
	  Reset the database path past the whole model is loaded

2006-11-12 08:22  frohlich

	* simgear/math/SGQuat.hxx: Modified Files:	SGQuat.hxx: Make
	  const method const

2006-11-10 06:30  frohlich

	* simgear/scene/: material/mat.cxx, material/matlib.cxx,
	  sky/cloud.cxx, sky/dome.cxx, sky/moon.cxx, sky/oursun.cxx,
	  sky/sphere.cxx, sky/stars.cxx, tgdb/apt_signs.cxx, tgdb/leaf.cxx,
	  tgdb/obj.cxx, tgdb/pt_lights.cxx, util/SGDebugDrawCallback.hxx:
	  Modified Files:   simgear/scene/material/mat.cxx
	  simgear/scene/material/matlib.cxx simgear/scene/sky/cloud.cxx
	  simgear/scene/sky/dome.cxx simgear/scene/sky/moon.cxx
	  simgear/scene/sky/oursun.cxx simgear/scene/sky/sphere.cxx
	  simgear/scene/sky/stars.cxx simgear/scene/tgdb/apt_signs.cxx
	  simgear/scene/tgdb/leaf.cxx simgear/scene/tgdb/leaf.hxx
	  simgear/scene/tgdb/obj.cxx simgear/scene/tgdb/pt_lights.cxx
	  simgear/scene/util/SGDebugDrawCallback.hxx
	  simgear/screen/Makefile.am: Use color arrays for every geode.
	  Just use osg::Material instead of osg::Material and the
	  associated	  mode.

2006-11-09 06:42  frohlich

	* simgear/scene/model/model.cxx: Modified Files:
	  scene/model/model.cxx: Next step in direction liveries

2006-11-07 22:31  fredb

	* simgear/math/SGQuat.hxx: copysign is already in compiler.h

2006-11-07 18:49  frohlich

	* simgear/screen/: extensions.cxx, extensions.hxx: Modified Files:
	  simgear/screen/extensions.cxx simgear/screen/extensions.hxx:
	  Avoid      the assumption that with glx-1.4 glXGetProcAddress is
	  available -	    use dlsym to get that function.

2006-11-07 08:22  fredb

	* simgear/scene/model/: custtrans.cxx, custtrans.hxx: This class is
	  for plib only

2006-11-07 07:40  frohlich

	* simgear/scene/material/mat.cxx: Modified Files:	mat.cxx:
	  Fix dark scenery problem.

2006-11-07 07:02  frohlich

	* simgear/Makefile.am: Modified Files:	simgear/Makefile.am: Make
	  'make distclean' work

2006-11-07 06:47  frohlich

	* simgear/scene/util/SGUpdateVisitor.hxx: Modified Files:
	  simgear/scene/util/SGUpdateVisitor.hxx: Only traverse active
	  children.

2006-11-07 06:46  frohlich

	* simgear/: scene/util/SGDebugDrawCallback.hxx, math/SGQuat.hxx:
	  Modified Files:	 simgear/scene/util/SGDebugDrawCallback.hxx
	  simgear/math/SGQuat.hxx: Olaf Flebbe: Make it compile on
	  some more	 win32 variants.

2006-11-06 22:59  fredb

	* simgear/scene/model/animation.cxx: Don't try to load textures
	  when no name is given

2006-11-03 19:08  fredb

	* simgear/math/SGMath.hxx: Attempt to fix the APIENTRY problem. It
	  looks like a problem in OSG, or a conflict between OSG and
	  plib/pui

2006-11-03 11:04  fredb

	* simgear/math/SGMath.hxx: For some reason I don't know yet, the
	  APIENTRY stuff in osg/GL is broken for some files. Include the
	  real windows.h until we find why.

2006-11-03 10:57  fredb

	* simgear/compiler.h: add copysign definition for MSVC

2006-11-02 18:40  fredb

	* simgear/scene/: model/placementtrans.cxx, sky/stars.cxx: Win32
	  compilation fix

2006-11-02 14:37  frohlich

	* simgear/math/SGMath.hxx: Modified Files:	SGMath.hxx: Attempt
	  to help IRIX builds

2006-11-01 22:25  frohlich

	* simgear/math/: Makefile.am, SGMath.hxx, SGMathFwd.hxx,
	  SGMatrix.hxx, SGQuat.hxx, SGVec2.hxx: Modified Files:
	  Makefile.am SGMath.hxx SGMathFwd.hxx SGMatrix.hxx SGQuat.hxx
	  Added Files:	     SGVec2.hxx      Improove the matrix functions.
	  Improove the quaterion functions.	   Add the 2d vector.

2006-11-01 22:24  mfranz

	* simgear/scene/util/.cvsignore: + .deps/

2006-10-31 07:26  frohlich

	* simgear/scene/model/: Makefile.am, animation.cxx, animation.hxx,
	  modellib.cxx, modellib.hxx, personality.cxx, personality.hxx:
	  Modified Files:	 simgear/scene/model/Makefile.am
	  simgear/scene/model/animation.cxx
	  simgear/scene/model/animation.hxx
	  simgear/scene/model/modellib.cxx
	  simgear/scene/model/modellib.hxx Removed Files:
	  simgear/scene/model/personality.cxx
	  simgear/scene/model/personality.hxx:	  Updates to the animation
	  system.	 Personality can be implemented easier now

2006-10-31 07:14  frohlich

	* simgear/scene/util/: Makefile.am, SGStateAttributeVisitor.cxx,
	  SGStateAttributeVisitor.hxx, SGTextureStateAttributeVisitor.cxx,
	  SGTextureStateAttributeVisitor.hxx: Modified Files:	Makefile.am
	  SGStateAttributeVisitor.hxx
	  SGTextureStateAttributeVisitor.hxx Added Files:
	  SGStateAttributeVisitor.cxx SGTextureStateAttributeVisitor.cxx:
		Move implementation into cxx files

2006-10-31 06:37  frohlich

	* simgear/math/SGQuat.hxx: Modified Files:
	  simgear/math/SGQuat.hxx: Initialize with zero not with null
	  pointer

2006-10-31 06:36  frohlich

	* simgear/screen/: extensions.cxx, extensions.hxx: Modified Files:
	  simgear/screen/extensions.cxx simgear/screen/extensions.hxx:
	  use glXGetProcAddress if approriate

2006-10-31 06:33  frohlich

	* simgear/timing/timestamp.hxx: Modified Files:
	  simgear/timing/timestamp.hxx: Remove reimplemented default
	  implementations

2006-10-30 20:56  frohlich

	* configure.ac: Modified Files: 	configure.ac: Add a
	  configure flag for osg

2006-10-29 21:08  mfranz

	* simgear/scene/util/.cvsignore: Makefile(.in)

2006-10-29 20:27  frohlich

	* configure.ac, simgear/environment/visual_enviro.cxx,
	  simgear/ephemeris/ephemeris.cxx, simgear/ephemeris/ephemeris.hxx,
	  simgear/ephemeris/stardata.cxx, simgear/ephemeris/stardata.hxx,
	  simgear/math/SGMatrix.hxx, simgear/math/SGQuat.hxx,
	  simgear/math/SGVec3.hxx, simgear/math/SGVec4.hxx,
	  simgear/scene/Makefile.am, simgear/scene/material/mat.cxx,
	  simgear/scene/material/mat.hxx,
	  simgear/scene/material/matlib.cxx,
	  simgear/scene/material/matlib.hxx,
	  simgear/scene/material/matmodel.cxx,
	  simgear/scene/material/matmodel.hxx,
	  simgear/scene/model/Makefile.am,
	  simgear/scene/model/animation.cxx,
	  simgear/scene/model/animation.hxx,
	  simgear/scene/model/custtrans.hxx, simgear/scene/model/model.cxx,
	  simgear/scene/model/model.hxx, simgear/scene/model/modellib.cxx,
	  simgear/scene/model/modellib.hxx,
	  simgear/scene/model/personality.cxx,
	  simgear/scene/model/personality.hxx,
	  simgear/scene/model/placement.cxx,
	  simgear/scene/model/placement.hxx,
	  simgear/scene/model/placementtrans.cxx,
	  simgear/scene/model/placementtrans.hxx,
	  simgear/scene/model/shadanim.cxx,
	  simgear/scene/model/shadowvolume.hxx,
	  simgear/scene/sky/cloud.cxx, simgear/scene/sky/cloud.hxx,
	  simgear/scene/sky/cloudfield.cxx, simgear/scene/sky/dome.cxx,
	  simgear/scene/sky/dome.hxx, simgear/scene/sky/moon.cxx,
	  simgear/scene/sky/moon.hxx, simgear/scene/sky/newcloud.cxx,
	  simgear/scene/sky/oursun.cxx, simgear/scene/sky/oursun.hxx,
	  simgear/scene/sky/sky.cxx, simgear/scene/sky/sky.hxx,
	  simgear/scene/sky/sphere.cxx, simgear/scene/sky/sphere.hxx,
	  simgear/scene/sky/stars.cxx, simgear/scene/sky/stars.hxx,
	  simgear/scene/tgdb/apt_signs.cxx,
	  simgear/scene/tgdb/apt_signs.hxx, simgear/scene/tgdb/leaf.cxx,
	  simgear/scene/tgdb/leaf.hxx, simgear/scene/tgdb/obj.cxx,
	  simgear/scene/tgdb/obj.hxx, simgear/scene/tgdb/pt_lights.cxx,
	  simgear/scene/tgdb/pt_lights.hxx,
	  simgear/scene/tgdb/userdata.cxx, simgear/scene/tgdb/userdata.hxx,
	  simgear/scene/tgdb/vasi.hxx, simgear/scene/util/Makefile.am,
	  simgear/scene/util/SGDebugDrawCallback.hxx,
	  simgear/scene/util/SGNodeMasks.hxx,
	  simgear/scene/util/SGStateAttributeVisitor.hxx,
	  simgear/scene/util/SGTextureStateAttributeVisitor.hxx,
	  simgear/scene/util/SGUpdateVisitor.hxx,
	  simgear/screen/jpgfactory.cxx, simgear/screen/ssgEntityArray.cxx,
	  simgear/screen/ssgEntityArray.hxx, simgear/screen/tr.cxx,
	  simgear/structure/Makefile.am,
	  simgear/structure/ssgSharedPtr.hxx, simgear/threads/SGThread.hxx:
	  Modified Files:  configure.ac
	  simgear/environment/visual_enviro.cxx
	  simgear/ephemeris/ephemeris.cxx
	  simgear/ephemeris/ephemeris.hxx simgear/ephemeris/stardata.cxx
	  simgear/ephemeris/stardata.hxx simgear/math/SGMatrix.hxx
	  simgear/math/SGQuat.hxx simgear/math/SGVec3.hxx
	  simgear/math/SGVec4.hxx simgear/scene/Makefile.am
	  simgear/scene/material/mat.cxx simgear/scene/material/mat.hxx
	  simgear/scene/material/matlib.cxx
	  simgear/scene/material/matlib.hxx
	  simgear/scene/material/matmodel.cxx
	  simgear/scene/material/matmodel.hxx
	  simgear/scene/model/Makefile.am
	  simgear/scene/model/animation.cxx
	  simgear/scene/model/animation.hxx
	  simgear/scene/model/custtrans.hxx
	  simgear/scene/model/model.cxx simgear/scene/model/model.hxx
	  simgear/scene/model/modellib.cxx
	  simgear/scene/model/modellib.hxx
	  simgear/scene/model/personality.cxx
	  simgear/scene/model/personality.hxx
	  simgear/scene/model/placement.cxx
	  simgear/scene/model/placement.hxx
	  simgear/scene/model/placementtrans.cxx
	  simgear/scene/model/placementtrans.hxx
	  simgear/scene/model/shadanim.cxx
	  simgear/scene/model/shadowvolume.hxx
	  simgear/scene/sky/cloud.cxx simgear/scene/sky/cloud.hxx
	  simgear/scene/sky/cloudfield.cxx simgear/scene/sky/dome.cxx
	  simgear/scene/sky/dome.hxx simgear/scene/sky/moon.cxx
	  simgear/scene/sky/moon.hxx simgear/scene/sky/newcloud.cxx
	  simgear/scene/sky/oursun.cxx simgear/scene/sky/oursun.hxx
	  simgear/scene/sky/sky.cxx simgear/scene/sky/sky.hxx
	  simgear/scene/sky/sphere.cxx simgear/scene/sky/sphere.hxx
	  simgear/scene/sky/stars.cxx simgear/scene/sky/stars.hxx
	  simgear/scene/tgdb/apt_signs.cxx
	  simgear/scene/tgdb/apt_signs.hxx simgear/scene/tgdb/leaf.cxx
	  simgear/scene/tgdb/leaf.hxx simgear/scene/tgdb/obj.cxx
	  simgear/scene/tgdb/obj.hxx simgear/scene/tgdb/pt_lights.cxx
	  simgear/scene/tgdb/pt_lights.hxx
	  simgear/scene/tgdb/userdata.cxx
	  simgear/scene/tgdb/userdata.hxx simgear/scene/tgdb/vasi.hxx
	  simgear/screen/jpgfactory.cxx simgear/screen/tr.cxx
	  simgear/structure/Makefile.am simgear/threads/SGThread.hxx Added
	  Files:	 simgear/scene/util/Makefile.am
	  simgear/scene/util/SGDebugDrawCallback.hxx
	  simgear/scene/util/SGNodeMasks.hxx
	  simgear/scene/util/SGStateAttributeVisitor.hxx
	  simgear/scene/util/SGTextureStateAttributeVisitor.hxx
	  simgear/scene/util/SGUpdateVisitor.hxx Removed Files:
	  simgear/screen/ssgEntityArray.cxx
	  simgear/screen/ssgEntityArray.hxx
	  simgear/structure/ssgSharedPtr.hxx	  Big BLOB on the way to
	  OSG.

2006-10-29 00:12  curt

	* simgear/magvar/coremag.cxx: wim van hoydonck:

	  Updated to World Magnetic Model 2005.

2006-10-24 22:28  mfranz

	* simgear/scene/model/model.cxx: - don't need a guarded pointer
	  here - shorten variable, fix indentation

2006-10-24 21:44  mfranz

	* simgear/scene/model/model.cxx: allow to switch on/off at runtime
	  a whole imported <model> via <condition>:

	    <model>
		<path>some/model.xml</path>
		<condition>
		    <property>model/switch</property>
		</condition>
	    </model>

	  Of course, one could add "select" animations for all
	  <object-name> in the <model>, but this is tedious and can hardly
	  be done e.g. for all objects in all instruments in
	  $FG_ROOT/Aircraft/Instruments-3d/ etc.

	  The feature will be used in the bo105, so that civilian variants
	  can have a HSI instrument, where military variants have a TACAN
	  etc.

2006-10-22 21:42  durk

	* simgear/: math/SGQuat.hxx, scene/sky/cloud.cxx,
	  scene/sky/cloudfield.cxx, sound/soundmgr_openal.cxx: Compile time
	  fixes needed to build SimGear on recent cygwin versions.

2006-10-22 21:41  durk

	* configure.ac: Make configuration script compatible with
	  "home-built" openal libraries on cygwin.

2006-10-22 15:08  mfranz

	* simgear/props/props.cxx: - // This will come back and remove - //
	  the current item each time.  Is - // that OK?

	  No, it is not OK. This messes up the vector and confuses the
	  iterator.  And it leads to crashes. Better read the vector in
	  reverse order.

2006-10-19 05:36  curt

	* simgear/scene/material/matlib.cxx: Step #1 towards abandoning the
	  original point lighting scheme in favor of sprite based lighting.

2006-09-30 07:11  durk

	* simgear/scene/model/placement.cxx: Memory leak fix.

2006-09-27 22:16  fredb

	* simgear/debug/: logstream.cxx, logstream.hxx: Win32 only : Don't
	  alloc a console when it is not needed

2006-09-02 13:21  fredb

	* simgear/timing/testtimestamp.cxx: Add a simple program to
	  benchmark SGTimeStamp::stamp()

2006-08-31 20:26  fredb

	* simgear/timing/timestamp.cxx: Make the SGTimeStamp behave under
	  Windows just like for other environments

2006-08-28 21:38  fredb

	* simgear/scene/model/persparam.hxx: Use getNodeValue as initially
	  planned

2006-08-28 20:53  ehofman

	* simgear/scene/model/persparam.hxx: MispPro requires an explicit
	  declaration.

2006-08-26 16:02  curt

	* simgear/serial/serial.cxx: Frederic Bouvier:

	  Make line feed behavior consistent between linux/windows.

2006-08-25 21:25  fredb

	* simgear/scene/model/: modellib.cxx, personality.cxx,
	  personality.hxx: Better encapsulation for personality

2006-08-25 01:03  mfranz

	* simgear/scene/model/persparam.hxx: compile (gcc 4.1.0)

	  ("In member function 'T SGPersonalityParameter<T>::shuffle()':
	  28: error: there are no arguments to 'sg_random' that depend on a
	  template parameter, so a declaration of 'sg_random' must be
	  available")

2006-08-25 00:46  fredb

	* simgear/scene/model/: animation.cxx, animation.hxx,
	  persparam.cxx, persparam.hxx, Makefile.am: Reorganize personality
	  parameters and add personality to translate, blend and scale
	  animations

2006-08-08 07:05  frohlich

	* simgear/math/Makefile.am: Remove duplicate linker line in the
	  resulting Makefile

2006-07-30 23:02  fredb

	* simgear/sound/xmlsound.cxx: Win32 fix

2006-07-30 09:48  frohlich

	* simgear/: math/Makefile.am, math/SGCMath.hxx, math/SGGeodesy.hxx,
	  math/SGLimits.hxx, math/SGMath.hxx, math/SGMathFwd.hxx,
	  math/SGMatrix.hxx, math/SGMisc.hxx, math/SGQuat.hxx,
	  math/SGVec3.hxx, math/SGVec4.hxx, math/fastmath.cxx,
	  math/fastmath.hxx, sound/xmlsound.cxx: Remove fastmath funktions
	  like discussed on the list.  Add a new header with forward
	  declarations of the SGMath stuff.

2006-07-27 18:34  frohlich

	* simgear/scene/model/location.hxx: Clean up scenery center
	  handling.

2006-07-27 07:15  durk

	* simgear/scene/sky/: oursun.cxx, oursun.hxx, sky.cxx, sky.hxx:
	  Mark's dynamic sun color changes.

2006-07-21 17:45  curt

	* simgear/scene/tgdb/: pt_lights.cxx, pt_lights.hxx: Additional
	  functionality for animated point lights (i.e. approach light
	  rabbits, REIL, VASI/PAPI, etc.)

	  This allows the calling layer (i.e. FlightGear) better control
	  over the use of OpenGL point drawing extensions.

2006-07-12 17:08  curt

	* Makefile.am: Updated dist content.

2006-07-05 11:31  mfranz

	* simgear/scene/sky/bbcache.cxx: remove the last redundant "delete"
	  check in all of fgfs/sg (except JSBSim)

2006-07-05 04:52  andy

	* simgear/nasal/: code.c, code.h, codegen.c: The previous update
	  (and, embarassingly, the "nasal 1.0" release I announced on
	  Freshmeat.net) was broken.  This is the proper break/continue
	  fix.

2006-07-03 07:13  andy

	* simgear/nasal/: code.c, code.h, codegen.c, gc.c, lib.c, vector.c:
	  Been hacking at Nasal recently:

	  Fix bug with break/continue inside of a foreach or forindex:
	  Don't pop the vector/index inside OP_EACH, do it at the end of
	  the loop.

	  In the process, discovered and fixed a scary corruption issue
	  with continue; it never really worked right, although simple
	  usage was likely to get away without crashing.  Both the
	  continue's OP_BREAK and the cleanup code at the end of a loop
	  would pop the "mark" stack, leading to an underflow.	Introduced
	  an OP_CONTINUE which adjusts stack but doesn't change markTop

	  Re-inline the PUSH macro.  This thing is called all over the
	  place from the inner loop.  If the problem is intra-expression
	  side effects, then just use another expression in the macro.

	  Return an empty vector when requesting zero-length subvec, not
	  nil

	  Have call() return the call stack in the error vector; see docs
	  on plausible.org/nasal or ask Andy about this feature.

	  Default closure()'s level argument to zero, not nil

	  Add an optional "file name" argument to compile()

2006-07-01 22:06  mfranz

	* simgear/scene/model/shadanim.cxx: actually query the <condition>
	  that is already set up in SGShaderAnimation

2006-06-25 13:55  mfranz

	* simgear/constants.h: add knots <-> feet-per-second conversion
	  constants

2006-06-18 00:02  fredb

	* simgear/io/socktest.cxx: Compile again on Win32 platforms

2006-06-17 18:04  frohlich

	* simgear/math/fastmath.hxx: Make at least the header aliasing
	  safe.

2006-06-17 18:04  frohlich

	* simgear/scene/material/: mat.cxx, mat.hxx: Make it compile with
	  gcc-3.3.6

2006-06-16 12:03  fredb

	* simgear/: environment/metar.cxx, timing/geocoord.cxx: Compile
	  again on Win32 platforms

2006-06-16 11:29  mfranz

	* simgear/math/: fastmath.cxx, fastmath.hxx: add float_to_int()
	  rounding function from Cockpit/hud_opts.hxx. The original file
	  said "(c) FlightGear Project" and "probably written by Norman
	  Vine".

2006-06-15 21:13  frohlich

	* simgear/math/: SGVec3.hxx, SGVec4.hxx: Add dist and distSqr
	  functions

2006-06-15 21:12  frohlich

	* simgear/scene/model/custtrans.cxx: Remove unused extern decls

2006-06-15 10:52  frohlich

	* simgear/math/: SGGeoc.hxx, SGGeod.hxx, SGVec3.hxx: Remove
	  deprecated, now unused functions.

2006-06-15 10:27  frohlich

	* simgear/: math/SGGeoc.hxx, math/SGGeod.hxx, math/SGMath.hxx,
	  math/SGMathTest.cxx, math/SGQuat.hxx, math/SGVec3.hxx,
	  math/sg_geodesy.cxx, math/sg_geodesy.hxx,
	  scene/model/placement.cxx, scene/model/placement.hxx,
	  timing/geocoord.cxx, timing/geocoord.h, timing/timezone.h: Small
	  cleanups to the SGGeo[dc] classes, provide more hooks to use them
	  directly

2006-06-15 08:14  frohlich

	* simgear/screen/shader.cpp: Use function argument in va_start
	  instead of local variable.

2006-06-11 15:59  frohlich

	* simgear/scene/material/: matlib.cxx, matlib.hxx: Remove now
	  unused function

2006-06-11 15:30  frohlich

	* simgear/scene/: material/mat.cxx, material/mat.hxx,
	  material/matlib.cxx, material/matlib.hxx, tgdb/leaf.cxx,
	  tgdb/obj.cxx: Modified Files:    simgear/scene/material/mat.cxx
	  simgear/scene/material/mat.hxx
	  simgear/scene/material/matlib.cxx
	  simgear/scene/material/matlib.hxx simgear/scene/tgdb/leaf.cxx
	  simgear/scene/tgdb/obj.cxx	  Attach userdata to groundtile
	  scenegraph leafs that contains    a SGMaterial reference to the
	  material of that leaf.    Add (physical) material properties to
	  the material definitions.	    Plug a memory leak with
	  GlyphSigns.

2006-06-08 07:54  frohlich

	* simgear/scene/material/: matlib.cxx, matlib.hxx: Preliminary
	  material lookup hooks - still unoptimized.

2006-05-24 12:16  mfranz

	* simgear/props/props.cxx: whoops, sorry (Yes, it *was* tested, but
	  then I made another "trivial" change and ...)

2006-05-24 11:37  mfranz

	* simgear/props/props.cxx: if we are going to die we better tell
	  all our listeners

2006-05-08 13:31  mfranz

	* simgear/route/route.hxx: add optional position argument to
	  SGRoute::add_waypoint(). Default is -1, which appends the WP like
	  it used to. Valid vector indices insert the WP at this position.

2006-05-04 07:58  fredb

	* simgear/screen/RenderTexture.h: Mac fix

2006-04-29 10:09  fredb

	* simgear/scene/model/model.cxx: Fix the initial texture path
	  problem. Loaders are setting the one given to ssgLoad as the
	  default one behind our back :-(

2006-04-28 20:05  fredb

	* simgear/scene/model/model.cxx: Redefine the default PLIB loader
	  behavior : don't clear the texture cache after every model load

2006-04-28 17:43  mfranz

	* simgear/route/route.hxx: add method to delete any waypoint (last
	  waypoint if n is out of range)

2006-04-25 20:47  frohlich

	* simgear/sound/soundmgr_openal.cxx: Pigeons remaining fix for the
	  soundmanager crashes.

2006-04-22 15:41  mfranz

	* simgear/scene/tgdb/apt_signs.cxx: thanks to Erik's texture map I
	  can now drop empty.rgb altogether and just specify the same
	  texture in the "foo.lighted" and "foo.unlighted" material entry.
	  This also allows to drop the state cloning and thereby solves the
	  most urgent apt_signs.cxx TODO. :-)

2006-04-22 11:38  ehofman

	* simgear/scene/material/: mat.cxx, mat.hxx: Add a texture cache
	  mechanism. Fortunately this oly seems affective for  empty.rgb
	  ...

2006-04-20 19:46  mfranz

	* simgear/scene/tgdb/apt_signs.cxx: don't allow new command name to
	  overwrite material name

2006-04-20 18:06  mfranz

	* simgear/scene/tgdb/apt_signs.cxx: - don't use hard-coded emission
	  values for unlighted signs, but load both   states from
	  material.xml (separate <material> entries for now) - clone state
	  less often: not once per sign element, but once per material
	  switch (TODO: clone only once per material)

2006-04-20 17:20  mfranz

	* simgear/scene/material/mat.cxx: fix "unknown.rgb" path (the wrong
	  path was the reason why we always only got plib's lowres
	  red-white chequer-board pattern along with an error message, and
	  not ours ... which is much prettier, but also bigger.  (Should we
	  downscale it?)

2006-04-17 13:29  mfranz

	* simgear/: environment/visual_enviro.cxx,
	  environment/visual_enviro.hxx, scene/model/animation.hxx,
	  scene/model/custtrans.cxx, scene/model/custtrans.hxx,
	  scene/model/model.cxx, scene/model/model.hxx,
	  scene/model/personality.cxx, scene/model/personality.hxx,
	  scene/model/shadowvolume.cxx, scene/model/shadowvolume.hxx,
	  scene/sky/cloud.cxx, scene/sky/cloud.hxx,
	  scene/tgdb/pt_lights.cxx, scene/tgdb/pt_lights.hxx,
	  screen/GLBitmaps.cxx, screen/GLBitmaps.h, screen/jpgfactory.cxx,
	  screen/jpgfactory.hxx, screen/ssgEntityArray.cxx,
	  screen/ssgEntityArray.hxx: make headers include headers they
	  depend on, don't rely on the c(xx) file to do that. (This is a
	  requirement for header precompiling.)

2006-04-14 16:50  mfranz

	* simgear/scene/tgdb/: apt_signs.cxx, apt_signs.hxx: rename
	  OBJECT_TAXI_SIGN to OBJECT_SIGN. This isn't about taxi signs any
	  more, but all sorts of signs. Now is the best time to get rid of
	  a misleading name.

2006-04-12 22:27  mfranz

	* simgear/scene/model/: animation.cxx, animation.hxx: add
	  <condition> support to textranslate & texrotate animation

2006-04-12 14:13  mfranz

	* simgear/scene/tgdb/apt_signs.cxx: set sign orientation such, that
	  when the sign heading=0, one looks straight on the sign face when
	  looking North

2006-04-12 01:04  mfranz

	* simgear/scene/tgdb/apt_signs.cxx: lower signs

2006-04-11 23:32  mfranz

	* simgear/scene/tgdb/apt_signs.cxx: add minimalistic backside to
	  signs as a temporary solution

2006-04-11 19:34  mfranz

	* simgear/scene/tgdb/apt_signs.cxx: re-add hard-coded vertical
	  distance. The coordinates should be surface points and not add
	  this distance, which depends on the sign housing/hardware, after
	  all.

2006-04-11 17:57  mfranz

	* simgear/scene/tgdb/apt_signs.cxx: - commands do now have to start
	  with @ - add commands @size, @material, @light - make "BlackSign"
	  texture default - make @B, @R, @L, @Y open close their frames
	  automatically (this can be   avoided by setting the @material
	  manually) - add number variants for those 4 sign commands: @Y2,
	  @B5, etc (according	to the spec; defaulting to the respective
	  biggest panel size, i.e. @B = @B3) (detailed description will be
	  added to $FG_ROOT/Docs/)

2006-04-10 18:36  mfranz

	* simgear/math/: Makefile.am, linintp2.h, linintp2.inl, sphrintp.h,
	  sphrintp.inl: remove obsolete files (on request by Christian
	  Mayer, who has introduced them): - they are not used anywhere in
	  sg/fgfs - and are very clearly *not* GPL compatible!

2006-04-10 18:21  andy

	* simgear/nasal/hash.c: Manabu Nishiyama (non-FlightGear Nasal
	  user) discovered an uninitialized data bug in naHash_cget().
	  When the hashcode field of naStr was introduced, I forgot to set
	  it in this function, which creates a temporary naStr on the
	  stack.

2006-04-10 17:32  mfranz

	* simgear/scene/: material/mat.cxx, material/mat.hxx,
	  tgdb/apt_signs.cxx: drop xscale member again, and use xsize/ysize
	  instead. (One interface element less to confuse people.)

2006-04-09 21:51  mfranz

	* simgear/scene/tgdb/apt_signs.cxx: rewrite of OBJECT_TAXI_SIGN
	  code. The name is a bit misleading, as this type can also create
	  runway signs. (/me thinks about changing that ...)

2006-04-09 21:21  mfranz

	* simgear/scene/material/: mat.cxx, mat.hxx: support for font
	  textures. They are normal (but rather lenghty) <material>, but
	  contain <glyph> entries with <name>, <left> and <right>. The
	  latter two describe where in the texture a letter or symbol
	  begins and where it ends.  (range 0-1). <xscale> defines a
	  horizontal scaling factor.

2006-04-05 20:42  curt

	* NEWS, configure.ac: v0.3.10 changes.

2006-03-30 16:13  mfranz

	* simgear/scene/model/shadowvolume.hxx: protect ssg pointers to
	  avoid occasional crashes  (of course it would be nicer if the
	  Occluder would always get removed before its model branch, but
	  that's not easily enforcable)

2006-03-27 20:48  curt

	* Makefile.am, NEWS, configure.ac: v0.3.10-pre3 updates.

2006-03-26 10:22  mfranz

	* simgear/scene/sky/cloud.cxx: If the author of this message isn't
	  alerted enough to *fix* this, then I'm sure the users won't do
	  that either. This is regularly triggerd and leads to meaningless
	  error reports.

2006-03-25 00:24  mfranz

	* simgear/: scene/model/shadowvolume.hxx, structure/event_mgr.hxx:
	  more guarded pointers (we are still getting spurious crashes on
	  exit because of that)

2006-03-23 22:59  curt

	* Makefile.am, README.zlib, configure.ac: Updates to remove
	  unneeded and old version of zlib source.

2006-03-23 17:37  curt

	* NEWS, SimGear.dsp, configure.ac: v0.3.10-pre2 updates.

2006-03-23 16:39  mfranz

	* simgear/environment/: visual_enviro.cxx, visual_enviro.hxx:
	  Vassilii KHACHATUROV: rain fix, cleanup, read formerly hard-coded
	  values		       from provided node

	  "* minor redundant gl call in DrawCone2 optimized away (twice per
	  frame) * corrected the glRotatef() order in drawRain even further
	  (a less obvious mistake than before, which is noticed by looking
	  skywards and wiggling the mouse in the view direction change
	  mode) * all the "magic numbers" used in the rain rendering code
	  have been provided a default (based on the old hardcoded value)
	  in a form of a define, and a meaningfully named static member in
	  SGEnviro"

2006-03-22 17:02  mfranz

	* simgear/environment/: visual_enviro.cxx, visual_enviro.hxx:
	  Vassilii KHACHATUROV: fix typos, add/fix comments, change
	  variable names

2006-03-22 00:12  andy

	* simgear/nasal/lib.c: Oops, implement the previously-mentioned fix
	  without breaking support for omitting a length argument to mean
	  "the rest of the vector".

2006-03-21 23:22  andy

	* simgear/nasal/lib.c: The original code (rather oddly) interprets
	  a length of zero in subvec() to mean "the whole vector".
	  Melchior showed a use case (removal of the first element from a
	  vector) where getting a zero-length subvector is actually
	  desired.  And since I can't come up with a good reason for why
	  the "feature" was there in the first place, out it goes...

2006-03-21 22:57  andy

	* simgear/nasal/lib.c: Melchior discovered that cmp() was just
	  wrong, failing to actually inspect the string pointers.  It also
	  failed to properly sort strings where one is a prefix of the
	  other.  It looks to me like I just never finished this, and it
	  ended up in CVS because it just happened to compile...

2006-03-20 20:22  curt

	* Doxyfile, NEWS, SimGear.dsp, SimGear.dsw, configure.ac: Updates
	  for v0.3.10-pre1.

2006-03-17 20:01  mfranz

	* simgear/scene/model/model.cxx: - better error message when
	  submodel loading failed - use alignmainmodel node in callback
	  (not used anywhere yet)

2006-03-16 19:01  andy

	* simgear/nasal/iolib.c: The handle gets nulled out if the user has
	  closed the file; don't pass that null to fclose() in a garbage
	  collection destructor too...

2006-03-15 20:42  andy

	* simgear/nasal/: Makefile.am, bitslib.c, iolib.c: Fix broken
	  checkin in iolib.c.  Also add the 'bits' library, which has a
	  buf() function needed to make convenient use of io.read().

2006-03-15 20:35  andy

	* simgear/nasal/iolib.c: Melchior found the first bug -- report EOF
	  as nil in readln().

2006-03-15 19:09  andy

	* simgear/nasal/: Makefile.am, iolib.c, iolib.h: Add the Nasal I/O
	  library so Melchior can play with it.  Not enabled currently (see
	  NasalSys.cxx in the flightgear CVS)

2006-03-14 16:58  mfranz

	* simgear/scene/: model/shadowvolume.cxx, sky/bbcache.cxx:
	  --warnings

2006-03-14 16:55  mfranz

	* simgear/props/: props.cxx, props.hxx: --warnings

2006-03-14 16:49  mfranz

	* simgear/io/sg_binobj.cxx: --warnings

2006-03-14 13:58  mfranz

	* simgear/timing/timezone.cxx: close zone.tab file after having
	  read all entries

2006-03-14 11:38  mfranz

	* simgear/props/: condition.cxx, condition.hxx: prevent animations
	  from losing nodes, because other processes removed them (We are
	  currently getting a lot of aborts in the condition code when
	  running MP. I don't expect this to fix it, but a bug is a bug.)

	  (reviewed by Fred, who also fixed *my* bugs :-)

2006-03-12 19:56  mfranz

	* simgear/scene/model/model.cxx: Better use a node that is very
	  clearly not used by other services (e.g. animations). The data
	  class doesn't mind.

2006-03-12 11:09  mfranz

	* simgear/scene/model/model.cxx: activate model load/unload
	  callback again. It turned out *not* to be the cause for the MP
	  crashes -- the same crashes did still occur without it.

2006-03-11 23:20  ehofman

	* simgear/screen/: RenderTexture.cpp, RenderTexture.h: Mac OS X
	  fixes from Ima Sudonim.

2006-03-10 23:58  mfranz

	* simgear/scene/model/model.cxx: commenting out Nasal in scenery
	  models for now. This could be responsible for an MP/AI crash.
	  Still investigating.

2006-03-09 17:17  mfranz

	* simgear/scene/model/animation.cxx: warning--

2006-03-09 10:54  ehofman

	* simgear/screen/: RenderTexture.cpp, RenderTexture.h,
	  extensions.hxx: Alexander Powell:

	  Add MAC OS X Render Texture support:

	  Most texture modes seem to work on my Powerbook, but I don't have
	  a wide array of machines to test it on otherwise.

	  If you have problems, please let me know and I'll see if I can
	  help track down the source of the bug.  I'd love to keep working
	  on it if time permits (I use RenderTexture in a few other
	  projects), so I'll keep you informed if there are any changes
	  that I make for the better.

2006-03-09 10:03  mfranz

	* simgear/scene/: material/matmodel.cxx, model/model.cxx,
	  model/model.hxx, model/modellib.cxx, model/modellib.hxx:
	  model.[ch]xx:   add abstract class SGModelData. If a pointer to
	  such a class is handed over	to sgLoad3DModel, then its
	  modelLoaded() method is called with path, property   node and
	  branch. And then it's added to the scene graph so that it's
	  destroyed when the model branch is removed from the graph.

	  modellib.[ch]xx:   only cache objects when asked to. This is the
	  case for OBJECT_SHARED   and random objects (like before), but no
	  longer for OBJECT_STATIC.    These are now removed from the graph
	  when they are "out of sight". This	prevents accumulation of
	  static models, and makes destroying model data    possible (e.g.
	  removing Nasal modules)

	  matmodel.cxx:   set cache flag for random objects (same behavior
	  as before)

2006-03-08 19:16  mfranz

	* simgear/: compiler.h, constants.h, sg_inlines.h,
	  bucket/newbucket.cxx, bucket/newbucket.hxx, debug/logstream.cxx,
	  debug/logstream.hxx, environment/metar.cxx,
	  environment/metar.hxx, environment/visual_enviro.cxx,
	  environment/visual_enviro.hxx, ephemeris/celestialBody.cxx,
	  ephemeris/celestialBody.hxx, ephemeris/ephemeris.cxx,
	  ephemeris/ephemeris.hxx, ephemeris/jupiter.cxx,
	  ephemeris/jupiter.hxx, ephemeris/mars.cxx, ephemeris/mars.hxx,
	  ephemeris/mercury.cxx, ephemeris/mercury.hxx,
	  ephemeris/moonpos.cxx, ephemeris/moonpos.hxx,
	  ephemeris/neptune.cxx, ephemeris/neptune.hxx,
	  ephemeris/pluto.hxx, ephemeris/saturn.cxx, ephemeris/saturn.hxx,
	  ephemeris/star.cxx, ephemeris/star.hxx, ephemeris/stardata.cxx,
	  ephemeris/stardata.hxx, ephemeris/uranus.cxx,
	  ephemeris/uranus.hxx, ephemeris/venus.cxx, ephemeris/venus.hxx,
	  io/iochannel.cxx, io/iochannel.hxx, io/lowlevel.cxx,
	  io/lowlevel.hxx, io/sg_binobj.cxx, io/sg_binobj.hxx,
	  io/sg_file.cxx, io/sg_file.hxx, io/sg_serial.cxx,
	  io/sg_serial.hxx, io/sg_socket.cxx, io/sg_socket.hxx,
	  io/sg_socket_udp.cxx, io/sg_socket_udp.hxx, magvar/coremag.cxx,
	  magvar/coremag.hxx, magvar/magvar.cxx, magvar/magvar.hxx,
	  math/SGGeoc.hxx, math/SGGeod.hxx, math/SGGeodesy.cxx,
	  math/SGGeodesy.hxx, math/SGLimits.hxx, math/SGMath.hxx,
	  math/SGMathTest.cxx, math/SGMatrix.hxx, math/SGMisc.hxx,
	  math/SGQuat.hxx, math/SGVec3.hxx, math/SGVec4.hxx,
	  math/fastmath.hxx, math/interpolater.cxx, math/interpolater.hxx,
	  math/leastsqs.cxx, math/leastsqs.hxx, math/point3d.hxx,
	  math/polar3d.cxx, math/polar3d.hxx, math/sg_memory.h,
	  math/sg_random.c, math/sg_random.h, math/sg_types.hxx,
	  math/vector.cxx, math/vector.hxx, misc/interpolator.cxx,
	  misc/interpolator.hxx, misc/sg_path.cxx, misc/sg_path.hxx,
	  misc/sgstream.cxx, misc/sgstream.hxx, misc/stopwatch.hxx,
	  misc/strutils.cxx, misc/strutils.hxx, misc/tabbed_values.cxx,
	  misc/tabbed_values.hxx, misc/texcoord.cxx, misc/texcoord.hxx,
	  misc/zfstream.cxx, misc/zfstream.hxx, props/props_io.cxx,
	  route/route.cxx, route/route.hxx, route/waypoint.cxx,
	  route/waypoint.hxx, scene/material/mat.cxx,
	  scene/material/mat.hxx, scene/material/matlib.cxx,
	  scene/material/matlib.hxx, scene/material/matmodel.cxx,
	  scene/material/matmodel.hxx, scene/model/location.cxx,
	  scene/model/location.hxx, scene/model/placementtrans.cxx,
	  scene/model/placementtrans.hxx, scene/model/shadanim.cxx,
	  scene/model/shadowvolume.cxx, scene/model/shadowvolume.hxx,
	  scene/sky/bbcache.cxx, scene/sky/bbcache.hxx,
	  scene/sky/cloud.cxx, scene/sky/cloud.hxx,
	  scene/sky/cloudfield.cxx, scene/sky/cloudfield.hxx,
	  scene/sky/dome.cxx, scene/sky/dome.hxx, scene/sky/moon.cxx,
	  scene/sky/moon.hxx, scene/sky/newcloud.cxx,
	  scene/sky/newcloud.hxx, scene/sky/oursun.cxx,
	  scene/sky/oursun.hxx, scene/sky/sky.cxx, scene/sky/sky.hxx,
	  scene/sky/sphere.cxx, scene/sky/sphere.hxx, scene/sky/stars.cxx,
	  scene/sky/stars.hxx, scene/tgdb/apt_signs.cxx,
	  scene/tgdb/apt_signs.hxx, scene/tgdb/leaf.cxx,
	  scene/tgdb/leaf.hxx, scene/tgdb/obj.cxx, scene/tgdb/obj.hxx,
	  scene/tgdb/pt_lights.cxx, scene/tgdb/pt_lights.hxx,
	  scene/tgdb/userdata.cxx, scene/tgdb/userdata.hxx,
	  scene/tgdb/vasi.hxx, screen/colors.hxx, screen/colours.h,
	  screen/jpgfactory.cxx, screen/jpgfactory.hxx,
	  screen/screen-dump.cxx, screen/screen-dump.hxx,
	  screen/shader.cpp, screen/shader.h, screen/ssgEntityArray.cxx,
	  serial/serial.cxx, serial/serial.hxx, sound/sample_openal.cxx,
	  sound/sample_openal.hxx, sound/soundmgr_openal.cxx,
	  sound/soundmgr_openal.hxx, sound/xmlsound.cxx,
	  sound/xmlsound.hxx, structure/SGReferenced.hxx,
	  structure/SGSharedPtr.hxx, structure/callback.hxx,
	  structure/ssgSharedPtr.hxx, structure/subsystem_mgr.hxx,
	  threads/SGThread.hxx, timing/geocoord.cxx, timing/geocoord.h,
	  timing/lowleveltime.cxx, timing/lowleveltime.h,
	  timing/sg_time.cxx, timing/sg_time.hxx, timing/timestamp.cxx,
	  timing/timestamp.hxx, timing/timezone.cxx, timing/timezone.h,
	  xml/easyxml.cxx, xml/hashtable.c:
	  - new FSF addresses - coplied license headers from h(xx) files to
	  respective c(xx) files - removed trailing spaces - fixe $Id$ -
	  fixed typos

2006-03-04 14:27  david

	* simgear/: math/.cvsignore, screen/.cvsignore: Ignore generated
	  binaries.

2006-03-04 13:46  ehofman

	* simgear/props/props.cxx: Mathias Fr�hlich:

	  zero out all parent pointers, else they might be dangling.

2006-03-03 16:11  ehofman

	* simgear/sound/xmlsound.cxx: Mathias Fr�hlich:

	  I have some bugfixes which will avoid fg just crashing if the
	  sound device could not be opened.

2006-02-26 12:02  fredb

	* simgear/: math/sg_memory.h, misc/stopwatch.hxx: Wrong config file
	  name

2006-02-22 21:50  andy

	* simgear/scene/model/: animation.cxx, animation.hxx: Fix from
	  Melchior: Set static values at every condition change, not only
	  initially.

2006-02-21 13:59  fredb

	* simgear/: structure/subsystem_mgr.cxx, threads/SGQueue.hxx:
	  Melchior FRANZ:

	  - don't unlock an already unlocked mutex (Someone wanted to be on
	    the safe side with this, but the result is undefined and makes
	   pthread_mutex_destroy fail. Reference: manpage for
	  pthread_mutexattr_gettype/The Open Group[1]: "Attempting to
	  unlock a mutex of this type which is not locked results in
	  undefined behaviour.")

	  - re-enabled all subsystem destructors again (this has been
	  disabled   because fgfs hung on exit, due to the mutex destroy
	  failure from	 above.)

	  Reference:
	  http://www.opengroup.org/onlinepubs/007908799/xsh/pthread_mutexattr_gettype.html

2006-02-21 11:47  ehofman

	* simgear/: compiler.h, constants.h, sg_inlines.h, version.h.in,
	  bucket/newbucket.cxx, bucket/newbucket.hxx, debug/logstream.cxx,
	  debug/logstream.hxx, environment/metar.cxx,
	  environment/metar.hxx, environment/visual_enviro.cxx,
	  environment/visual_enviro.hxx, ephemeris/celestialBody.cxx,
	  ephemeris/celestialBody.hxx, ephemeris/ephemeris.cxx,
	  ephemeris/ephemeris.hxx, ephemeris/jupiter.cxx,
	  ephemeris/jupiter.hxx, ephemeris/mars.cxx, ephemeris/mars.hxx,
	  ephemeris/mercury.cxx, ephemeris/mercury.hxx,
	  ephemeris/moonpos.cxx, ephemeris/moonpos.hxx,
	  ephemeris/neptune.cxx, ephemeris/neptune.hxx,
	  ephemeris/pluto.hxx, ephemeris/saturn.cxx, ephemeris/saturn.hxx,
	  ephemeris/star.cxx, ephemeris/star.hxx, ephemeris/stardata.cxx,
	  ephemeris/stardata.hxx, ephemeris/uranus.cxx,
	  ephemeris/uranus.hxx, ephemeris/venus.cxx, ephemeris/venus.hxx,
	  io/iochannel.cxx, io/iochannel.hxx, io/lowlevel.cxx,
	  io/lowlevel.hxx, io/sg_binobj.cxx, io/sg_binobj.hxx,
	  io/sg_file.cxx, io/sg_file.hxx, io/sg_serial.cxx,
	  io/sg_serial.hxx, io/sg_socket.cxx, io/sg_socket.hxx,
	  io/sg_socket_udp.cxx, io/sg_socket_udp.hxx, magvar/coremag.cxx,
	  magvar/coremag.hxx, magvar/magvar.cxx, magvar/magvar.hxx,
	  math/.cvsignore, math/SGGeoc.hxx, math/SGGeod.hxx,
	  math/SGGeodesy.cxx, math/SGGeodesy.hxx, math/fastmath.cxx,
	  math/interpolater.cxx, math/interpolater.hxx, math/leastsqs.cxx,
	  math/leastsqs.hxx, math/sg_random.c, math/sg_random.h,
	  math/sg_types.hxx, math/vector.cxx, math/vector.hxx,
	  misc/texcoord.hxx, route/waypoint.hxx, scene/sky/oursun.cxx,
	  scene/sky/sphere.cxx, scene/sky/stars.cxx,
	  scene/tgdb/apt_signs.hxx, scene/tgdb/leaf.cxx,
	  scene/tgdb/leaf.hxx, scene/tgdb/obj.cxx, scene/tgdb/obj.hxx,
	  scene/tgdb/pt_lights.hxx, scene/tgdb/userdata.hxx,
	  scene/tgdb/vasi.hxx, screen/screen-dump.cxx,
	  screen/screen-dump.hxx, screen/tr.cxx, screen/tr.h,
	  serial/serial.cxx, serial/serial.hxx,
	  structure/subsystem_mgr.cxx, threads/SGQueue.hxx,
	  timing/sg_time.cxx, timing/sg_time.hxx, timing/timestamp.hxx:
	  Back out the previous patch.

2006-02-21 10:48  ehofman

	* simgear/math/: SGGeoc.hxx, SGGeod.hxx: Declare specified
	  functions, otherwise MIPSpro bails out.

2006-02-21 10:40  ehofman

	* simgear/: compiler.h, constants.h, sg_inlines.h,
	  bucket/newbucket.cxx, bucket/newbucket.hxx, debug/logstream.cxx,
	  debug/logstream.hxx, environment/metar.cxx,
	  environment/metar.hxx, environment/visual_enviro.cxx,
	  environment/visual_enviro.hxx, ephemeris/celestialBody.cxx,
	  ephemeris/celestialBody.hxx, ephemeris/ephemeris.cxx,
	  ephemeris/ephemeris.hxx, ephemeris/jupiter.cxx,
	  ephemeris/jupiter.hxx, ephemeris/mars.cxx, ephemeris/mars.hxx,
	  ephemeris/mercury.cxx, ephemeris/mercury.hxx,
	  ephemeris/moonpos.cxx, ephemeris/moonpos.hxx,
	  ephemeris/neptune.cxx, ephemeris/neptune.hxx,
	  ephemeris/pluto.hxx, ephemeris/saturn.cxx, ephemeris/saturn.hxx,
	  ephemeris/star.cxx, ephemeris/star.hxx, ephemeris/stardata.cxx,
	  ephemeris/stardata.hxx, ephemeris/uranus.cxx,
	  ephemeris/uranus.hxx, ephemeris/venus.cxx, ephemeris/venus.hxx,
	  io/iochannel.cxx, io/iochannel.hxx, io/lowlevel.cxx,
	  io/lowlevel.hxx, io/sg_binobj.cxx, io/sg_binobj.hxx,
	  io/sg_file.cxx, io/sg_file.hxx, io/sg_serial.cxx,
	  io/sg_serial.hxx, io/sg_socket.cxx, io/sg_socket.hxx,
	  io/sg_socket_udp.cxx, io/sg_socket_udp.hxx, magvar/coremag.cxx,
	  magvar/coremag.hxx, magvar/magvar.cxx, magvar/magvar.hxx,
	  math/.cvsignore, math/SGGeoc.hxx, math/SGGeod.hxx,
	  math/SGGeodesy.cxx, math/SGGeodesy.hxx,
	  structure/subsystem_mgr.cxx, threads/SGQueue.hxx: Melchior FRANZ:

	  - new FSF address - removed a few hundred trailing spaces - fixed
	  a few $Id$ lines - copied two license headers from *.hxx files to
	  their respective   *.cxx counterparts - added two test aps to
	  .cvsignore - don't unlock an already unlocked mutex (Someone
	  wanted to be on   the safe side with this, but the result is
	  undefined and makes	pthread_mutex_destroy fail. Reference:
	  manpage for	pthread_mutexattr_gettype/The Open Group[1]:
	  "Attempting to   unlock a mutex of this type which is not locked
	  results in   undefined behaviour.") - re-enabled all subsystem
	  destructors again (this has been disabled   because fgfs hung on
	  exit, due to the mutex destroy failure)

2006-02-20 16:12  ehofman

	* simgear/math/: SGGeoc.hxx, SGGeod.hxx, SGGeodesy.cxx,
	  SGGeodesy.hxx, SGLimits.hxx, SGMath.hxx, SGMathTest.cxx,
	  SGMatrix.hxx, SGMisc.hxx, SGQuat.hxx, SGVec3.hxx, SGVec4.hxx:
	  Mathias Froehlich: Add license information.

2006-02-19 18:22  ehofman

	* simgear/math/: SGMathTest.cxx, SGMisc.hxx, SGQuat.hxx,
	  SGVec3.hxx, SGVec4.hxx: Mathias Fr�hlich:

	  This patch makes use of the vectors now available in simgear with
	  that past patch. And using that it simplyfies the carrier code
	  somehow.

	  - Small additional factory's to the quaternion code are done in
	  the simgear	part. Also more explicit unit names in the factory
	  functions.  - The flightgear part makes use of them and
	  simplyfies some computations	 especially in the carrier code.  -
	  The data part fixes the coordinate frames I used for the park
	  positions in	 the carrier to match the usual ones. I believed
	  that I had done so, but it   was definitly different. Also there
	  are more parking positions avaliable now.

2006-02-19 18:13  ehofman

	* simgear/environment/metar.cxx: Melchior FRANZ:

	  - change SG back to FG (this was accidently changed in three
	  wrong   places when I prepared the file for SG) - correct length
	  for the proxy id detection - set (guessed) deposit depth < 1mm
	  correctly - set deposit type string - formatting

2006-02-18 17:19  fredb

	* simgear/simgear_config.h.vc5: Missing defines

2006-02-18 14:24  fredb

	* simgear/: misc/texcoord.cxx, route/waypoint.cxx,
	  scene/model/animation.cxx, scene/model/modellib.cxx,
	  scene/model/shadanim.cxx, scene/model/shadowvolume.cxx,
	  scene/sky/cloud.cxx, scene/sky/sky.cxx, scene/tgdb/apt_signs.cxx,
	  scene/tgdb/pt_lights.cxx, scene/tgdb/userdata.cxx,
	  sound/sample_openal.cxx, sound/soundmgr_openal.cxx,
	  io/sg_socket.cxx, math/SGGeodesy.cxx, math/SGMathTest.cxx,
	  math/polar3d.cxx, math/sg_geodesy.cxx, props/props_io.cxx: Add
	  missing include files needed by the new math code under windows

2006-02-18 13:04  fredb

	* SimGear.dsp: Fix Code generation option for debug build

2006-02-17 22:57  fredb

	* simgear/math/: SGMatrix.hxx, SGQuat.hxx, SGVec3.hxx, SGVec4.hxx:
	  Remove compiler warnings

2006-02-17 16:13  curt

	* simgear/: environment/metar.cxx, environment/visual_enviro.cxx,
	  io/sg_binobj.cxx, misc/sg_path.cxx, props/props_io.cxx,
	  scene/model/location.cxx, scene/model/shadanim.cxx,
	  scene/model/shadowvolume.cxx, scene/sky/cloudfield.cxx: Clean up
	  some compiler warnings.

2006-02-17 10:59  ehofman

	* simgear/math/localconsts.hxx: Remove unused files.

2006-02-17 10:23  ehofman

	* simgear/math/fastmath.hxx: Melchior FRANZ:

	  This patch fixes the sound of 737, Concorde and others, if fgfs
	  was compiled with newer gcc versions (e.g. gcc 4.0.2). These
	  compilers implement the c++ standard more strictly, and thus
	  don't guarantee that c-style casted pointers to different data
	  types really point to the same address. This is only guaranteed
	  for union members.

2006-02-17 10:22  ehofman

	* simgear/math/: Makefile.am, SGGeoc.hxx, SGGeod.hxx,
	  SGGeodesy.cxx, SGGeodesy.hxx, SGLimits.hxx, SGMath.hxx,
	  SGMathTest.cxx, SGMatrix.hxx, SGMisc.hxx, SGQuat.hxx, SGVec3.hxx,
	  SGVec4.hxx, point3d.hxx, polar3d.cxx, polar3d.hxx,
	  sg_geodesy.cxx, sg_geodesy.hxx: Mathias Fr�hlich:

	  The patch adds a vector lib I have put together during the last
	  time, it is just handy and interfaces well with s(s)g*. Together
	  with some small modifications this will later also interface well
	  with OpenSceneGraphs vectors/matrices. Using this vector kernel
	  is targeted to have a handy matrix/vector lib available and to
	  provide a scenegraph independent vector type for use with a small
	  scenegraph wrapper aimed for a smooth transition to
	  openscenegraph.

	  That vector code also includes an improoved geodetic conversion
	  routine I have found some time ago published in the 'journal of
	  geodesy' which avoids iterative computations for that purpose.

	  Also the geodetic position class is more typesafe and unitsafe
	  than the Point3D currently is.

	  That part is relatively old and in use in my local trees for
	  several months now.

2006-02-17 09:58  ehofman

	* SimGear.dsp, SimGear.dsw, am2dsp.cfg, simgear/constants.h,
	  simgear/math/fastmath.hxx, simgear/nasal/mathlib.c: Olaf Flebbe:

	  This patch makesFlightGear at least compile on MSVC. I hope I
	  have removed reference of my other local changes. DSP and DSW
	  files are included for reference. They have been reconstructed
	  with am2dsp.pl. I had to introduce a change to am2dsp because of
	  the need of filenames with embedded spaces. (Yuck)

	  The major direction is to remove clutter like the
	  _USE_MATH_DEFINES and have it on the compiler command line sice
	  there is no central include file. You will have to put it on the
	  command line for your locale Project files, if it not there,
	  already. I added the _CRT_SECURE_NO_DEPRECATE define for 2005,
	  since it does no harm to other VC version.

	  Third Party Libs like plib, OpenALSDK, freeglut, pthreads-win32,
	  zlib are unpacked as is side by side. Only change put the
	  includes of OpenAL into include/AL rather directly into include.

2006-02-07 21:50  fredb

	* simgear/props/props.cxx: Outputing 6 digits is not enough for a
	  double

2006-02-02 10:56  ehofman

	* simgear/environment/visual_enviro.cxx: Vassilii Khachaturov:

	  Fix the current buggy rain orientation behaviour for the views
	  attached to the aircraft (while still inheriting bugs with the
	  views attached to anything else).

2006-01-31 16:14  ehofman

	* simgear/scene/sky/: oursun.hxx, sky.hxx: Expose the sun halo
	  texture handle.

2006-01-31 16:13  ehofman

	* simgear/screen/extensions.hxx: Expose GL_COORD_REPLACE

2006-01-30 21:30  ehofman

	* simgear/sound/xmlsound.cxx: create an absolute value before
	  calling log or log10, this adds support for sound on negative
	  numbers (thrust reverse for example).

2006-01-30 11:56  ehofman

	* simgear/props/: props.cxx, props.hxx: Melchior FRANZ:

	  add optional arg to SGPropertyNode::addChangeListener that
	  triggers the listener function call initially. This is useful for
	  cases where a freshly installed listener wants to treat the
	  current property value as changed from 'unknown' to the actual
	  value right away.

	  Examples can be found in the Nasal incarnation setlistener(),
	  where we have for example this (in $FG_ROOT/Nasal/gui.nas):

	    INIT = func {
		...
		setlistener("/sim/rendering/fps-display", fpsDisplay);
		if (getprop("/sim/rendering/fps-display")) {
		    fgcommand("dialog-show", props.Node.new({"dialog-name":
	  "fps"}));
		}
	    }

	  That is: we first attach a listener that cares for changes to the
	  FPS display switch, but then we have to manually open the dialog
	  initially.  That's a duplication of code and could be as simple
	  as this (INIT part only):

	    INIT = func {
		...
		setlistener("/sim/rendering/fps-display", fpsDisplay, 1);
	    }

	  That is: the optional third arg makes fpsDisplay be called
	  initially, and then again with every write action. My first
	  solution was in the Nasal code only, but Andy (rightfully) says
	  that this should rather be in sg.

2006-01-27 16:27  ehofman

	* simgear/environment/visual_enviro.cxx: On a second thought,
	  disable smooth shaded lines for all segments of the lightning.

2006-01-27 16:18  ehofman

	* simgear/environment/visual_enviro.cxx: Disable smooth lines for
	  certain lightning segments.

2006-01-26 10:15  ehofman

	* simgear/screen/extensions.hxx: Add support for point sprites.

2006-01-24 22:49  fredb

	* simgear/sound/soundmgr_openal.cxx: The sample is now managed by a
	  SGSharedPtr and shouldn't be deleted explicitely

2006-01-24 15:44  ehofman

	* simgear/: environment/visual_enviro.cxx, scene/material/mat.cxx,
	  scene/material/mat.hxx, scene/material/matlib.cxx,
	  scene/material/matlib.hxx, scene/material/matmodel.cxx,
	  scene/material/matmodel.hxx, scene/model/placement.hxx,
	  scene/sky/cloud.cxx, scene/sky/newcloud.cxx,
	  sound/sample_openal.hxx, sound/soundmgr_openal.cxx,
	  sound/soundmgr_openal.hxx, sound/xmlsound.cxx,
	  sound/xmlsound.hxx: Mathias Fr�hlich:

	  Incorporating the shared ptr code: - All scenegraph references
	  from SimGear - SGMaterial which already had a reference counter
	  uses now that common	 infrastructure.  - SGMatModel is now
	  counted.  - SGSoundSample from SimGear - And the corresponding
	  change for the sound samples in flightgear which fixes   a latent
	  crash if FGBeacon would evern be deleted.

2006-01-12 14:47  ehofman

	* simgear/: props/props.cxx, props/props.hxx,
	  scene/model/modellib.cxx, scene/model/modellib.hxx: Mathias
	  Fr�hlich:

	  Use the new automatic reference counter instead of doing that
	  ourselfes.

2006-01-10 21:25  fredb

	* simgear/nasal/lib.c: MSVC vsnprintf ( in fact _vsnprinft )
	  returns -1 when the buffer is too short

2006-01-07 14:21  fredb

	* simgear/io/sg_binobj.cxx: Use the new SGPath::create_dir function
	  Ensure no triangles array could have more than 32767 vertices, a
	  PLIB limit.

2006-01-04 17:44  curt

	* simgear/scene/model/placement.hxx: John Ellson:

	  This patch fixes this SimGear compile error on x86_64 Fedora
	  Development with gcc-4.1:

	  placement.hxx:49: error: extra qualification
	  ‘SGModelPlacement::’ on member ‘init’

2006-01-04 10:08  ehofman

	* simgear/misc/sg_path.cxx: MinGW fixes.

2006-01-03 18:40  ehofman

	* simgear/nasal/code.c: Make the sgi code the default to prevent
	  future problems.

2006-01-03 18:34  ehofman

	* simgear/bucket/newbucket.hxx: Save some memory.

2006-01-02 14:32  ehofman

	* simgear/nasal/code.c: Fix the persisent IRIX bug.

2006-01-02 11:04  ehofman

	* simgear/nasal/: hash.c, vector.c: prevent confusion by not using
	  a standard name.

2005-12-29 13:00  ehofman

	* simgear/structure/: Makefile.am, SGReferenced.hxx,
	  SGSharedPtr.hxx, ssgSharedPtr.hxx: Mathias Fr�hlich:

	  Add the basic infrastructure for a reference counter class.
	  Adding it now (without using it) enables Mathias and others to
	  prepare some memory reduction code.

2005-12-19 13:52  ehofman

	* simgear/: environment/visual_enviro.cxx, io/sg_binobj.cxx:
	  Vassilii Khachaturov:

	  clean up some build warnings caught with gcc-4.0.

2005-12-19 11:22  ehofman

	* simgear/misc/: sg_path.cxx, sg_path.hxx: Frederic Bouvier:

	  Fix a problem where the directory being created is made relative
	  when in fact it's absolute. It also tightens things a bit on the
	  Windows side.

	  Erik:

	  Make the section that splits up the directory in a lists of
	  parent directories a standalone function.

2005-12-18 10:37  ehofman

	* simgear/misc/sg_path.cxx: Frederic: this patch to sg_path.cxx
	  will filter out false alarms when directory already exists.

2005-12-17 23:12  ehofman

	* simgear/misc/sg_path.cxx: Frederic Bouvier:

	  The create_dir was totally broken. No function was used at the
	  right place except mkdir. This patch now create directories
	  without segfaulting.

	  Erik:

	  This was my bad, I've been using a really slow computer for the
	  last ten months and recompiling SimGear with a change to the
	  properties code takes ages, so once in a while I apply something
	  not entirely tested. This is one really bad example which
	  shouldn't have happened. Thanks to Frederic for fixing it.

2005-12-17 16:41  ehofman

	* simgear/misc/sg_path.cxx: Add the subdir to the path before
	  trying to create it, instead of afterwards.

2005-12-17 16:32  ehofman

	* simgear/misc/: sg_path.cxx, sg_path.hxx: MSVC fixes.

2005-12-17 16:15  ehofman

	* configure.ac: Try to detect the proper type for mode_t

2005-12-17 16:11  ehofman

	* simgear/props/: props.hxx, props_io.cxx, props_io.hxx: Stefan
	  Seifert: Add the posibility to specify a userarchive attribute
	  which could be used to save user prefferences at program exit.

2005-12-17 16:06  ehofman

	* simgear/misc/: sg_path.cxx, sg_path.hxx: Add a function to create
	  aa new directory

2005-12-14 11:28  ehofman

	* configure.ac, simgear/screen/Makefile.am,
	  simgear/screen/RenderTexture.cpp: Mathias Fr�hlich:

	  Detect whether we support pubuffers at runtime using the GLX
	  extension string.

	  Erik:

	  Add support to compile TestRenderTexture if GLUT is installed.

2005-12-11 14:41  ehofman

	* simgear/screen/TestRenderTexture.cpp: MacOs X fix.

2005-12-11 14:35  ehofman

	* simgear/: environment/metar.cxx, scene/material/matlib.cxx,
	  scene/model/model.cxx, sound/sample_openal.cxx, xml/easyxml.cxx:
	  Vassilii Khachaturov:

	  * in some cases more specific sg exception types were used in
	  place   of the more generic one, e.g., sg_io_exception instead of
	  sg_exception	 when the context of the error was an IO error * in
	  some cases, the error message was made more specific * minor
	  style fix for exception rethrowing --- using throw; whenever	 a
	  re-throw is made; sometimes optimizing away the exception symbol
	  name	 in the catch handler at all * more specific catch handlers
	  added in some places -- e.g.,   an sg_io_exception caught ahead
	  of sg_exception

2005-12-11 14:26  ehofman

	* simgear/misc/.cvsignore: add swap_test to .cvsignore

2005-12-11 13:51  ehofman

	* simgear/debug/logstream.hxx: Add a proper return statement for
	  MSVC.

2005-12-06 19:45  ehofman

	* Doxyfile: Vassilii: help those using the Doxygen docs.

2005-12-06 19:29  ehofman

	* simgear/scene/model/placementtrans.cxx: Mathias: silence some
	  valgrind warnings so that you can concentrate better on the real
	  problems.

2005-11-27 10:48  ehofman

	* simgear/screen/RenderTexture.cpp: How did this end up there??

2005-11-27 10:46  ehofman

	* simgear/screen/: RenderTexture.cpp, TestRenderTexture.cpp:
	  Initialize glut before using it.

2005-11-23 10:28  ehofman

	* simgear/screen/RenderTexture.cpp: More WIN32 fixes.

2005-11-22 19:42  ehofman

	* simgear/screen/RenderTexture.cpp: Oops, WIN32 typo fix.

2005-11-22 19:03  ehofman

	* simgear/screen/RenderTexture.cpp:

	  * Use SimGear's logging facility isntead of printf's.  * Hopefuly
	  fix a nasty (mostly ATI related) bug.

2005-11-17 21:54  curt

	* NEWS, configure.ac: Changes for v0.3.9 (final).

2005-11-17 16:30  curt

	* simgear/timing/sg_time.hxx: Add a small accessor function to
	  expose local timezone offset.

2005-11-15 22:43  curt

	* simgear/timing/sg_time.hxx: Fix a small spelling mistake.

2005-11-14 19:25  ehofman

	* simgear/threads/SGThread.hxx: Revert to the original (0.9.8)
	  version, it causes more problems than it solves (did actually
	  solve any?)

2005-11-13 10:42  ehofman

	* simgear/misc/stdint.hxx: Put in public domain, Curtis wants it
	  (because net_fdm.hxx depends on it) and I created the other
	  functions.

2005-11-12 13:22  ehofman

	* simgear/sound/: sample_openal.cxx, sample_openal.hxx: Let the
	  application free the buffer data.

2005-11-12 13:17  ehofman

	* simgear/sound/: sample_openal.cxx, sample_openal.hxx: Prevent a
	  possible memory leak.

2005-11-12 11:55  ehofman

	* simgear/sound/sample_openal.cxx: add a missing character.

2005-11-12 11:26  ehofman

	* simgear/sound/: openal_test2.cxx, sample_openal.cxx,
	  sample_openal.hxx, xmlsound.cxx: Make a clear separation between
	  loading a sound file into main memroy and sending it to the
	  driver. This prevents data to be loaded into the main memory (or
	  onto the soundcard's memory) when it's not needed.

2005-11-11 14:19  ehofman

	* simgear/ephemeris/: star.cxx, star.hxx: Expose some internals.

2005-11-11 01:44  curt

	* NEWS, configure.ac: v0.3.9-pre3 updates.

2005-11-10 10:57  ehofman

	* simgear/debug/logstream.hxx: MSVC fix.

2005-11-10 10:55  ehofman

	* simgear/structure/event_mgr.hxx: gcc 4.0 fix.

2005-11-09 21:34  andy

	* simgear/structure/: event_mgr.cxx, event_mgr.hxx: Architectural
	  fix allowing the "tip" popups (FOV, view name, etc...) to pop
	  themselves down while the simulator is paused.

	  The problem was with the "real time" queue in the event manager,
	  causing the third argument of Nasal's settimer() (a flag for "sim
	  time") to be ignored.  Inverts the default sense of the argument,
	  as there are lots of uses of settimer() in the current code,
	  almost none of which want to use real time.

	  Note this fix introduces a header file incompatibility in SimGear
	  -- be sure to update.

2005-11-09 19:47  curt

	* NEWS: v0.9.9-pre2 changes.

2005-11-09 19:41  curt

	* configure.ac: v0.9.9-pre2 changes (just the version number!)

2005-11-05 21:32  curt

	* NEWS: Spelling fixes and other small corrections.

2005-11-05 20:30  curt

	* Doxyfile, Makefile.am, NEWS, SimGear.dsp, configure.ac: Some
	  pre-release updates.

2005-11-05 19:47  curt

	* simgear/sound/xmlsound.cxx: Add a code comment for future
	  thought.

2005-11-01 10:45  ehofman

	* simgear/screen/: ssgEntityArray.cxx, ssgEntityArray.hxx: Move
	  Curt's ssgEntityArray experiment over to SimGear.

2005-10-30 16:05  ehofman

	* configure.ac: Remove some unused code.

2005-10-27 10:21  ehofman

	* simgear/scene/: material/matmodel.cxx, model/modellib.cxx:
	  Mathias Fr�hlich:

	  I guess the most important memory leaks are plugged now.  Just by
	  inspection: An other memory leak in Simgear.

2005-10-27 10:21  ehofman

	* simgear/constants.h: MSVC fix.

2005-10-26 13:19  ehofman

	* simgear/threads/SGThread.hxx: Back out the shared mutex code
	  since it only works when the mutex is in shared memory[1],
	  something we don't support anyhow.  This also fixes a FreeBSD
	  compile problem.

	  [1]
	  http://hypermail.linklord.com/new-httpd.old/2002/Jan/0557.html

2005-10-25 20:05  ehofman

	* simgear/sound/: sample_openal.cxx, soundmgr_openal.cxx: Oops,
	  ALUT 1.0 requires a little more work than expected.

2005-10-25 15:48  ehofman

	* simgear/: bucket/newbucket.cxx, environment/metar.hxx,
	  ephemeris/moonpos.cxx, math/fastmath.cxx, math/point3d.hxx,
	  math/polar3d.cxx, math/polar3d.hxx, misc/texcoord.cxx,
	  route/waypoint.hxx, scene/sky/sky.cxx, scene/sky/sphere.cxx,
	  scene/sky/stars.cxx, threads/SGThread.hxx, timing/sg_time.cxx:
	  Alex Romosan:

	  * Use "const string&" rather than "string" in function calls when
	  appropriate.	* Use "const Point3D&" instead of "Pint3D" in
	  function calls when appropriate.  * Improved course calculation
	  in calc_gc_course_dist() * Safer thread handling code.

	  Vassilii Khachaturov:

	  Dont use "const Point3D&" for return types unless you're
	  absolutely sure.

	  Erik Hofman:

	  * Use SGD_(2)PI(_[24]) as defined in simgear/constants.h rather
	  than	 calculating it by hand every time.

2005-10-25 15:06  ehofman

	* simgear/sound/: openal_test1.cxx, sample_openal.cxx: Prepare for
	  ALUT version 1.0

2005-10-23 16:04  ehofman

	* simgear/: props/props.cxx, scene/material/mat.cxx: Cosmetic
	  updates.

2005-10-23 15:47  ehofman

	* simgear/scene/material/: mat.cxx, mat.hxx, matlib.cxx,
	  matlib.hxx: Slightly update the seasonal texture support code.

2005-10-23 15:31  ehofman

	* simgear/scene/material/: mat.cxx, mat.hxx, matlib.cxx,
	  matlib.hxx: Add support for seasons.

2005-10-23 13:55  ehofman

	* simgear/props/: props.cxx, props.hxx: Melchior FRANZ:

	  The attached patch makes remove_child() available as
	  removeChild(pos, keep).  That's consistent with getChild. Only
	  renamed remove_child to removeChild and added a check for
	  validity of the pos argument.

	  removeChildren() will be used in input.cxx, and a lot in the
	  upcoming dynamic new_gui dialogs, which are aiming at replacing
	  the hard-coded dialogs. I'll discuss them on the list once the
	  infrastructure is in place. (The <hide> gui property was one part
	  of it.)

2005-10-23 13:46  ehofman

	* simgear/scene/sky/: dome.cxx, dome.hxx: Harald JOHSEN: the sky
	  color now fades to black with altitude

2005-10-22 13:07  ehofman

	* simgear/Makefile.am: Remove some dead code.

2005-10-16 19:23  ehofman

	* simgear/scene/model/shadanim.cxx: Harald JOHNSEN:

	  I have corrected a few bugs with the owner draw gauge, weather
	  radar code and heat-haze effect.

	  - shadanim.cxx :   the heat/haze effect was showing artifacts
	  when using a screen resolution >   1024 pixels.

2005-10-15 16:59  ehofman

	* simgear/screen/shader.cpp: Ima Sudonim remembered me there is
	  still one problem for gcc Vs. 3.4 or later under Cygwin. This
	  fixes it.

2005-10-14 18:42  andy

	* simgear/nasal/gc.c: Fix memory leak discovered by Mathias
	  Froehlich

2005-10-14 18:27  ehofman

	* simgear/props/props.hxx: Mathias Fr�hlich:

	  This one, removes some virtual qualifiers at a private member
	  class of SGPropertyNode. These virtual qualifiers are really
	  useless and stop the compiler from inlineing these functions. I
	  gain a single frame with my favourite aircraft per second!

2005-10-14 18:21  ehofman

	* simgear/: props/props.cxx, screen/texture.cxx,
	  screen/texture.hxx: Mathias Fr�hlich:

	  I have done a valgrind run in flightgear. Just start it up and
	  close it at the fist change I had about half an hour later.

	  property-leak.diff:	 A leak in the property system which I
	  could even notice in top.

	  texture-leak.diff:	 minor one, but fixed is fixed ...

2005-10-12 18:43  curt

	* simgear/io/sg_binobj.cxx: Use an unsigned vs. signed short to
	  double our element capacity for higher resolution scenery.

2005-10-12 10:59  ehofman

	* simgear/screen/extensions.hxx: Martin Spott:

	  make GCC on Solaris8 happy.

2005-10-11 20:56  curt

	* configure.ac: Fix a small typo.

2005-10-09 11:37  ehofman

	* simgear/: ephemeris/ephemeris.cxx, ephemeris/stardata.cxx,
	  io/decode_binobj.cxx, io/sg_socket_udp.cxx, scene/sky/moon.cxx:
	  David Luff:

	  The following patch needs to be applied to fix the errors that
	  Georg Vollnhals was getting whilst attempting to compile SimGear
	  with gcc-3.4.x

2005-10-08 13:52  ehofman

	* simgear/scene/model/: animation.hxx, shadanim.cxx: Harald
	  JOHNSEN:

	  - shadanim.cxx, animation.hxx :   new chrome (sphere mapping)
	  shading ;   disabled the loading of the fresnel VP until it is
	  fixed ;

2005-10-06 16:39  ehofman

	* simgear/misc/stdint.hxx: Another Solaris fix.

2005-10-06 13:06  ehofman

	* simgear/: compiler.h, timing/sg_time.cxx: Martin Spott: Use
	  standardized Sun directive.

2005-10-06 11:45  ehofman

	* simgear/environment/metar.cxx: MSYS fix.

2005-10-06 10:25  ehofman

	* simgear/: io/sg_file.cxx, misc/stdint.hxx: MSVC fixes. Frederic:
	  MSVC has no ssize_t type

2005-10-01 13:41  ehofman

	* simgear/io/: lowlevel.cxx, lowtest.cxx, sg_binobj.cxx: Cygwin
	  fixes(?), it's a good idea to do it this way anyhow.

2005-09-29 14:05  ehofman

	* simgear/misc/swap_test.cpp: Cygwin fixes.

2005-09-28 10:03  ehofman

	* simgear/scene/model/animation.cxx: Fix an oops.

2005-09-28 10:00  ehofman

	* simgear/scene/model/animation.cxx: Back out a patch from Sept.
	  25th. Setting the *factor* to 0.0 by default isn't generally a
	  good idea.

2005-09-26 23:01  curt

	* simgear/serial/serial.cxx: Make some adjustment to low level
	  serial port configuration flags for unix.

2005-09-25 09:44  ehofman

	* simgear/scene/model/: Makefile.am, animation.cxx, animation.hxx,
	  model.cxx, shadanim.cxx: Vivian Meazza:

	  Correct the bug in the translate animation where the offset was
	  part of the multiplication. It now behaves like all other
	  animations: out = (prop * factor) + offset

	  I feel strongly that the existing is wrong and must be corrected
	  - it is non-op if the offset is zero as I have found to my cost!
	  It is just a typo I expect.

	  The diff also provides non-op default values for the scale
	  animation.

	  I've also included Harald's latest eye-candy animation which
	  allows us to have a very smart heat-haze for exhausts. They have
	  been tested by me and others on Linux and Cygwin. You might like
	  to upload these - I have a revised Hunter ready to go as soon as
	  they are uploaded.

2005-09-24 14:28  curt

	* simgear/io/: iochannel.cxx, iochannel.hxx, sg_file.cxx: Add eof()
	  support to SGIOChannel/SGFile.

2005-09-23 22:13  curt

	* simgear/io/: sg_file.cxx, sg_file.hxx: Add an eof() method to
	  SGFile.

2005-09-23 14:30  ehofman

	* simgear/misc/stdint.hxx: AMD64 and sgi fixes.

2005-09-22 15:43  ehofman

	* simgear/misc/swap_test.cpp: Platform compatibility fix.

2005-09-22 11:15  ehofman

	* simgear/misc/stdint.hxx: Add some linefeeds.

2005-09-22 11:11  ehofman

	* simgear/: compiler.h, io/lowlevel.hxx, io/lowtest.cxx,
	  misc/Makefile.am, misc/stdint.hxx, misc/swap_test.cpp: Create our
	  own stdint.h(xx) implementation and use it where needed.

2005-09-21 11:22  ehofman

	* configure.ac: Prepare for Openal 1.1 and a separate alut library

2005-09-20 23:38  andy

	* simgear/nasal/misc.c: Oops, Frederic caught an inline declaration
	  that had snuck into the code.

2005-09-20 23:09  andy

	* simgear/nasal/: code.c, code.h, codegen.c, data.h, gc.c, hash.c,
	  lex.c, lib.c, mathlib.c, misc.c, nasal.h, parse.c, string.c,
	  thread-posix.c, thread-win32.c, vector.c: Sneak a Nasal update in
	  before the next release.  This version *appears* to work
	  correctly on all systems to which I have access (i386
	  linux/win32, x86_64 linux, powerpc OS X, Sparc Solaris 10), but
	  not all systems are capable of running fgfs.	Beyond that,
	  multiple threading bugs were fixed, and the naCall() API changed
	  slightly to support named function arguments.

	  NOTE: this introduces a change in the external API, and therefore
	  this change *must* be compiled against current FlightGear code.

2005-09-18 23:05  ehofman

	* simgear/io/lowlevel.hxx: Don't refference simgear_config.h
	  because this header gets installed :-(

2005-09-18 11:21  ehofman

	* simgear/io/lowlevel.hxx: int64_t is in stdint.h by default.

2005-09-18 11:19  ehofman

	* simgear/io/lowlevel.hxx: MSVC fix.

2005-09-15 19:06  ehofman

	* simgear/io/: lowlevel.cxx, lowlevel.hxx, sg_binobj.cxx: Use
	  inttypes.h specified types. This is the standard and fixes some
	  64-bit problems.

